/* Copyright 2005-2008 Josh Clark and Global Moxie, LLC. All rights reserved.
   $Id: bm-account.js 3042 2008-03-31 13:56:04Z josh $
*/

BM.Behavior.register( {
    'select.chooseLevel:change' : function(e,evt) {
        BM.Account.togglePerms(e);
        Event.stop(evt); return false;
    },
    '#BM_ACCT_SITEPERMS a.bmcp_mini_edit:click' : function(e, evt) {
        BM.Account.getPrivForm(e);
        Event.stop(evt); return false;
    },
    '#BM_ACCT_SITEPERMS a.canceler:click' : function(e, evt) {
        BM.Account.cancelPrivs(e);
        Event.stop(evt); return false;
    },
    '#BM_ACCT_ADDBUTTON:click' : function(e,evt) {
        BM.Account.addPrivs(e);
        Event.stop(evt); return false;
    },
    '#BM_ACCT_ALLSECTIONS_1:click' : function(e,evt) {
        var action = e.checked ? 'hide' : 'reveal';
        BM.FX[action]('bm_acct_sections_toggle');
    },
    '#BM_ACCT_PRIVLEVEL:change' : function(e,evt) {
        BM.Account.checkWebmaster(e);
    },
    '#bm_privs_mini_form:submit' : function(e,evt) {
        BM.Account.saveCustomPrivs(e);
        Event.stop(evt); return false;
    }
} );


BM.Account = {
    getModal : function() {
        if (!BM.Account._modal) {
            var modal = new BM.Modal();
            modal.onremove = function() { BM.Account._modal = null };
            BM.Account._modal = modal;
        }
        return BM.Account._modal;
    },
    removeModal : function() {
        if (BM.Account._modal) {
            BM.Account._modal.remove();
        }
    },
    togglePerms : function(select) {
        if ($F(select) == 6) {
            BM.FX.hide('BM_ACCT_PERMISSION_FLDS', {effect:'slide'});
            BM.FX.reveal('BM_ACCT_ADMIN_MSG', {effect:'fade'});
        }
        else {
            BM.FX.reveal('BM_ACCT_PERMISSION_FLDS', {effect:'slide'});
            BM.FX.hide('BM_ACCT_ADMIN_MSG', {effect:'fade'});
        }
    },
    userID : function() {
        var uid = $('user_id');
        if (!uid) { return; }
        return uid.value;
    },
    submitChange : function(options) {
        var url = options.url;
        var status = options.status;
        BM.Ajax.inProgress( status );
        var onsuccess = options.success;
        var parameters = options.parameters;
        
        var ajaxSuccess = function(httpReq) {
            BM.Ajax.clearStatus(status);
            status = null;
            var ajaxJSON = BM.Ajax.parseJSON(httpReq);
            if (BM.Ajax.loginRequired(ajaxJSON)) { //login
                return;
            }
            else if (ajaxJSON.error) {
                var msg = ajaxJSON.error || ajaxJSON;
                BM.alert(msg);
            }
            else { // successful, take it off the page
                onsuccess(ajaxJSON);
            }
            onsuccess = null;
        };
        var error = function(httpReq) {
            BM.Ajax.clearStatus(status);
            onsuccess = null;
            var status = httpReq.statusText == 'OK' ? '' : ': ' + httpReq.statusText;
            BM.alert('<span class="bm_ajaxNotOK">' + BM.Lang._('Ajax:error')
              + status + '</span>'); 
        };
        
        BM.Ajax.request(
          url, {
            'method':'post', 'onSuccess':ajaxSuccess, 'onFailure':error,
            'parameters' : parameters
          }
        );
        options = ajaxSuccess = error = null;
    },
    addPrivs : function(button) {
        var sitefield = $('BM_ACCT_ADD_SITE_SELECT');
        var sites = Form.Element.serialize( sitefield );
        sitefield.selectedIndex = -1;
        sitefield = null;

        var uid = BM.Account.userID();
        if (!sites || !uid) { return; }

        var success = function(ajaxJSON) {
            if (ajaxJSON.html) {
                new Insertion.Bottom( 'BM_ACCT_SITEPERMS', ajaxJSON.html );
                BM.Behavior.apply();
            }
        };
        var url = BM.url({
          script: 'bm-account.cgi',
          rm: 'ajax-add-privs',
          path: [uid]
        });
        BM.Account.submitChange({
          url:url, success:success, status:$('BM_ADD_AJAX'), parameters:sites
        });
        status = success = null;
    },
    getPrivForm : function(a) {
        var site = a.id.toString().replace(/^BM_ACCT_EDIT_/,'');
        var uid = BM.Account.userID();
        if (!uid || !site) { return; }
        BM.Account.getModal().displayContent(
          BM.Ajax.progressHTML + ' ' + BM.Lang._('Ajax:checking') );
        
        var ajaxSuccess = function(httpReq) {
            var ajaxJSON = BM.Ajax.parseJSON(httpReq);
            if (BM.Ajax.loginRequired(ajaxJSON)) { //login
                BM.Account.removeModal();
                return;
            }
            else if (ajaxJSON.error) { // show error in modal
                var msg = ajaxJSON.error || ajaxJSON;
                BM.Account.getModal().setContent(msg);
            }
            else { // successful, take it off the page
                BM.Account.getModal().setContent(ajaxJSON.html);
                BM.Behavior.apply();
                BM.Account.checkWebmaster( $('BM_ACCT_PRIVLEVEL') );
                $('bm_privs_cancel').onclick = BM.Account.removeModal;
            }
        };
        var error = function(httpReq) {
            var status = httpReq.statusText == 'OK' ? '' : ': ' + httpReq.statusText;
            BM.Account.getModal().setContent('<span class="bm_ajaxNotOK">' + BM.Lang._('Ajax:error')
              + status + '</span>');
        };
        var url = BM.url({
          script: 'bm-account.cgi',
          rm: 'ajax-priv-form',
          path: [uid,site]
        });
        BM.Ajax.request(
          url, {'method':'post', 'onSuccess':ajaxSuccess, 'onFailure':error}
        );
    },
    cancelPrivs : function(a) {
        var site = a.id.toString().replace(/^BM_ACCT_DEL_/,'');
        var uid = BM.Account.userID();
        if (!uid) { return; }
        
        var status = $('BM_ACCT_AJAX_'+site);
        var success = function() {
            var item = $('BM_MINI_' + site);
            var list = $('BM_ACCT_SITEPERMS');
            if (list && item) {
                BM.FX.hide(item,{ effect:'squish' });
                setTimeout(function(){
                    list.removeChild(item);
                    list = item = null;
                  }, 2000);
            }
            else {
                list = item = null;
            }
        };
        var url = BM.url({
          script: 'bm-account.cgi',
          rm: 'ajax-cancel-privs',
          path: [uid,site]
        });
        BM.Account.submitChange({ url: url, success: success, status: status });
        status = success = null;
    },
    checkWebmaster : function(select) {
        var cbox = $('BM_ACCT_ALLSECTIONS_1');
        if ($F(select) == '5') { //webmaster
            cbox.checked = true;
            cbox.disabled = true;
            BM.FX.hide('bm_acct_sections_toggle');
        }
        else {
            cbox.disabled = false;
        }
    },
    saveCustomPrivs : function(form) {
        var status = $('bm_privs_mini_form_status');
        BM.Ajax.inProgress(status);
        BM.FX.hide('bm_privs_mini_form_container', {effect:'slide'});
        var sid = $F('BM_ACCT_PRIVSITE');
        var ajaxSuccess = function(httpReq) {
            var ajaxJSON = BM.Ajax.parseJSON(httpReq);
            if (BM.Ajax.loginRequired(ajaxJSON)) { //login
                BM.Account.removeModal();
                status = null;
                return;
            }
            else if (ajaxJSON.error || !ajaxJSON.html) { // show error in modal
                var msg = ajaxJSON.error || ajaxJSON;
                BM.Ajax.error(msg,status);
                BM.FX.reveal('bm_privs_mini_form_container', {effect:'slide'});
                status = null;
            }
            else { // success
                status.innerHTML = BM.Lang._('Mini:Confirm saved');
                status = null;
                var item = $('BM_MINI_'+sid);
                if (item) {
                    item.replace(ajaxJSON.html);
                    item = null;
                }
                else {
                    new Insertion.Bottom('BM_ACCT_SITEPERMS', ajaxJSON.html);
                }
                BM.Behavior.apply();
                setTimeout(BM.Account.removeModal, 1000);
            }
        };
        var error = function(httpReq) {
            BM.Ajax.error(httpReq,status);
            BM.FX.reveal('bm_privs_mini_form_container', {effect:'slide'});
            status = null;
        };
        form.request({'onSuccess':ajaxSuccess, 'onFailure':error });
    }
};