/* Copyright 2005-2008 Josh Clark and Global Moxie, LLC. All rights reserved.
   $Id: bm-library.js 3042 2008-03-31 13:56:04Z josh $
*/

if (!BM.Library) BM.Library = {};
Object.extend( BM.Library, {
    promptNewStatus : function(e,evt) {
        var fields = [
          [ 'value_list', 'BMLIB_in_lib',
            {'options':['','1','0'],label:BM.Lang._('Library:in_lib'),
              'labels':{
                '' :BM.Lang._('Library:No change'),
                '1':BM.Lang._('Library:Include in library'),
                '0':BM.Lang._('Library:Do not include in library')
              } }
          ],
          [ 'value_list', 'BMLIB_shared',
            {'options':['','1','0'],label:BM.Lang._('Library:shared'),
              'labels':{
                '' :BM.Lang._('Library:No change'),
                '1':BM.Lang._('Library:Share with others'),
                '0':BM.Lang._('Library:Do not share')
              } }
          ]
        ];
        if (BM.Library.UserSelect) fields.push(BM.Library.UserSelect);
        BM.ActionMenu.getNewStatus("libraryMenu", { fields : fields } );
        Event.stop(evt);
        return false;
    },
    submitStatus : function(tempform, mainform, pageType) {
        //copy fields from tempform into main checkbox form, submit cb form
        var cbForm = $(mainform);
        $(tempform).getElements().each( function(field) {
            if (!cbForm[field.name]) {
                cbForm.appendChild( Builder.node('input',
                  {type:'hidden',name:field.name,value:$F(field)} ) );
            }
        });
        cbForm.action = BM.url(
          { script:'bm-library.cgi',rm:'change-status',path:[BM.libType] }
        );
        cbForm.submit();
        return false;
    },
    saveView : function(view) {
        var url = BM.url( {script:'bm-library.cgi',rm:'ajax-saveview'} );
        BM.Ajax.request( url, { parameters: 'view=' + view} );
    },
    addSeveral : function(num) {
        $R(1,num).each( BM.Library.addFields );
        BM.Behavior.apply();
    },
    addFields : function() {
        if (!BM.Library.bFields) return;
        var fields = [];
        var nf = $('BATCH_total');
        var num = ++nf.value;
        
        BM.Library.bFields.each(function(fieldArray){
            var fieldOpts = fieldArray[2];
            fieldOpts.value = fieldOpts['default'];
            fields.push( [
              fieldArray[0],
              'BATCH' + num + '_' + fieldArray[1],
              fieldOpts
            ] );
        });
        var html = ['<fieldset><legend>',BM.Library.bName,' #',num,
          '</legend>',BM.TempForm.processFields(fields),'</fieldset>'].join('');
        new Insertion.Before('BATCH_ADDLINK',html);
    }
} );    
if (!BM.Library.bName) BM.Library.bName = 'Item';
BM.addLoadEvent( function() { var n=$('BATCH_total');if(n) n.value = 3; } );


BM.Behavior.register( {
    '#BMlibraryMenuStatus:submit' : function(form,evt) {
        BM.Library.submitStatus(form, 'libraryMenu', BM.libType);
        Event.stop(evt); return false;
    },
    '#libraryMenu:click' : function(e,evt) {
        BM.ActionMenu.handleClick('libraryMenu',evt,'libraryActionMenu');
    },
    '#libraryActionMenu a.bmcpLibMenuDelete:click' : function(e,evt) {
        BM.ActionMenu.deleteChecked( 'libraryMenu',
          {script:'bm-library.cgi',rm:'delete',path:[BM.libType]}
        );
        Event.stop(evt); return false;
    },
    '#libraryActionMenu a.bmcpLibMenuStatus:click' : BM.Library.promptNewStatus,
    '#libStyleImageText:click' : function(e,evt) {
       $("libMenuList").className="bmcp_libmenu";
       BM.Library.saveView('imagetext');
       Event.stop(evt); return false;
    },
    '#libStyleImage:click' : function(e,evt) {
       $("libMenuList").className="bmcp_libmenu libStyleImage";
       BM.Library.saveView('image');
       Event.stop(evt); return false;
    },
    '#libStyleText:click' : function(e,evt) {
       $("libMenuList").className="libStyleText";
       BM.Library.saveView('text');
       Event.stop(evt); return false;
    },
    '#MoreItems:click' : function(e,evt) {
       BM.Library.addSeveral(3);
       Event.stop(evt); return false;
    }
} );
