/**
 * Compressed diff library: diff.js
 * This is a compressed, truncated version of Google's Diff Match and Patch
 * library diff_match_patch.js by Neil Fraser:
 * Diff Match and Patch
 * Copyright 2006 Google Inc.
 * http://code.google.com/p/google-diff-match-patch/
 * 
 * Changes were made July 2007 by Josh Clark <http://globalmoxie.com/>.
 * For the uncompressed source code and license details for this library,
 * see the accompanying diff_uncompressed.js file and LGPL.txt license file.
 */
function diff_match_patch(){
this.Diff_Timeout=1;
this.Diff_EditCost=4;
this.Match_Balance=0.5;
this.Match_Threshold=0.5;
this.Match_MinLength=100;
this.Match_MaxLength=1000;
this.Patch_Margin=4;
function getMaxBits(){
var _1=0;
var _2=1;
var _3=2;
while(_2!=_3){
_1++;
_2=_3;
_3=_3<<1;
}
return _1;
}
this.Match_MaxBits=getMaxBits();
}
var DIFF_DELETE=-1;
var DIFF_INSERT=1;
var DIFF_EQUAL=0;
diff_match_patch.prototype.diff_main=function(_4,_5,_6){
if(_4==_5){
return [[DIFF_EQUAL,_4]];
}
if(typeof _6=="undefined"){
_6=true;
}
var _7=_6;
var _8=this.diff_commonPrefix(_4,_5);
var _9=_4.substring(0,_8);
_4=_4.substring(_8);
_5=_5.substring(_8);
_8=this.diff_commonSuffix(_4,_5);
var _a=_4.substring(_4.length-_8);
_4=_4.substring(0,_4.length-_8);
_5=_5.substring(0,_5.length-_8);
var _b=this.diff_compute(_4,_5,_7);
if(_9){
_b.unshift([DIFF_EQUAL,_9]);
}
if(_a){
_b.push([DIFF_EQUAL,_a]);
}
this.diff_cleanupMerge(_b);
return _b;
};
diff_match_patch.prototype.diff_compute=function(_c,_d,_e){
var _f;
if(!_c){
return [[DIFF_INSERT,_d]];
}
if(!_d){
return [[DIFF_DELETE,_c]];
}
var _10=_c.length>_d.length?_c:_d;
var _11=_c.length>_d.length?_d:_c;
var i=_10.indexOf(_11);
if(i!=-1){
_f=[[DIFF_INSERT,_10.substring(0,i)],[DIFF_EQUAL,_11],[DIFF_INSERT,_10.substring(i+_11.length)]];
if(_c.length>_d.length){
_f[0][0]=_f[2][0]=DIFF_DELETE;
}
return _f;
}
_10=_11=null;
var hm=this.diff_halfMatch(_c,_d);
if(hm){
var _14=hm[0];
var _15=hm[1];
var _16=hm[2];
var _17=hm[3];
var _18=hm[4];
var _19=this.diff_main(_14,_16,_e);
var _1a=this.diff_main(_15,_17,_e);
return _19.concat([[DIFF_EQUAL,_18]],_1a);
}
if(_e&&_c.length+_d.length<250){
_e=false;
}
var _1b;
if(_e){
var a=this.diff_linesToChars(_c,_d);
_c=a[0];
_d=a[1];
_1b=a[2];
}
_f=this.diff_map(_c,_d);
if(!_f){
_f=[[DIFF_DELETE,_c],[DIFF_INSERT,_d]];
}
if(_e){
this.diff_charsToLines(_f,_1b);
this.diff_cleanupSemantic(_f);
_f.push([DIFF_EQUAL,""]);
var _1d=0;
var _1e=0;
var _1f=0;
var _20="";
var _21="";
while(_1d<_f.length){
if(_f[_1d][0]==DIFF_INSERT){
_1f++;
_21+=_f[_1d][1];
}else{
if(_f[_1d][0]==DIFF_DELETE){
_1e++;
_20+=_f[_1d][1];
}else{
if(_1e>=1&&_1f>=1){
var a=this.diff_main(_20,_21,false);
_f.splice(_1d-_1e-_1f,_1e+_1f);
_1d=_1d-_1e-_1f;
for(var j=a.length-1;j>=0;j--){
_f.splice(_1d,0,a[j]);
}
_1d=_1d+a.length;
}
_1f=0;
_1e=0;
_20="";
_21="";
}
}
_1d++;
}
_f.pop();
}
return _f;
};
diff_match_patch.prototype.diff_linesToChars=function(_23,_24){
var _25=[];
var _26={};
_25.push("");
function diff_linesToCharsMunge(_27){
var _28="";
while(_27){
var i=_27.indexOf("\n");
if(i==-1){
i=_27.length;
}
var _2a=_27.substring(0,i+1);
_27=_27.substring(i+1);
if(_26.hasOwnProperty?_26.hasOwnProperty(_2a):(_26[_2a]!==undefined)){
_28+=String.fromCharCode(_26[_2a]);
}else{
_25.push(_2a);
_26[_2a]=_25.length-1;
_28+=String.fromCharCode(_25.length-1);
}
}
return _28;
}
var _2b=diff_linesToCharsMunge(_23);
var _2c=diff_linesToCharsMunge(_24);
return [_2b,_2c,_25];
};
diff_match_patch.prototype.diff_charsToLines=function(_2d,_2e){
for(var x=0;x<_2d.length;x++){
var _30=_2d[x][1];
var _31="";
for(var y=0;y<_30.length;y++){
_31+=_2e[_30.charCodeAt(y)];
}
_2d[x][1]=_31;
}
};
diff_match_patch.prototype.diff_map=function(_33,_34){
var now=new Date();
var _36=now.getTime()+this.Diff_Timeout*1000;
var _37=(_33.length+_34.length)/2;
var _38=[];
var _39=[];
var v1={};
var v2={};
v1[1]=0;
v2[1]=0;
var x,y;
var _3d;
var _3e={};
var _3f=false;
var _40=!!(_3e.hasOwnProperty);
var _41=(_33.length+_34.length)%2;
for(var d=0;d<_37;d++){
now=new Date();
if(this.Diff_Timeout>0&&now.getTime()>_36){
return null;
}
_38[d]={};
for(var k=-d;k<=d;k+=2){
if(k==-d||k!=d&&v1[k-1]<v1[k+1]){
x=v1[k+1];
}else{
x=v1[k-1]+1;
}
y=x-k;
_3d=x+","+y;
if(_41&&(_40?_3e.hasOwnProperty(_3d):(_3e[_3d]!==undefined))){
_3f=true;
}
if(!_41){
_3e[_3d]=d;
}
while(!_3f&&x<_33.length&&y<_34.length&&_33.charAt(x)==_34.charAt(y)){
x++;
y++;
_3d=x+","+y;
if(_41&&(_40?_3e.hasOwnProperty(_3d):(_3e[_3d]!==undefined))){
_3f=true;
}
if(!_41){
_3e[_3d]=d;
}
}
v1[k]=x;
_38[d][x+","+y]=true;
if(_3f){
_39=_39.slice(0,_3e[_3d]+1);
var a=this.diff_path1(_38,_33.substring(0,x),_34.substring(0,y));
return a.concat(this.diff_path2(_39,_33.substring(x),_34.substring(y)));
}
}
_39[d]={};
for(var k=-d;k<=d;k+=2){
if(k==-d||k!=d&&v2[k-1]<v2[k+1]){
x=v2[k+1];
}else{
x=v2[k-1]+1;
}
y=x-k;
_3d=(_33.length-x)+","+(_34.length-y);
if(!_41&&(_40?_3e.hasOwnProperty(_3d):(_3e[_3d]!==undefined))){
_3f=true;
}
if(_41){
_3e[_3d]=d;
}
while(!_3f&&x<_33.length&&y<_34.length&&_33.charAt(_33.length-x-1)==_34.charAt(_34.length-y-1)){
x++;
y++;
_3d=(_33.length-x)+","+(_34.length-y);
if(!_41&&(_40?_3e.hasOwnProperty(_3d):(_3e[_3d]!==undefined))){
_3f=true;
}
if(_41){
_3e[_3d]=d;
}
}
v2[k]=x;
_39[d][x+","+y]=true;
if(_3f){
_38=_38.slice(0,_3e[_3d]+1);
var a=this.diff_path1(_38,_33.substring(0,_33.length-x),_34.substring(0,_34.length-y));
return a.concat(this.diff_path2(_39,_33.substring(_33.length-x),_34.substring(_34.length-y)));
}
}
}
return null;
};
diff_match_patch.prototype.diff_path1=function(_45,_46,_47){
var _48=[];
var x=_46.length;
var y=_47.length;
var _4b=null;
for(var d=_45.length-2;d>=0;d--){
while(1){
if(_45[d].hasOwnProperty?_45[d].hasOwnProperty((x-1)+","+y):(_45[d][(x-1)+","+y]!==undefined)){
x--;
if(_4b===DIFF_DELETE){
_48[0][1]=_46.charAt(x)+_48[0][1];
}else{
_48.unshift([DIFF_DELETE,_46.charAt(x)]);
}
_4b=DIFF_DELETE;
break;
}else{
if(_45[d].hasOwnProperty?_45[d].hasOwnProperty(x+","+(y-1)):(_45[d][x+","+(y-1)]!==undefined)){
y--;
if(_4b===DIFF_INSERT){
_48[0][1]=_47.charAt(y)+_48[0][1];
}else{
_48.unshift([DIFF_INSERT,_47.charAt(y)]);
}
_4b=DIFF_INSERT;
break;
}else{
x--;
y--;
if(_4b===DIFF_EQUAL){
_48[0][1]=_46.charAt(x)+_48[0][1];
}else{
_48.unshift([DIFF_EQUAL,_46.charAt(x)]);
}
_4b=DIFF_EQUAL;
}
}
}
}
return _48;
};
diff_match_patch.prototype.diff_path2=function(_4d,_4e,_4f){
var _50=[];
var x=_4e.length;
var y=_4f.length;
var _53=null;
for(var d=_4d.length-2;d>=0;d--){
while(1){
if(_4d[d].hasOwnProperty?_4d[d].hasOwnProperty((x-1)+","+y):(_4d[d][(x-1)+","+y]!==undefined)){
x--;
if(_53===DIFF_DELETE){
_50[_50.length-1][1]+=_4e.charAt(_4e.length-x-1);
}else{
_50.push([DIFF_DELETE,_4e.charAt(_4e.length-x-1)]);
}
_53=DIFF_DELETE;
break;
}else{
if(_4d[d].hasOwnProperty?_4d[d].hasOwnProperty(x+","+(y-1)):(_4d[d][x+","+(y-1)]!==undefined)){
y--;
if(_53===DIFF_INSERT){
_50[_50.length-1][1]+=_4f.charAt(_4f.length-y-1);
}else{
_50.push([DIFF_INSERT,_4f.charAt(_4f.length-y-1)]);
}
_53=DIFF_INSERT;
break;
}else{
x--;
y--;
if(_53===DIFF_EQUAL){
_50[_50.length-1][1]+=_4e.charAt(_4e.length-x-1);
}else{
_50.push([DIFF_EQUAL,_4e.charAt(_4e.length-x-1)]);
}
_53=DIFF_EQUAL;
}
}
}
}
return _50;
};
diff_match_patch.prototype.diff_commonPrefix=function(_55,_56){
if(!_55||!_56||_55.charCodeAt(0)!==_56.charCodeAt(0)){
return 0;
}
var _57=0;
var _58=Math.min(_55.length,_56.length);
var _59=_58;
var _5a=0;
while(_57<_59){
if(_55.substring(_5a,_59)==_56.substring(_5a,_59)){
_57=_59;
_5a=_57;
}else{
_58=_59;
}
_59=Math.floor((_58-_57)/2+_57);
}
return _59;
};
diff_match_patch.prototype.diff_commonSuffix=function(_5b,_5c){
if(!_5b||!_5c||_5b.charCodeAt(_5b.length-1)!==_5c.charCodeAt(_5c.length-1)){
return 0;
}
var _5d=0;
var _5e=Math.min(_5b.length,_5c.length);
var _5f=_5e;
var _60=0;
while(_5d<_5f){
if(_5b.substring(_5b.length-_5f,_5b.length-_60)==_5c.substring(_5c.length-_5f,_5c.length-_60)){
_5d=_5f;
_60=_5d;
}else{
_5e=_5f;
}
_5f=Math.floor((_5e-_5d)/2+_5d);
}
return _5f;
};
diff_match_patch.prototype.diff_halfMatch=function(_61,_62){
var _63=_61.length>_62.length?_61:_62;
var _64=_61.length>_62.length?_62:_61;
if(_63.length<10||_64.length<1){
return null;
}
var dmp=this;
function diff_halfMatchI(_66,_67,i){
var _69=_66.substring(i,i+Math.floor(_66.length/4));
var j=-1;
var _6b="";
var _6c,best_longtext_b,best_shorttext_a,best_shorttext_b;
while((j=_67.indexOf(_69,j+1))!=-1){
var _6d=dmp.diff_commonPrefix(_66.substring(i),_67.substring(j));
var _6e=dmp.diff_commonSuffix(_66.substring(0,i),_67.substring(0,j));
if(_6b.length<_6e+_6d){
_6b=_67.substring(j-_6e,j)+_67.substring(j,j+_6d);
_6c=_66.substring(0,i-_6e);
best_longtext_b=_66.substring(i+_6d);
best_shorttext_a=_67.substring(0,j-_6e);
best_shorttext_b=_67.substring(j+_6d);
}
}
if(_6b.length>=_66.length/2){
return [_6c,best_longtext_b,best_shorttext_a,best_shorttext_b,_6b];
}else{
return null;
}
}
var hm1=diff_halfMatchI(_63,_64,Math.ceil(_63.length/4));
var hm2=diff_halfMatchI(_63,_64,Math.ceil(_63.length/2));
var hm;
if(!hm1&&!hm2){
return null;
}else{
if(!hm2){
hm=hm1;
}else{
if(!hm1){
hm=hm2;
}else{
hm=hm1[4].length>hm2[4].length?hm1:hm2;
}
}
}
var _72,text1_b,text2_a,text2_b;
if(_61.length>_62.length){
_72=hm[0];
text1_b=hm[1];
text2_a=hm[2];
text2_b=hm[3];
}else{
text2_a=hm[0];
text2_b=hm[1];
_72=hm[2];
text1_b=hm[3];
}
var _73=hm[4];
return [_72,text1_b,text2_a,text2_b,_73];
};
diff_match_patch.prototype.diff_cleanupSemantic=function(_74){
var _75=false;
var _76=[];
var _77=null;
var _78=0;
var _79=0;
var _7a=0;
while(_78<_74.length){
if(_74[_78][0]==DIFF_EQUAL){
_76.push(_78);
_79=_7a;
_7a=0;
_77=_74[_78][1];
}else{
_7a+=_74[_78][1].length;
if(_77!==null&&(_77.length<=_79)&&(_77.length<=_7a)){
_74.splice(_76[_76.length-1],0,[DIFF_DELETE,_77]);
_74[_76[_76.length-1]+1][0]=DIFF_INSERT;
_76.pop();
_76.pop();
_78=_76.length?_76[_76.length-1]:-1;
_79=0;
_7a=0;
_77=null;
_75=true;
}
}
_78++;
}
if(_75){
this.diff_cleanupMerge(_74);
}
};
diff_match_patch.prototype.diff_cleanupEfficiency=function(_7b){
var _7c=false;
var _7d=[];
var _7e="";
var _7f=0;
var _80=false;
var _81=false;
var _82=false;
var _83=false;
while(_7f<_7b.length){
if(_7b[_7f][0]==DIFF_EQUAL){
if(_7b[_7f][1].length<this.Diff_EditCost&&(_82||_83)){
_7d.push(_7f);
_80=_82;
_81=_83;
_7e=_7b[_7f][1];
}else{
_7d=[];
_7e="";
}
_82=_83=false;
}else{
if(_7b[_7f][0]==DIFF_DELETE){
_83=true;
}else{
_82=true;
}
if(_7e&&((_80&&_81&&_82&&_83)||((_7e.length<this.Diff_EditCost/2)&&(_80+_81+_82+_83)==3))){
_7b.splice(_7d[_7d.length-1],0,[DIFF_DELETE,_7e]);
_7b[_7d[_7d.length-1]+1][0]=DIFF_INSERT;
_7d.pop();
_7e="";
if(_80&&_81){
_82=_83=true;
_7d=[];
}else{
_7d.pop();
_7f=_7d.length?_7d[_7d.length-1]:-1;
_82=_83=false;
}
_7c=true;
}
}
_7f++;
}
if(_7c){
this.diff_cleanupMerge(_7b);
}
};
diff_match_patch.prototype.diff_cleanupMerge=function(_84){
_84.push([DIFF_EQUAL,""]);
var _85=0;
var _86=0;
var _87=0;
var _88="";
var _89="";
var _8a;
while(_85<_84.length){
if(_84[_85][0]==DIFF_INSERT){
_87++;
_89+=_84[_85][1];
_85++;
}else{
if(_84[_85][0]==DIFF_DELETE){
_86++;
_88+=_84[_85][1];
_85++;
}else{
if(_86!==0||_87!==0){
if(_86!==0&&_87!==0){
_8a=this.diff_commonPrefix(_89,_88);
if(_8a!==0){
if((_85-_86-_87)>0&&_84[_85-_86-_87-1][0]==DIFF_EQUAL){
_84[_85-_86-_87-1][1]+=_89.substring(0,_8a);
}else{
_84.splice(0,0,[DIFF_EQUAL,_89.substring(0,_8a)]);
_85++;
}
_89=_89.substring(_8a);
_88=_88.substring(_8a);
}
_8a=this.diff_commonSuffix(_89,_88);
if(_8a!==0){
_84[_85][1]=_89.substring(_89.length-_8a)+_84[_85][1];
_89=_89.substring(0,_89.length-_8a);
_88=_88.substring(0,_88.length-_8a);
}
}
if(_86===0){
_84.splice(_85-_86-_87,_86+_87,[DIFF_INSERT,_89]);
}else{
if(_87===0){
_84.splice(_85-_86-_87,_86+_87,[DIFF_DELETE,_88]);
}else{
_84.splice(_85-_86-_87,_86+_87,[DIFF_DELETE,_88],[DIFF_INSERT,_89]);
}
}
_85=_85-_86-_87+(_86?1:0)+(_87?1:0)+1;
}else{
if(_85!==0&&_84[_85-1][0]==DIFF_EQUAL){
_84[_85-1][1]+=_84[_85][1];
_84.splice(_85,1);
}else{
_85++;
}
}
_87=0;
_86=0;
_88="";
_89="";
}
}
}
if(_84[_84.length-1][1]===""){
_84.pop();
}
var _8b=false;
_85=1;
while(_85<_84.length-1){
if(_84[_85-1][0]==DIFF_EQUAL&&_84[_85+1][0]==DIFF_EQUAL){
if(_84[_85][1].substring(_84[_85][1].length-_84[_85-1][1].length)==_84[_85-1][1]){
_84[_85][1]=_84[_85-1][1]+_84[_85][1].substring(0,_84[_85][1].length-_84[_85-1][1].length);
_84[_85+1][1]=_84[_85-1][1]+_84[_85+1][1];
_84.splice(_85-1,1);
_8b=true;
}else{
if(_84[_85][1].substring(0,_84[_85+1][1].length)==_84[_85+1][1]){
_84[_85-1][1]+=_84[_85+1][1];
_84[_85][1]=_84[_85][1].substring(_84[_85+1][1].length)+_84[_85+1][1];
_84.splice(_85+1,1);
_8b=true;
}
}
}
_85++;
}
if(_8b){
this.diff_cleanupMerge(_84);
}
};
diff_match_patch.prototype.diff_addIndex=function(_8c){
var i=0;
for(var x=0;x<_8c.length;x++){
_8c[x].push(i);
if(_8c[x][0]!==DIFF_DELETE){
i+=_8c[x][1].length;
}
}
};
diff_match_patch.prototype.diff_xIndex=function(_8f,loc){
var _91=0;
var _92=0;
var _93=0;
var _94=0;
var x;
for(x=0;x<_8f.length;x++){
if(_8f[x][0]!==DIFF_INSERT){
_91+=_8f[x][1].length;
}
if(_8f[x][0]!==DIFF_DELETE){
_92+=_8f[x][1].length;
}
if(_91>loc){
break;
}
_93=_91;
_94=_92;
}
if(_8f.length!=x&&_8f[x][0]===DIFF_DELETE){
return _94;
}
return _94+(loc-_93);
};
diff_match_patch.prototype.diff_prettyHtml=function(_96){
this.diff_addIndex(_96);
var _97="";
for(var x=0;x<_96.length;x++){
var m=_96[x][0];
var t=_96[x][1];
t=t.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");
t=t.replace(/\n/g,"&para;<br />");
if(m===DIFF_DELETE){
_97+="<del>"+t+"</del>";
}else{
if(m===DIFF_INSERT){
_97+="<ins>"+t+"</ins>";
}else{
_97+="<span>"+t+"</span>";
}
}
}
return _97;
};
