# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be 
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: HTML2Markdown.pm 3043 2008-03-31 14:00:38Z josh $

package BigMed::Filter::HTML2Markdown;
require 5.006_000;
use BigMed::MD5 qw(md5_hex);
use strict;
use warnings;
use utf8;

# By Josh Clark, Global Moxie
# Based on Markdown -- A text-to-HTML conversion tool for web writers
# Markdown is copyright (c) 2004 John Gruber
# <http://daringfireball.net/projects/markdown/>


sub _BackslashItalicsAndBold {
    my $value = shift;
    $value =~ s/(_\*)/\\$1/g;
    $value;
}

sub _UndoItalicsAndBold {
    my $value = shift;
    $value =~ s{<\s*/?\s*(em|i)\s*>}{_}msg;
    $value =~ s{<\s*/?\s*(b|strong)\s*>}{\*\*}msg;
    $value;
}
