# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be 
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id$

package BigMed::JanitorNote;
use strict;
use warnings;
use utf8;
use Carp;
use base qw(BigMed::Data);


my @data_schema = (
    {
        name  => 'site',
        type  => 'system_id',
        index => 1,
    },
    {
        name     => 'action',
        type     => 'raw_text',
        index    => 1,
    },
    {
        name     => 'target',
        type     => 'system_id',
        multiple => 1,
    },
);

BigMed::JanitorNote->set_schema(
    elements => \@data_schema,
    systemwide => 1,
);

1;