# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: en_us.pm 3283 2008-08-26 08:17:21Z josh $

package BigMed::Language::en_us;
use strict;
use warnings;
use utf8;
use Carp;
$Carp::Verbose = 1;
use base qw(BigMed::Language);
use vars qw(%Lexicon);
use utf8;

#when locating items to include in translation files, grep source code
#for calls to:
# - set_error
# - language
# - language_list
# - head =>
# - text =>

%Lexicon = (

    # _AUTO will make it return the key if no value is found
    #   _AUTO => 1,

####General...

    'BM_Coming Soon'      => 'Coming Soon...',
    'BM_TEXT_Coming Soon' => 'Stay tuned, this feature is coming soon.',
    'Message'             => 'FYI...',

    'and'         => 'and',
    'Yes'         => 'Yes',
    'No'          => 'No',
    'BM_Default'  => 'Default',
    'BM_Untitled' => 'Untitled',

    'BM_Big_Medium_appname' => 'Big Medium',
    'BM_Big_Medium_appname_full' =>
      'Big Medium%BM&trade;% web content management system',

    'BM_Breadcrumb intro'  => 'You are here:',
    'BM_Close'             => 'Close',
    'All rights reserved.' => 'All rights reserved.',

    'BM_Previous' => 'Previous',
    'BM_Next'     => 'Next',

    'BM_Signed in as' => 'Signed in as:',
    'BM_Privileges'   => 'Privileges',
    'BM_Sign out'     => 'Sign out',
    'BM_Now editing'  => 'Now editing:',
    'BM_Switch Sites' => 'Switch sites',

    'BM_Home'     => 'Home',
    'BM_Homepage' => 'Homepage',
    'BM_Drag Me'  => 'Drag me',
    'BM_Drag Me title' =>
      'Click and drag to place this item in a different order',
    'BM_Find'          => 'Find',
    'BM_Delete'        => 'Delete',
    'BM_Change Status' => 'Change Status',
    'BM_Copy'          => 'Copy',
    'BM_Copy to site'  => 'Copy to Site',
    'BM_Remove'        => 'Remove',
    'BM_Edit'          => 'Edit',
    'BM_Not yours'     => 'Not yours',
    'BM_Toggle all'    => 'Toggle all',
    'BM_Display'       => 'Display',
    'BM_Owner'         => 'Owner',
    'BM_No change'     => 'No change',

    'BM_User_Priv0' => 'No site privileges',
    'BM_User_Priv1' => 'Guest',
    'BM_User_Priv2' => 'Writer',
    'BM_User_Priv3' => 'Editor',
    'BM_User_Priv4' => 'Publisher',
    'BM_User_Priv5' => 'Webmaster',
    'BM_User_Priv6' => 'Administrator',

    'BM_Please_Review_Your_Entry' => 'Please Review Your Entry',

    'BM_Trouble_processing_form' =>
      'We ran into some trouble processing your submission:',

    'BM_SUBMIT_LABEL_Save'     => 'Save',
    'BM_SUBMIT_LABEL_Continue' => 'Continue',
    'BM_SUBMIT_LABEL_Send'     => 'Send',
    'BM_SUBMIT_LABEL_Cancel'   => 'Cancel',
    'BM_SUBMIT_LABEL_Search'   => 'Search',

    'BM_bm administrator' => 'Big Medium admin',

    'BM_HEAD_Expired' => 'Beta Version Expired',
    'BM_TEXT_Expired' => 'This beta version of Big Medium 2.0 has expired. '
      . 'Please visit the Global Moxie website to upgrade to the latest '
      . 'update and benefit from its new features and bug fixes.',

    'Help!' => 'Help!',

    'BM_HEAD_Not unique' => 'Value must be unique',
    'BM_Not unique'      => 'This [_1] is already taken by another [_2]',
    'BM_slug name'       => 'slug name',
    'BM_section'         => 'section',

    'BM_Required field' => 'Required field',
    'BM_Multi-select' => 'Ctrl-click to select multiple (⌘-click for Mac).',

    'BM_HEAD_Unknown site' => 'Unknown site',
    'BM_TEXT_Unknown site' =>
      'You must be signed into a site to perform this action',

    'BM_Upload too large' => 'File upload too large',
    'BM_TEXT_Upload too large' =>
      'Sorry, you are sending more data than Big Medium is configured to '
      . 'allow (maximum file size is [_1]KB). Please adjust the size of '
      . 'the files you are sending and try again.',

    'AJAX_Is available' => 'This [_1] is valid and available',
    'AJAX_value'        => 'value',
    'AJAX_record'       => 'record',
    'AJAX_Could not login' =>
      'We were not able to sign you back in because our attempt to '
      . 'detect which site to sign into failed. [_1]Please go to the main '
      . 'sign-in page to try again[_2].',

    'BM_ERR_Invalid value' => 'Invalid value',

    'POS_Above text'            => 'Above text',
    'POS_Align with paragraph:' => 'Align with paragraph:',
    'POS_Below text'            => 'Below text',
    'POS_Do not display'        => 'Do not display on page',
    'POS_Image gallery'         => 'Image gallery',
    'POS_Other'                 => 'Other position on page',

    'BM_Byline by' => 'by [_1]',

    'BM_Custom'      => 'Custom',
    'BM_What is it?' => 'What is it?',

    'BM_Incorrect method' => 'Bad Request Method',
    'BM_Request requires POST' =>
      'We could not complete your request because that action can be '
      . 'performed only with a POST request.',

    'BM_Your changes have been saved.' => 'Your changes have been saved.',

    'BM_rich_text_inline_notice' => 'Formatting: **bold** and _italic_',

    'BM_Unknown error' => 'Sorry, we encountered an unknown error.',

    'BM_No such site' => 'Could Not Load Site',
    'BM_TEXT_No such site' =>
      'The data record for site ID [_1] could not be found, and we could '
      . 'not complete the requested operation.',

    'BM_One-click editing' => 'One-click editing',
    'BM_oneclick_caption'  => 'Enable edit links on live site',

####BigMed::Help

    'HELP_TITLE_markdown' => 'About Markdown',

####BigMed::Web crash strings

    'WEB_CRASH_What Happened?' => 'What Happened?',
    'WEB_CRASH_What were you doing when this problem occurred?' =>
      'What were you doing when this problem occurred?',
    'WEB_CRASH_E-mail Address'                    => 'E-mail Address',
    'WEB_CRASH_Optional.'                         => 'Optional.',
    'WEB_CRASH_Software Trouble'                  => 'Software Trouble',
    'WEB_CRASH_Please tell us about this problem' => 'Oops.',
    'WEB_CRASH_Big Medium ran into an unexpected problem' =>
      'Big Medium ran into an unexpected problem, and well, we crashed.',
    'WEB_CRASH_Please take a moment to send an error report' =>
      'Please take a moment to send an error report which will help us improve Big Medium and avoid this problem in the future. We will treat this report as confidential and anonymous. No personal data will be transmitted other than the information you specifically provide.',
    'WEB_CRASH_Show the error report' => 'Show the error report',

####BigMed::Element validation strings
    'BM_ERR_Invalid value' => 'Invalid value',
    'This field cannot contain line breaks' =>
      'This field cannot contain line breaks',

####BigMed::App::Web::Login

    'LOGIN_TITLE_Welcome to Big Medium' => 'Welcome to Big Medium',
    'LOGIN_LABEL_Please sign in'        => 'Please sign in',
    'LOGIN_SUBMIT_Sign In'              => 'Sign In',
    'LOGIN_Signing in...'               => 'Signing in...',
    'LOGIN_Forget your user name or password?' =>
      'Forget your user name or password?',
    'LOGIN_Websites'                     => 'Websites',
    'LOGIN_Make this my default website' => 'Make this my default website',
    'LOGIN_Default?'                     => 'Default?',
    'LOGIN_HEAD_Session Timed Out'       => 'Session Timed Out',
    'LOGIN_TEXT_Session timed Out' =>
      q{For security reasons, you have been logged out after a }
      . q{period of inactivity. Please confirm your user name and password.},
    'LOGIN_HEAD_Signed Out' => 'Signed Out',
    'LOGIN_TEXT_Signed Out' => 'You have signed out.',

    'LOGIN_ERR_HEAD_No sites to edit' => 'No Sites To Edit',
    'LOGIN_ERR_TEXT_No sites configured' =>
      'No sites have been configured for this installation of Big Medium. '
      . 'To get started and create your first site, please run the '
      . 'Big Medium setup wizard.',

    'LOGIN_ERR_TEXT_No sites for this account' =>
      q{The account "[_1]" does not have privileges to edit any sites in }
      . q{this Big Medium system. Got questions? Contact [_2]your }
      . q{Big Medium administrator[_3].},

####BigMed::App::Web::ResetPassword

    'RESET_Request Password Reset' => 'Request Password Reset',
    'RESET_DESC_Request Password Reset' =>
      q{Enter your Big Medium account name below, and we'll send you an }
      . q{e-mail with a private link where you can reset your password.},
    'RESET_Forgot username' => q{I don't know my account name.},
    'RESET_DESC_Email' => q{We'll send your account name to this address.},

    'RESET_HEAD_No Matching Accounts' => 'No Matching Accounts',
    'RESET_TEXT_No Matching Accounts for email' =>
      'There are no accounts registered under the email address [_1].',

    'RESET_Username email subject' => 'Account name reminder',
    'RESET_Username email' =>
      '%BMAn account reminder for the Big Medium content manager was requested '
      . 'to be sent to this address. This account is associated with '
      . "the following account name(s):\n\n[_1]\n\nYou can request a "
      . "password reset for your account by going to this web address:\n[_2]%",

    'RESET_HEAD_Message sent' => 'Account Reminder Sent',
    'RESET_TEXT_Message sent' =>
      q{We've sent an email with your account name(s) to [_1] with the }
      . q{subject heading "Account name reminder." You can request to have }
      . q{your password reset by entering your account name below. }
      . q{%BM<br /><br />%(If you do not receive the reminder mail in the }
      . q{next few minutes, be sure to check any spam or junk }
      . q{filters to make sure that it was not mistakenly identified as }
      . q{spam.)},

    'RESET_TEXT_No Matching Accounts for name' =>
      'There are no accounts under the name "[_1]."',

    'RESET_reset_email_subject' =>
      'Password help for your Big Medium account',
    'RESET_reset_email_message' => <<'RESET_EMAIL_MSG',
%BMThis email was sent automatically in response to a request for
help with the password for the "[_1]" account in the Big Medium 
content manager. This is done for your protection --- only you,
the recipient of this email, can take the next step in the process
of resetting your password. 

To select a new password and access your account, click this link:

[_2]

If clicking doesn't seem to work, you can copy and paste the link
into your browser's address window, or retype it there. Note that
the URL must be entered into your browser on one line. If it
appears on more than one line in your e-mail, you may need to copy
and paste the link into your browser in two "chunks" so that the
complete address is entered.%
RESET_EMAIL_MSG

    'RESET_HEAD_Instructions sent' => 'Instructions Sent',
    'RESET_TEXT_Instructions sent' =>
      'To protect your account, we have sent a special link to your e-mail '
      . 'address. Check your e-mail, and open the message that contains the '
      . 'subject line "Password help for your Big Medium account." '
      . '%BM<br /><br />%Click on the link indicated in the e-mail message '
      . 'to continue to the next step. '
      . q{%BM<br /><br />%(If you do not receive this mail in the }
      . q{next few minutes, be sure to check any spam or junk }
      . q{filters to make sure that it was not mistakenly identified as }
      . q{spam.)},

    'RESET_HEAD_Incomplete URL' => 'Incomplete URL',
    'RESET_TEXT_Incomplete URL' =>
      q{We didn't recognize that web address. If you're trying to reset your }
      . q{password, you probably did not enter the complete link into your }
      . q{browser's location field. %BM<br /><br />%}
      . q{If the link that you received in the e-mail message was broken }
      . q{into more than one line, you may need to copy and paste the link }
      . q{into your browser in two "chunks" so that the complete address is }
      . q{entered.},

    'RESET_HEAD_Link Expired' => 'Link Expired',
    'RESET_TEXT_Link Expired' =>
      'That link is no longer valid. To request a new link to reset your '
      . 'password, please enter your account name below.',

    'RESET_TITLE_Confirm Account Name' => 'Confirm Account Name',
    'RESET_TEXT_Confirm Account Name' =>
      'To confirm your identity, please enter your account name below.',

    'RESET_HEAD_Incorrect Account Name' => 'Incorrect Account Name',
    'RESET_TEXT_Incorrect Account Name' =>
      'The account name you entered does not match the account for this '
      . 'password change request. Please try again.',

    'RESET_HEAD_New Password Saved' => 'New Password Saved',
    'RESET_TEXT_New Password Saved' =>
      'Your password has been changed. %BM<a href="[_1]">Please sign in with '
      . 'your new account information.</a>.%',

####BigMed::Error strings

    'ERROR_I/O Error' => 'I/O Error',

    'ERROR_I/O Generic text' =>
      q{We hit an error when doing something with the file located }
      . q{at %BM<code>%[_1]%BM</code>%: [_2]},

    'ERROR_IO_descriptive_headline' => 'Error when [_1] [_2]',

    'ERROR_IO_descriptive_text' =>
      'When we tried to [_2] the [_3] located at %BM<code>%[_5]%BM</code>%[_4], we encountered the following error: [_6]',

    'ERROR_opening'            => 'opening',
    'ERROR_open'               => 'open',
    'ERROR_file'               => 'file',
    'ERROR_directory'          => 'directory',
    'ERROR_copying'            => 'copying',
    'ERROR_copy'               => 'copy',
    'ERROR_moving or renaming' => 'moving or renaming',
    'ERROR_move or rename'     => 'move or rename',
    'ERROR_locking'            => 'locking',
    'ERROR_lock'               => 'lock',
    'ERROR_file'               => 'file',
    'ERROR_locking'            => 'locking',
    'ERROR_lock'               => 'lock',
    'ERROR_file'               => 'file',
    'ERROR_rewinding'          => 'rewinding',
    'ERROR_rewind'             => 'rewind',
    'ERROR_file'               => 'file',
    'ERROR_truncating'         => 'truncating',
    'ERROR_truncate'           => 'truncate',
    'ERROR_file'               => 'file',
    'ERROR_writing'            => 'writing',
    'ERROR_write'              => 'write',
    'ERROR_file'               => 'file',
    'ERROR_closing'            => 'closing',
    'ERROR_close'              => 'close',
    'ERROR_file'               => 'file',
    'ERROR_closing'            => 'closing',
    'ERROR_close'              => 'close',
    'ERROR_directory'          => 'directory',
    'ERROR_deleting'           => 'deleting',
    'ERROR_remove'             => 'remove',
    'ERROR_file'               => 'file',
    'ERROR_deleting'           => 'deleting',
    'ERROR_remove'             => 'remove',
    'ERROR_directory'          => 'directory',
    'ERROR_file'               => 'file',
    'ERROR_copying'            => 'copying',
    'ERROR_copy'               => 'copy',
    'ERROR_file'               => 'file',
    'ERROR_for exclusive'      => ' for exclusive writing privileges',
    'ERROR_for shared'         => ' for shared reading privileges',

    'ERROR_HEAD_Multiple errors' => 'Ran into Some Trouble...',

    'ERROR_TEXT_Multiple errors' =>
      'We encountered [quant,_1,error] while trying to complete your '
      . "request:\n[_2]",

####BigMed.pm errors

    'BIGMED_ERR_HEAD_Big Medium Not Configured' =>
      'Big Medium Not Configured',

    "BIGMED_ERR_TEXT_Big Medium Not Configured", => <<'BIGMED_NOT_CONFIG',
Sorry, we could not retrieve the basic configuration for the Big Medium
content management system. Try running the Big Medium setup wizard to get
started, or contact your server administrator for assistance.
BIGMED_NOT_CONFIG

####BigMed::Web::Login

    'LOGIN_ERR_HEAD_Incorrect User Name or Password' =>
      'Incorrect User Name or Password',

    'LOGIN_ERR_TEXT_Incorrect User Name or Password' =>
      q{The user name and password combination you entered could not }
      . q{be found. Please try again.},

    'LOGIN_ERR_HEAD_No privileges at site' => 'Not Allowed To Go There',
    'LOGIN_ERR_TEXT_No privileges at site' =>
      q{Sorry, your account does not have privileges at the site "[_1]."},

    'LOGIN_ERR_HEAD_No such site' => 'Site Could Not Be Found',
    'LOGIN_ERR_TEXT_No such site' =>
      'We tried to sign you into site ID [_1], but the data record for '
      . 'that site could not be found. Please sign in again.',

    'LOGIN_HEAD_Not permitted' => q{Not Allowed To Go There},
    'LOGIN_TEXT_Not permitted' =>
      q{Sorry, your account does not have privileges to do that.},

    'LOGIN_Select a site'       => 'Select a Site',
    'LOGIN_Choose site to edit' => 'Choose a Site To Edit',

####BigMed::DiskUtil errors

    'DISKUTIL_ERR_HEAD_Bad File Name' => 'Bad File Name or Path',
    'DISKUTIL_ERR_TEXT_Bad File Name' =>
      'This file name or path looks a little sketchy, and we cannot work '
      . 'with it: [_1]',

    'DISKUTIL_ERR_HEAD_Could Not Write File' => 'Could Not Write File',

    'DISKUTIL_ERR_TEXT_Directory doesn\'t exist' =>
      q{Big Medium could not write the file [_1] to directory }
      . q{%BM<code>%[_2]%BM</code>% because the directory does not exist.},

    'DISKUTIL_ERR_TEXT_No_File_Write_Permission' =>
      <<'DISKUTIL_NO_WRITE_PERMS',
Big Medium could not write the file [_1] to directory
%BM<code>%[_2]%BM</code>% because either the file or directory permission
settings do not allow it. Contact your server administrator to ensure that
the directory, along with its parent directories, are configured to allow
Big Medium to write files.
DISKUTIL_NO_WRITE_PERMS

    'DISKUTIL_ERR_TEXT_Could Not Write File' =>
      q{We received the following error when we tried to create a }
      . q{file named [_1] in directory %BM<code>%[_2]%BM</code>%: [_3]},

    'DISKUTIL_ERR_HEAD_Could Not Create Directory' =>
      'Could Not Create Directory',
    'DISKUTIL_ERR_Cannot create directory in root dir' =>
      'Big Medium does not have permission to create [_1] in your '
      . q{server's root directory.},

    'DISKUTIL_ERR_miscellaneous directory error' =>
      'We received the following error when we tried to '
      . 'create [_2] at %BM<code>%[_3]%BM</code>%: [_1]',

    'DISKUTIL_ERR_TEXT_No such path' => <<'DISKUTIL_NO_SUCH_PATH',
The directory %BM<code>%[_2]%BM</code>% does not exist, so Big Medium was not
able to create [_3] at %BM<code>%[_1]%BM</code>%.%BM <br /><br />%Please make
sure that the directory %BM<code>%[_2]%BM</code>% exists, or select another
directory path for the [_3].
DISKUTIL_NO_SUCH_PATH

    'DISKUTIL_ERR_TEXT_No Execute Permissions' => <<'DISKUTIL_NO_EXEC',
Big Medium does not have permission to create [_3] at
%BM<code>%[_1]%BM</code>. <br /><br />% In order to create this
directory, Big Medium must have execute permission in all of the parent
directories. However, the directory %BM<code>%[_2]%BM</code>% is not
configured this way. Please adjust the permission on this directory to give
Big Medium the necessary access.
DISKUTIL_NO_EXEC

    'DISKUTIL_ERR_TEXT_No Directory Write Perms' => <<'DISKUTIL_NO_DIR_WRITE',
Big Medium does not have permission to create [_3] at
%BM<code>%[_1]%BM</code>. <br /><br />% Specifically, Big Medium does not
have write permission to the parent directory %BM<code>%[_2]%BM</code>%.
Please adjust the permission on this directory to give Big Medium the
necessary access.
DISKUTIL_NO_DIR_WRITE

    'DISKUTIL_ERR_HEAD_Out of Disk Space' => 'Out of Disk Space',

    'DISKUTIL_ERR_TEXT_Out of Disk Space' => <<'DISKUTIL_DISK_SPACE',
Big Medium cannot complete this operation because of dangerously low disk
space on the server. Please contact your web server administrator immediately
to add additional space to your server or free up additional space by
removing files.
DISKUTIL_DISK_SPACE

####BigMed::Web::App:Account

    'ACCT_user name' => 'user name',
    'ACCT_account'   => 'account',

    'ACCT_LABEL_personal info' => 'Personal Info',
    'ACCT_DESC_Username'       => 'The name used to sign into Big Medium',
    'ACCT_DESC_Email'          => 'E-mail address of the account owner',

    'ACCT_AJAX_Username taken' =>
      'This name already belongs to another account',
    'ACCT_AJAX_Username available' => 'This name is valid and available',

    'ACCT_LABEL_password_fieldset'     => 'Password',
    'ACCT_LABEL_password'              => 'Password',
    'ACCT_LABEL_new_password_fieldset' => 'New Password',
    'ACCT_LABEL_new_password'          => 'New Password',
    'ACCT_LABEL_confirm_password'      => 'Confirm Password',

    'ACCT_LABEL_send_greeting'              => 'Send Greeting?',
    'ACCT_LABEL_email confirmation message' => <<'ACCT_EMAIL_CONF',
Send welcome e-mail to the address above, providing login instructions along
with the user name and password.
%BM<br /><span class="bmcpSupportText">%CAUTION: This e-mail will be sent in
clear text over the public internet.%BM</span>%
ACCT_EMAIL_CONF

    'ACCT_LABEL_email alerts' => 'E-Mail Alerts',
    'ACCT_LABEL_page_new'     => 'New Pages',
    'ACCT_LABEL_page_status'  => 'Status Changes',
    'ACCT_LABEL_comment_mod'  => 'Moderated Comments',
    'ACCT_LABEL_comment_new'  => 'New Comments',
    'ACCT_ALERT_Only for pages owned by me' =>
      'Send alerts only for pages owned by this account',
    'ACCT_LABEL_Alert for sites'  => 'Alert for Sites',
    'ACCT_LABEL_Owned pages only' => 'Owned Pages Only',

    'ACCT_ACTIVATE_page_new' => 'Send alert when a new page is added',
    'ACCT_ACTIVATE_page_status' =>
      q{Send alert when a page's publication status changes},
    'ACCT_ACTIVATE_comment_mod' =>
      q{Send alert when a visitor's comment is held for review},
    'ACCT_ACTIVATE_comment_new' =>
      q{Send alert when a new comment is published},

    'ACCT_ERR_confirmation password must match' =>
      q{You entered two different values in the two password fields. The }
      . q{confirmation password must match the value in the password field.},

    'ACCT_Saved but could not send email' => <<'ACCT_NO_MAIL',
[_1]%BM<br /><br />
<strong>%Attention: %BM</strong>%Although the account information was
successfully saved, we were not able to e-mail the account information
as requested. [_2]
ACCT_NO_MAIL

    'ACCOUNT_EMAIL_Your account info' => 'Big Medium: Your account info',
    'ACCT_EMAIL_New account text' =>
      qq{Hello,\n\nYour server administrator has created an account for you }
      . qq{in the Big Medium content management system. This system enables }
      . qq{you to create and manage articles for your website. Your account }
      . qq{information is provided below.\n\n}
      . qq{Your user name: [_1]\nYour password:  [_2]\n}
      . qq{Your e-mail of record: [_3]\n\nSign in at this address:\n[_4]\n},

    'BM_Add site'               => 'Add site',
    'ACCOUNT_limited_sections'  => 'Limited sections',
    'ACCOUNT_all sections'      => 'All sections',
    'ACCOUNT_Customize'         => ' Customize',
    'ACCOUNT_Cancel privileges' => ' Cancel privileges',
    'ACCOUNT_TEXT_You do not have permission to edit that account' =>
      'You do not have permission to edit that account.',
    'ACCOUNT_Site privileges'       => 'Site privileges',
    'ACCT_Edit Account'             => 'Edit Account',
    'ACCOUNT_Select Site(s) To Add' => 'Select Site(s) To Add',
    'ACCOUNT_DESC_level'            => 'Default editing privileges',
    'ACCOUNT_Admins have privileges at all sites' =>
      'Administrators have editing privileges at all sites.',

    'ACCOUNT_ERR_Missing data' => 'Missing Data',
    'ACCOUNT_ERR_TEXT_Missing data' =>
      'Looks like a bad URL: We did not understand your request.',
    'ACCOUNT_ERR_No such user' => 'Account Could Not Be Found',
    'ACCOUNT_ERR_TEXT_No such user' =>
      'We were unable to find a record of the requested account.',
    'ACCOUNT_All Levels'        => 'All levels',
    'ACCT_LABEL_search'         => 'Search',
    'ACCOUNT_All Sites'         => 'All sites',
    'ACCOUNT_Selected Sites'    => 'Selected sites',
    'ACCT_Account Menu'         => 'Account Menu',
    'ACCOUNT_Edit my account'   => 'Edit my account',
    'ACCOUNT_Show all accounts' => 'Show all accounts',
    'ACCOUNT_Site'              => 'Site',
    'ACCOUNT_No matching results' =>
      'No accounts could be found to match your search criteria',
    'ACCOUNT_Found matches' => 'Found [quant,_1,matching account].',
    'ACCT_Search Results'   => 'Search Results',
    'ACCOUNT_New search'    => 'New search',

    'ACCOUNT_TEXT_No permission to delete' =>
      q~You don't have permission to delete the account for [_1].~,
    'ACCOUNT_Deleted the requested accounts' =>
      'The requested account(s) have been deleted',

    'ACCOUNT_Cannot Edit Own Privs' => 'Cannot Edit Your Own Privileges',
    'ACCOUNT_TEXT_Cannot Edit Own Privs' =>
      q{You may not edit your own account's site privileges.},

    'ACCOUNT_Site privileges:Site' => 'Site Privileges: %BM[_1]%',
    'ACCOUNTS_All sections'        => 'All Sections',
    'ACCOUNTS_DESC_All sections' =>
      'Account has privileges at all site sections',
    'ACCOUNTS_INFO_All sections' =>
      'Uncheck for manual selection of sections.',
    'ACCOUNT_Customize privilege level' =>
      'Customize the privilege level for this site.',

    'ACCOUNT_DESC_privilege_sections' =>
      'Select the sections(s) where this account has editing privileges. '
      . 'Ctrl-click to select multiple (⌘-click for Mac).',
    'ACCOUNT_No privileges at site' => 'No Privileges at That Site',
    'ACCOUNT_TEXT_No privileges at site' =>
      'This account does not have privileges at the requested site.',

    'ACCOUNT_Cannot Delete Yourself' => 'Cannot Delete Yourself',
    'ACCOUNT_TEXT_Cannot Delete Yourself' =>
      'You may not delete your own account.',
    'ACCOUNT_New account' => 'New Account',

####BigMed::Web::App:Config

    #general

    'CONFIG_ERR_Could_not_write_configuration_file' =>
      'Could Not Write Configuration File',

    #About You config page

    'CONFIG_About_You_Privacy_Notice' => <<'CONFIG_ABOUT_PRIVACY',
Privacy information: This information will remain on your server and will not
be transmitted to Global Moxie. The license information is for your own
reference, and the organization name and e-mail are used to provide
information and help to your users.
CONFIG_ABOUT_PRIVACY

    'CONFIG_FIELDSET_About_You' => 'About You',

    'CONFIG_LABEL_Admin_Email' => 'Administrator E-Mail',

    'CONFIG_DESC_Admin_Email' => 'Tech-support contact for your users',

    'CONFIG_LABEL_Organization_Name' => 'Organization Name',

    'CONFIG_DESC_Organization_Name' => 'Your business or organization name',

    'CONFIG_Registration_Info_Title' => 'Registration Information',

    #Server info config page

    'CONFIG_Server_Info_Title' => 'Basic Server Info',

    'CONFIG_LABEL_Web Addresses' => 'Web Addresses',

    q{CONFIG_HELP_Web Addresses} => <<'CONFIG_WEB_ADDR_HELP',
Big Medium needs to know the URLs (web addresses) of two directories in order to
do its work.%BM<br /><br />
<strong>%Tip%BM</strong><br />%
After you enter the URL for each directory and click to another
field, we'll try to confirm the URL's location. If we're able to confirm
the location, we'll display a confirmation message below the URL field.
%BM<br /><br />
<strong>%moxiebin%BM</strong><br />%
The moxiebin directory is where the Big Medium scripts are stored. Most
server setups require that this directory be located in a special "cgi"
directory, typically named "cgi-bin" or "cgi". A typical location looks
something like this:
%BM<br /><code>%http://www.example.com/cgi-bin/moxiebin%BM</code><br /><br />%
If you're not sure of the location, look in your browser's location bar
to see the current address. This web page should be located inside the
moxiebin directory.
%BM<br /><br />
<strong>%bmadmin%BM</strong><br />%
The bmadmin directory holds the login page as well as a variety of other
files that make the Big Medium control panel do its thing. A typical location
looks something like this:
%BM<br /><code>%http://www.example.com/bmadmin%BM</code>%
CONFIG_WEB_ADDR_HELP

    'CONFIG_LABEL_Moxiebin URL' => 'moxiebin URL',
    'CONFIG_DESC_Moxiebin URL' =>
      q{Web address of the moxiebin directory, where Big Medium's CGI }
      . q{scripts are stored},

    'CONFIG_LABEL_BMadmin URL' => 'bmadmin URL',
    'CONFIG_DESC_BMadmin URL'  => 'Web address of the bmadmin directory',

    'CONFIG_LABEL_Directory Paths'          => 'Directory Paths',
    'CONFIG_LABEL_Moxiedata Directory Path' => 'moxiedata Directory Path',
    'CONFIG_DESC_Moxiedata Directory Path' =>
      q{Path to the moxiedata directory, where Big Medium stores its data files},

    'CONFIG_LABEL_bmadmin Directory Path' => 'bmadmin Directory Path',
    'CONFIG_DESC_bmadmin Directory Path'  => 'Path to the bmadmin directory',

    'CONFIG_Directory confirmed' => 'Directory location confirmed',
    'CONFIG_Directory does not exist' =>
      'No directory found at this location',
    'CONFIG_Directory not a directory' => 'Path exists, but not a directory',
    'CONFIG_Directory not moxiedata' =>
      q{Directory does not contain expected moxiedata files. This does not }
      . q{appear to be the correct path.},
    'CONFIG_Directory not bmadmin' =>
      q{Directory does not contain expected bmadmin files. This does not }
      . q{appear to be the correct path.},

    q{CONFIG_HELP_Directory Paths} => <<'CONFIG_MOXIEDATA_HELP',
%BM<strong>moxiedata Directory Path</strong><br />%The moxiedata directory is
where Big Medium stores its data files. If possible, you should locate this
directory above the web root directory of your website so that it cannot be
accessed via web browser. (The web root directory is the directory where all
of your server's public HTML files are stored.)
CONFIG_MOXIEDATA_HELP

    'CONFIG_Moxiedata: Web root directory' =>
      'Your web root directory is %BM<code>%[_1]%BM</code>% so, if',
    'CONFIG_Moxiedata: Web root directory example' =>
      q{If, for example, your web root were located at }
      . q{%BM<code>%[_1]%BM</code>% and },

    'CONFIG_Moxiedata recommendation' => <<'MOXIEDATA_RECOMMEND',
%BM[_1]% you have access to the directory above that
(%BM<code>%[_2]%BM</code>%), your moxiedata directory should ideally be
be located here:%BM<br />
<code>%[_3]%BM</code>
<br /><br />%
If you don't have access to that directory, refer to the Big Medium
installation guide for alternative locations.%BM<br /><br />
<strong>bmadmin Directory Path</strong><br />%
The bmadmin directory path should point to the same directory as the
bmadmin URL in the "Web Addresses" panel above. Assuming that you loaded
the directory to your site's web root directory, it may be located
here:%BM<br />
<code>%[_4]%BM</code><br /><br />
<strong>%Tip%BM</strong><br />%
After you enter the directory path and click to another field, we'll try
to confirm the directory location for you. If we're able to confirm
the location, we'll give you a confirmation message.
MOXIEDATA_RECOMMEND

    'CONFIG_HELP_email_method_unix' => <<'CONFIG_EMAIL_UNIX',
In order to send e-mail, Big Medium needs to know what method to use. For
Unix/Linux servers like yours, sendmail is typically the best option, but
you can also use a SMTP server if you like. Choose one of the options:
%BM<br /><br />
<strong>%Sendmail%BM</strong><br />%
The sendmail program is installed on most Unix-based servers. To use
sendmail, select the Sendmail tab, and enter the path to the sendmail program
in the provided field. If you do not know the location of sendmail, your
hosting service can tell you the path. %BM<br /><br />
<strong>%SMTP%BM</strong><br />%
If sendmail is not available on your system, you can also choose a
SMTP server. To do this, select the SMTP tab.
CONFIG_EMAIL_UNIX

    'CONFIG_HELP_email_method_smtp' => <<'CONFIG_EMAIL_SMTP',
Enter the name of an SMTP e-mail server that will accept outgoing e-mail
from your server's domain name. The SMTP server name may be something
like smtp.yourdomain.com or mail.yourdomain.com. It may also be your
domain name alone, an IP address, or a server your hosting provider has
set up for this purpose. Contact your hosting provider for the proper SMTP
server name.
CONFIG_EMAIL_SMTP

    'CONFIG_LABEL_Email Server'          => 'E-Mail Server',
    'CONFIG_LABEL_email_method'          => 'E-Mail Method',
    'CONFIG_LABEL_email_method_sendmail' => 'Sendmail',
    'CONFIG_LABEL_email_method_smtp'     => 'SMTP',
    'CONFIG_LABEL_smtp server'           => 'SMTP Server',
    'CONFIG_DESC_smtp server'    => q{Host name of your SMTP e-mail server},
    'CONFIG_LABEL_sendmail path' => 'Sendmail Path',
    'CONFIG_DESC_sendmail path'  => q{Path to your server's sendmail program},
    'CONFIG_ERR_TEXTsendmail path does not exist' =>
      'This is not the correct path to the sendmail program.',
    'CONFIG_ERR_HEADsmtp required' =>
      'Please provide the name of the SMTP server.',

    'CONFIG_LABEL_file_security' => 'Security Level',
    'CONFIG_DESC_file_security' =>
      'Determines read/write limitations on files generated by Big Medium',

    'CONFIG_LABEL_File Permissions' => 'File Permissions',
    'CONFIG_HELP_File Permissions'  => <<'CONFIG_HELP_SECURITY',
Recommended setting: High.
%BM<br /><br />%
The security level that you choose here determines who will be allowed to
read and write the files that Big Medium generates.
%BM<br /><br />%
The user account that runs the Big Medium script is also the user account
that owns Big Medium's files. (In commercial web hosting environments,
this is typically the same account that you use to sign into your web account,
but it could also be a web-server account with a name like www or apache).
This account always has read/write permission to Big Medium's files.
The file permission security setting chosen here determines which
other accounts, if any, also have permission to access the files.
%BM<br /><br />%
No matter what level you select, only people with user-account access to
your web server can have access to these files (in no case, in other words,
will the general public have access to edit your files).
%BM<br /><br />
<strong>%High%BM</strong><br />%
Only the Big Medium user is allowed to read or write data files; other
users are allowed only to read public files like web pages and news feeds.
%BM<br /><br />
<strong>%Medium%BM</strong><br />%
The Big Medium user and others who belong to the same user group are allowed
to read or write data files and public files; other users are allowed only to
read public files.
%BM<br /><br />
<strong>%Low%BM</strong><br />%
Any user account on your server is allowed to read or write data files and
public files.
CONFIG_HELP_SECURITY

    'CONFIG_LABEL_file_security: high'   => 'High',
    'CONFIG_LABEL_file_security: medium' => 'Medium',
    'CONFIG_LABEL_file_security: low'    => 'Low',

    'CONFIG_LABEL_Firewall'     => 'Firewall',
    'CONFIG_LABEL_proxy_server' => 'Proxy Server',
    'CONFIG_DESC_proxy_server'  => 'Server URL (leave blank for no proxy)',
    'CONFIG_LABEL_noproxy'      => 'Proxy Exceptions',
    'CONFIG_DESC_noproxy' =>
      q{Don't proxy requests to these domains (one per line)},
    'CONFIG_HELP_Proxy server' => <<'PROXY',
From time to time, Big Medium needs to contact other servers and services
on the web. If your web server is behind a firewall or on an internal private
network, it may be necessary to use a proxy server in order for Big Medium to
connect to the web.%BM<br /><br />%
If you use a traditional hosting service, you probably don't use a proxy
server, and you can leave these fields blank. However, proxy servers are
commonly employed as part of a corporate firewall; check with your server
administrator if you're not sure.%BM<br /><br />%
If your server does use a proxy, enter the full URL address of your proxy
server in the "Proxy Server" field. For example:
%BM<br /><code>http://proxy.example.com:3128</code><br /><br />%
Big Medium will route its web requests through the proxy server except for
requests to any of the domains listed in the "Proxy Exceptions" field.
PROXY

    'CONFIG_LABEL_Akismet anti-spam service' => 'Akismet Anti-Spam Service',
    'CONFIG_LABEL_akismet_key'               => 'API Key',
    'CONFIG_DESC_akismet_key'                => 'Your 12-digit Akismet key',
    'CONFIG_HELP_Akismet'                    => <<'AKISMET',
Big Medium uses a third-party web service called Akismet to help prevent
spammers from posting unwelcome messages in your sites' comment forms.
To enable this optional service, you need an Akismet API key.
%BM<a href="http://akismet.com/personal/" class="preview" target="preview">Keys
for personal sites</a>% are free; %BM<a href="http://akismet.com/personal/"
class="preview" target="preview">commercial keys</a>% are available for
a fee. (If you use this installation of Big Medium to
manage any commercial sites, you should purchase a commercial key.)
For more information about Akismet, visit %BM<a href="http://akismet.com/"
class="preview" target="preview">akismet.com</a>%.
%BM<br /><br />%
If you prefer not to use the Akismet service, or if you're not sure,
leave this field blank.
AKISMET

    #site settings page

    'CONFIG_First Site Info'    => 'Your First Site: Basic Info',
    'CONFIG_First Site Message' => <<'CONFIG_FIRST_SITE',
Welcome aboard, [_1]! In order to configure your first site, we need to
know what you would like to call it and where it should be located.
Use the help links for more information if you need help with the URL
and directory info requested below.
CONFIG_FIRST_SITE

    'CONFIG_Edit Site'        => 'Site URLs & Directories',
    'CONFIG_New Site'         => 'New Site',
    'CONFIG_New Site Message' => <<'CONFIG_NEW_SITE',
To add a new site, please let us know what you would like to call it and where
it should be located. Use the help links if you need assistance with the URL
and directory info requested below.
CONFIG_NEW_SITE

    'CONFIG_Clone Site'         => 'Clone This Site',
    'CONFIG_Clone Site Message' => <<'CONFIG_NEW_SITE',
%BM<strong>%You are about to clone the site "%BM[_1]."</strong>%
This will create a new site with the same sections, preferences and design
theme as the original; you can optionally copy the content and user
privileges to the cloned site, too.%BM<br /><br />%
To get started, please let us know what you would like to call it and where
it should be located. Use the help links if you need assistance with the URL
and directory info requested below.
CONFIG_NEW_SITE

    'CONFIG_HEAD_Cloned site has home' => 'Site Already Configured',
    'CONFIG_Cloned site has home' =>
      q{You can clone a site's configuration only to brand new sites. },
    'CONFIG_HEAD_Cannot clone same site' => 'Site Cannot Clone Itself',
    'CONFIG_Cannot clone same site' => q{You have requested to clone a site }
      . q{to itself, but that would be a perversion of science. You can }
      . q{clone a site only to a separate, new site.},
    'CONFIG_Clone Preferences'     => 'What Do You Want To Copy?',
    'CONFIG_Clone preference text' => 'Your new site will have all of the '
      . q{sections, preferences and templates of the original site. Would }
      . q{you also like to copy the content and user privileges?},

    'CONFIG_Clone Content' => 'Clone Content',
    'CONFIG_Copy all content and libraries' =>
      'Copy all content and libraries to the new site',
    'CONFIG_Clone Comments' => 'Clone Comments',
    'CONFIG_Include comments with copied pages' =>
      'Include comments with copied pages',
    'CONFIG_Clone Privileges'           => 'Clone Privileges',
    'CONFIG_Give users same privileges' => q{Give editing privileges }
      . q{to all users from the original site},
    'CONFIG_Clone it!' => 'Clone it!',

    'CONFIG_Cloning site structure and theme' =>
      'Cloning site structure/theme',
    'CONFIG_Cloning user privileges' => 'Cloning user privileges',
    'CONFIG_Cloning object'          => 'Cloning content: [_1] ([_2])',
    'CONFIG_Building site'           => 'Building site',
    'CONFIG_Updating related URLs'   => 'Updating related URLs ([_1])',
    'CONFIG_Building section' => 'Building pages ("%BM[_1]%," [_2] pages)',

    'CONFIG_LABEL_fs_Site Name' => 'Site Title',
    'CONFIG_website name'       => 'website name',
    'CONFIG_DESC_Site Name'     => 'The official name of your website',
    'CONFIG_Default site name'  => 'My Website',
    'CONFIG_HELP_Site name'     => <<'CONFIG_SITE_NAME',
The website name is used to identify the site in the Big Medium system and may
also be used in the public site, too (as part of page titles, for example).
%BM<br /><br />%
Every site must have a unique website name that is not shared with other sites
in the Big Medium system.
CONFIG_SITE_NAME

    'CONFIG_DESC_Homepage URL' => 'URL of directory to use for your homepage',
    'CONFIG_DESC_Page URL' =>
      q{URL of directory to use for all other pages and supporting files},

    'CONFIG_DESC_Homepage Path' =>
      'Path to the directory to use for your homepage',
    'CONFIG_DESC_Page Path' =>
      q{Path to the directory to use for all other pages and supporting files},

    'CONFIG_HELP_Web Addresses' => <<'CONFIG_WEB_ADDR',
The settings in this panel help Big Medium to build links to the correct
pages on your site. Please provide the following two URLs (web addresses):
%BM<ul><li><strong>%Homepage directory URL%BM</strong><br />%
This is the directory where your site's homepage directory is located. For
most sites, the URL is simply the site's domain name, the "root directory"
of your website. For example:
%BM<br /><code>http://www.example.com</code></li>
<li><strong>%Page directory URL%BM</strong><br />%
The page directory is where Big Medium builds all of the other (non-homepage)
web pages and supporting files for your site. It's not required, but it's
good hygiene to make this a separate directory instead of your straight-up
domain name. Some examples:
%BM<br /><code>%http://www.example.com/bm%BM</code><br />
<code>%http://www.example.com/content%BM</code><br />
<code>%http://www.example.com/pages%BM</code></li></ul>%
CONFIG_WEB_ADDR

    'CONFIG_HELP_Directory Paths' => <<'CONFIG_WEB_ADDR',
The settings in this panel help Big Medium build your web pages in the
directories that correspond to the web addresses that you provided in
the panel above. The two directory paths that you enter below should be
the "absolute" paths for the physical locations of the directories from
the server's root directory. If you're not sure of the paths, check with
your hosting company or server administrator.
%BM<ul><li><strong>%Homepage directory path%BM</strong><br />%
This is the directory where your site's homepage directory is located, and
should correspond to homepage directory URL entered above. For
most sites, this is the top-level, or "web root," directory for the
domain.%BM</li>
<li><strong>%Page directory path%BM</strong><br />%
The page directory is where Big Medium builds all of the other (non-homepage)
web pages and supporting files for your site. This directory path should
correspond to the the page directory URL entered above.%BM</li></ul>%
CONFIG_WEB_ADDR

    'CONFIG_ERR_Unknown directory type' => 'Unknown directory type "[_1]"',
    'CONFIG_html_dir'                   => 'page directory',
    'CONFIG_homepage_dir'               => 'homepage directory',
    'CONFIG_site'                       => 'site',

    'CONFIG_LABEL_Time Zone' => q{Website's Local Time},
    'CONFIG_DESC_Time Zone Offset' =>
      q{The difference in hours and minutes from Greenwich Mean Time},
    'CONFIG_HELP_Time Zone Offset' => <<'CONFIG_TIME_HELP',
This setting helps Big Medium display the correct local time for your website
by specifying the amount of time by which your site's local time differs from
Greenwich Mean Time, also known as Universal Time. %BM<br /><br />
<strong>%The current Greenwich Mean Time is [_1] on [_2], [_3] [_4].%BM</strong>
<br /><br />%
This setting consists of three fields.
%BM<ul><li>%The first field gives you a choice of plus "+" or minus "-"
to indicate whether your site's local time zone is ahead of or behind Greenwich
Mean Time. (Western-hemisphere time zones are behind, or minus, while most
other regions of the world are ahead, or plus).%BM</li>
<li>%The second field is the number of hours of difference from Greenwich
Mean Time.%BM</li>
<li>%The third field is the number of minutes of difference from Greenwich Mean
Time, in addition to the number of hours in the previous field. (Most time zones
are zero minutes off of Greenwich Mean Time.)%BM</li>
</ul>%
CONFIG_TIME_HELP

    'CONFIG_time %r' => '12-hour time',
    'CONFIG_time %R' => '24-hour time',
    'CONFIG_time %T' => '24-hour time w/seconds',

    'CONFIG_date %b %e, %Y'     => 'Mon D, YYYY',
    'CONFIG_date %B %e, %Y'     => 'Month D, YYYY',
    'CONFIG_date %n-%e-%Y'      => 'M-D-YYYY',
    'CONFIG_date %n.%e.%Y'      => 'M.D.YYYY',
    'CONFIG_date %m-%d-%Y'      => 'MM-DD-YYYY',
    'CONFIG_date %Y-%m-%d'      => 'YYYY-MM-DD',
    'CONFIG_date %Y.%m.%d'      => 'YYYY.MM.DD',
    'CONFIG_date %a %n-%e-%Y'   => 'Wkday M-D-YYYY',
    'CONFIG_date %a %n.%e.%Y'   => 'Wkday M.D.YYYY',
    'CONFIG_date %a %Y-%m-%d'   => 'Wkday YYYY-MM-DD',
    'CONFIG_date %a %Y.%m.%d'   => 'Wkday YYYY.MM.DD',
    'CONFIG_date %a %m-%d-%Y'   => 'Wkday MM-DD-YYYY',
    'CONFIG_date %a, %b %e, %Y' => 'Wkday, Mon D, YYYY',
    'CONFIG_date %A, %B %e, %Y' => 'Weekday, Month D, YYYY',
    'CONFIG_date %e %b, %Y'     => 'D Mon, YYYY',
    'CONFIG_date %e %B, %Y'     => 'D Month, YYYY',
    'CONFIG_date %e-%n-%Y'      => 'D-M-YYYY',
    'CONFIG_date %d-%m-%Y'      => 'DD-MM-YYYY',
    'CONFIG_date %Y-%d-%m'      => 'YYYY-DD-MM',
    'CONFIG_date %Y.%d.%m'      => 'YYYY.DD.MM',
    'CONFIG_date %a %e-%n-%Y'   => 'Wkday D-M-YYYY',
    'CONFIG_date %a %d-%m-%Y'   => 'Wkday DD-MM-YYYY',
    'CONFIG_date %a, %e %b, %Y' => 'Wkday, D Mon, YYYY',
    'CONFIG_date %A, %e %B, %Y' => 'Weekday, D Month, YYYY',
    'CONFIG_date %e.%b.%Y'      => 'D.Mon.YYYY',
    'CONFIG_date %e.%n.%Y'      => 'D.M.YYYY',
    'CONFIG_date %d.%m.%Y'      => 'DD.MM.YYYY',
    'CONFIG_date %a %e.%n.%Y'   => 'Wkday D.M.YYYY',
    'CONFIG_date %a %d.%m.%Y'   => 'Wkday DD.MM.YYYY',
    'CONFIG_date %a %Y-%d-%m'   => 'Wkday YYYY-DD-MM',
    'CONFIG_date %a %Y.%d.%m'   => 'Wkday YYYY.DD.MM',

    'CONFIG_Missing file' => 'Missing File',
    'CONFIG_Could not find files in moxiedata' =>
      'We could not find a required file in the moxiedata directory. '
      . 'You may have overlooked one or more files when installing '
      . 'Big Medium. Specifically, this file is missing: '
      . '%BM<code>[_1]</code>% ',

    'CONFIG_Confirm Site Directories' => 'Confirm the Site Directories',
    'CONFIG_Confirm directory message' =>
      q{A couple of quick tests to make sure that we have the correct }
      . q{URLs and directories for your site. Please confirm that you }
      . q{can see the images displayed below. },
    'CONFIG_Do you see the genie?' => 'Do you see the genie?',
    'CONFIG_Yes I see the genie'   => 'Yes! I see the genie.',
    'CONFIG_No I do not see the genie' =>
      q{Um... No, there's no genie here...},
    'CONFIG_Do you see the gear?'     => 'Do you see the gear?',
    'CONFIG_Yes I see the gear'       => 'Yes! I see the gear.',
    'CONFIG_No I do not see the gear' => q{Um... No, there's no gear here...},

    'CONFIG_If you cannot see the genie...' => <<'CONFIG_GENIE',
If you cannot see the genie, that indicates a problem with your settings for
the site's homepage directory. The URL and the directory path do not point to
the same directory. Please review your entry to make the necessary
corrections:
CONFIG_GENIE

    'CONFIG_If you cannot see the gear...' => <<'CONFIG_GENIE',
If you cannot see the gear, that indicates a problem with your settings for
the site's page directory. The URL and the directory path do not point to
the same directory. Please review your entry to make the necessary
corrections:
CONFIG_GENIE

    'CONFIG_Update homepage directory' => 'Update Homepage Directory',
    'CONFIG_Update html directory'     => 'Update Page Directory',
    'CONFIG_Try again'                 => 'Try again',
    'CONFIG_site does not exist' => 'Could not find data for site id [_1]',

    'CONFIG_Filetypes_Title' => 'File Upload Limits',
    'CONFIG_Filetypes_Intro' =>
      'As a security precaution, the types of files and documents that may '
      . q{be uploaded to your site from Big Medium are limited to the }
      . q{file types and file size that you specify below.},

    'CONFIG_LABEL_FILETYPE Size Limit' => 'Size Limit',
    'CONFIG_DESC_FILETYPE System max file size' =>
      'This preference sets the maximum upload size for any files at any '
      . 'sites managed by Big Medium. However, each site also has its own '
      . 'individual file-size preference, located in the "Site Properties" '
      . 'settings screen, which may be set to a lower size than what you '
      . 'set below.',
    'CONFIG_LABEL_FILETYPE Maximum File Size' => 'Maximum File Size',
    'CONFIG_LABEL_FILETYPE doc'               => 'Document Files',
    'CONFIG_LABEL_FILETYPE image'             => 'Image Files',
    'CONFIG_LABEL_FILETYPE media'             => 'Media Files',
    'CONFIG_LABEL_FILETYPE zip'               => 'Compressed/Archive Files',
    'CONFIG_LABEL_FILETYPE HTML'              => 'HTML',
    'CONFIG_LABEL_FILETYPE additional'        => 'Custom File Types',

    'CONFIG_LABEL_FILETYPE additional extensions' => 'Allow These Extensions',
    'CONFIG_LABEL_FILETYPE_DESC additional' =>
      'Type the additional file extensions (doc, jpg, pdf) to allow. '
      . 'Enter one per line.',
    'CONFIG_LABEL_FILETYPE_DESC additional explanation' =>
      'To include file types not shown above, enter the file extensions '
      . 'below that you would like to allow.',
    'CONFIG_LABEL_FILETYPE_DESC additional warning' =>
      'CAUTION: It is strongly recommended that you do not allow scripts '
      . 'or other files that could cause mischief on your server '
      . '(php, pl, cgi, etc).',

    'CONFIG_LABEL Allowed file types'            => 'Allowed file types',
    'CONFIG_LABEL_FILETYPE Lotus 1-2-3'          => 'Lotus 1-2-3',
    'CONFIG_LABEL_FILETYPE Microsoft Office'     => 'Microsoft Office',
    'CONFIG_LABEL_FILETYPE Microsoft Excel'      => 'Microsoft Excel',
    'CONFIG_LABEL_FILETYPE Microsoft PowerPoint' => 'Microsoft PowerPoint',
    'CONFIG_LABEL_FILETYPE Microsoft Project'    => 'Microsoft Project',
    'CONFIG_LABEL_FILETYPE Microsoft Publisher'  => 'Microsoft Publisher',
    'CONFIG_LABEL_FILETYPE Microsoft Works'      => 'Microsoft Works',
    'CONFIG_LABEL_FILETYPE Microsoft Write'      => 'Microsoft Write',
    'CONFIG_LABEL_FILETYPE Rich Text Format'     => 'Rich Text Format (.rtf)',
    'CONFIG_LABEL_FILETYPE StarOffice/OpenOffice'  => 'StarOffice/OpenOffice',
    'CONFIG_LABEL_FILETYPE Text'                   => 'Text files',
    'CONFIG_LABEL_FILETYPE WordPerfect'            => 'WordPerfect',
    'CONFIG_LABEL_FILETYPE XML'                    => 'XML files',
    'CONFIG_LABEL_FILETYPE PDF'                    => 'PDF',
    'CONFIG_LABEL_FILETYPE Windows icon'           => 'Windows icons',
    'CONFIG_LABEL_FILETYPE GIF image'              => 'GIF images',
    'CONFIG_LABEL_FILETYPE Bitmap image'           => 'Bitmap images',
    'CONFIG_LABEL_FILETYPE JPEG image'             => 'JPEG images',
    'CONFIG_LABEL_FILETYPE TIFF image'             => 'TIFF images',
    'CONFIG_LABEL_FILETYPE PNG image'              => 'PNG images',
    'CONFIG_LABEL_FILETYPE PhotoShop'              => 'Photoshop files',
    'CONFIG_LABEL_FILETYPE EPS postscript file'    => 'EPS postscript files',
    'CONFIG_LABEL_FILETYPE QuickTime video'        => 'Quicktime videos',
    'CONFIG_LABEL_FILETYPE MPEG video'             => 'MPEG videos',
    'CONFIG_LABEL_FILETYPE MP3 and MP4 audio'      => 'MP3 and MP4 audio',
    'CONFIG_LABEL_FILETYPE MIDI music'             => 'MIDI music',
    'CONFIG_LABEL_FILETYPE AAC audio'              => 'AAC audio',
    'CONFIG_LABEL_FILETYPE AVI video'              => 'AVI video',
    'CONFIG_LABEL_FILETYPE AIFF audio'             => 'AIFF audio',
    'CONFIG_LABEL_FILETYPE Real Audio'             => 'Real Audio',
    'CONFIG_LABEL_FILETYPE Windows WAV audio'      => 'Windows WAV audio',
    'CONFIG_LABEL_FILETYPE Windows Media video'    => 'Windows Media video',
    'CONFIG_LABEL_FILETYPE Windows Media audio'    => 'Windows Media audio',
    'CONFIG_LABEL_FILETYPE MacroMedia Flash movie' => 'Flash',
    'CONFIG_LABEL_FILETYPE GNU-Zipped (Gzip) file' =>
      'GNU-Zipped file (.gzip)',
    'CONFIG_LABEL_FILETYPE Zipped file'     => 'Zipped file (.zip)',
    'CONFIG_LABEL_FILETYPE Stuffit archive' => 'Stuffit archive (.sit)',
    'CONFIG_LABEL_FILETYPE BinHex-encoded file' =>
      'BinHex-encoded file (.hqx)',
    'CONFIG_LABEL_FILETYPE Macintosh disk image'   => 'Mac disk image (.dmg)',
    'CONFIG_LABEL_FILETYPE MacBinary-encoded file' => 'MacBinary file (.bin)',
    'CONFIG_LABEL_FILETYPE Unix file archive' => 'Unix file archive (.tar)',

    # registration and activation
    'CONFIG_REGISTER_Register Big Medium' => 'Register Big Medium',
    'CONFIG_REGISTER_registration_intro' =>
      'To register and activate this installation of Big Medium, enter your '
      . 'license info below.%BM<ul><li><strong>Need a license?</strong> '
      . '<a href="http://globalmoxie.com/buy/index.shtml">Buy one now.</a>'
      . '</li><li><strong>Misplace your license info?</strong> '
      . '<a href="http://globalmoxie.com/cgi-bin/license/remind.cgi">'
      . 'Request a reminder.</a></li></ul>%',
    'CONFIG_REGISTER_HEAD_demo period expired' =>
      'Thanks for Trying Big Medium',
    'CONFIG_REGISTER_demo period expired' =>
      'The free 30-day demo period has expired for this installation of '
      . 'Big Medium. Thanks for trying the software; we hope that you found '
      . 'it useful.',
    'CONFIG_REGISTER_admin_please_register' =>
      'To continue using Big Medium, please purchase a license and '
      . '%BM<a href="[_1]">register your installation.</a>%',
    'CONFIG_REGISTER_admin_must_register' =>
      'To continue using Big Medium, your Big Medium administrator needs to '
      . 'purchase a license and register this installation. Please '
      . '%BM<a href="mailto:[_1]">contact your Big Medium administrator</a>% '
      . 'and ask him or her to sign into Big Medium for additional details.',

    'CONFIG_REGISTER_HEAD_admin_update_reg' =>
      'Please Update Your License Info',
    'CONFIG_REGISTER_admin_update_reg' =>
      'This installation of Big Medium is using a license number from '
      . q{a previous version. You need to update this license information }
      . q{for Big Medium 2 in order to continue.%BM<br /><br />%}
      . q{Never fear: This is a free update, and the process is quick and }
      . q{easy. Just register with your current license number, and we'll }
      . q{update it for you automatically.%BM<br /><br />}
      . q{<a href="[_1]">Click here to start.</a>%},
    'CONFIG_REGISTER_Please activate' => 'Please Activate This Installation',
    'CONFIG_REGISTER_TEXT_please_activate' => 'This action is required '
      . 'after installing a new version of Big Medium or after changing the '
      . 'URL of the Big Medium installation.',
    'CONFIG_REGISTER_post_activate' => 'Your Big Medium administrator needs '
      . 'to do this for you. Please %BM<a href="mailto:[_1]">contact your '
      . 'administrator</a>% and ask him or her to sign into the Big Medium '
      . 'control panel for additional details.',
    'CONFIG_REGISTER_ADMIN_post_activate' =>
      '%BM<a href="[_1]">Activate your installation now.</a>%',

    'CONFIG_REGISTER_HEAD_update_reg' => 'Please Contact Your Administrator',
    'CONFIG_REGISTER_update_reg' =>
      'A Big Medium administrator needs to update the license information '
      . 'for this installation. Please %BM<a href="mailto:[_1]">contact your '
      . 'administrator</a>% and ask him or her to sign into the Big Medium '
      . 'control panel for additional details.',

    'CONFIG_LABEL_Registration Info' => 'Registration Info',
    'CONFIG_LABEL_License_Number'    => 'License Number',
    'CONFIG_DESC_License_Number'     => 'Your Big Medium license number',
    'CONFIG_LABEL_Register Email'    => 'E-Mail',
    'CONFIG_DESC_Register Email' =>
      'The registration address for this license',
    'CONFIG_Register_Privacy_Notice' =>
      'This information will be sent to globalmoxie.com for verification. '
      . 'We hate spam as much as you do, and we promise that your contact '
      . 'information will never be shared, sold, rented or otherwise abused.',
    'CONFIG_Invalid activation response' => 'Invalid Activation Response',
    'CONFIG_TEXT_Invalid activation response' =>
      'The license activation code we received is not properly formatted. '
      . 'For help, please contact %BM<a href="mailto:support@globalmoxie.com">'
      . 'support@globalmoxie.com</a>%.',

####Web::Sections

    'SECTIONS_Section Structure' => 'Section Structure',
    'SECTIONS_DESC_Section Structure' =>
      'Add, delete, edit and rearrange the content categories that form the '
      . 'structure of your site.',

    'SECTIONS_Create Sections'  => 'Create Content Sections/Categories',
    'SECTIONS_Add subsection'   => 'Add subsection',
    'SECTIONS_Add main section' => 'Add main section',

    'SECTIONS_Edit homepage title' => 'Edit home page title',
    'SECTIONS_The homepage is the top-level section of your site' =>
      'The homepage is the top-level section of your site',
    'SECTIONS_Section Instructions' =>
      q{%BM<ul><li>%Add a new section by clicking "Add main section"}
      . q{%BM</li><li>%Add a subsection by clicking on a section's name and }
      . q{clicking "Add subsection"%BM</li><li>%}
      . q{Rearrange the order of sections by clicking the section's "grip" }
      . q{and moving it to the new location.%BM</li></ul>%},

    'SECTIONS_Parent section could not be found' =>
      q{Could not locate the parent section (ID [_1]) in the "%BM[_2]%" site},
    'SECTIONS_HEAD_Section could not be found' =>
      'Section Could Not Be Found',
    'SECTIONS_Section could not be found' =>
      q{Could not locate the section (ID [_1]) in the "%BM[_2]%" site},
    'SECTIONS_Section could not locate parent' =>
      'Could not locate a parent section for section ID [_1], so we were '
      . q~unable to determine the section's location within the site.~,

    'SECTIONS_HEAD_Found unknown section in list' =>
      'Section List Contains Reference to Unknown Section',
    'SECTIONS_Found unknown section in list' =>
      'The "[_2]" section contains a reference to a subsection with '
      . 'id [_1], which could not be found in this site. Please '
      . 'review your entry.',

    'SECTIONS_Welcome to site'            => 'Welcome to %BM[_1]%',
        'SECTIONS_Home page welcome text' => 'Welcome to your new web site! '
      . 'Your new content management system lets you add and edit '
      . "your site's text, images and documents right in your browser. "
      . 'Give it a try now: Sign into Big Medium and click the "[_1]" '
      . 'link in the edit menu to edit this page text.',

    'SECTIONS_HELP_What is a section?' => <<'SECTION_WHAT_IS_IT',
%BM<p><strong>%What's a section?%BM</strong><br />%
Sections are the organizational tools that you use to categorize content
on your website, and the primary navigational method that your visitors
will use to move about the site. Sections can be one-pagers (like a "Contact
Us" page), but more commonly they're containers for lots of web pages
(like "News," "Business" or "Sports" sections in a newspaper website).
%BM</p><p><strong>The home page</strong><br />%
The home page is the top-level section of your site, providing
a summary of the content contained in your site's sections and subsections.
The title of your home page is the name used to refer to your home page
in navigation bars and breadcrumbs. You can edit the home page title by
clicking the "Edit home page title" link.
%BM</p><p><strong>Main sections</strong><br />%
Your site's pages and content are categorized into sections, which you define
below.  To add a new top-level section to your site, click "Add main section."
%BM</p><p><strong>Subsections</strong><br />%
You can divide a section into subsections; for example, you might split
a "Sports" section into several subsections like "Baseball," "Football" and
"Basketball." To view a section's subsections or add a new subsection, click
the section's name.
%BM</p><p><strong>%Section names and slug names%BM</strong><br />%
When you add or edit a section, you're prompted to enter the section's
%BM<em>section name</em> and <em>slug name</em>%. The section name is the
title used to refer to the section in navigation and other links to
the section.
%BM</p><p>%
Every section must have its own unique slug name. The slug name is a kind of
internal code name for the section that also determines the name of the
directory where the section's articles will be stored. For example, say
that you have a "Sports" section with the slug name "sports" and a subsection "Baseball" with the slug name "baseball." 
All of the articles assigned to the Baseball subsection will go into a
directory named "baseball" inside the directory "sports." So, the URL for the
Baseball subsection would wind up being something like:
%BM<br /><code>http://www.example.com/bm/sports/baseball/</code></p>
<p><strong>%Editing section names and slugs%BM</strong><br />%
You can edit the name and slug of a section at any time by clicking the
"Edit" link.
%BM</p><p><strong>Changing the order of sections</strong><br />%
You can reorder sections by clicking on the "grip" at the left of the
section's title bar below and dragging the section to its new place
in the order.
%BM</p><p><strong>%Deleting a section or subsection%BM</strong><br />%
You can remove a section at any time by clicking the "Delete" link on the
section's title bar below. %BM<strong>%Be careful:%BM</strong>% Deleting
a section removes all of the articles and subsections contained inside
that section.%BM</p>%
SECTION_WHAT_IS_IT

    'SECTIONS_New Homepage Title' => 'New Homepage Title',
    'SECTIONS_DESC_New Homepage Title' =>
      'Name to use for homepage in navigation',

    'SECTIONS_Changes saved, rebuild pages' =>
      'Your changes have been saved and will be reflected on the live site '
      . 'after you rebuild pages.',

    'SECTIONS_Cannot delete homepage' =>
      'The homepage section may not be deleted.',

####BigMed::Web::App:Start

    'START_Big_Medium_Setup_Wizard_Title' => 'The Big Medium Setup Wizard',

    'START_Welcome_Message' => <<'START_WELCOME',
Welcome to Big Medium! This setup wizard will walk you through the basic
configuration of your new content management system.
START_WELCOME

    'START_Submit_Button_Text' => 'Onward >>',

    'START_Server_Info_Title' => 'Server Information',

    'START_Server_Info_Message' => <<'START_SERVER_MSG',
Help Big Medium get oriented in its new home by pointing out the locations
of a few file paths and web directories. (And don't be shy: Be sure to use the
help links if you need more info.)
START_SERVER_MSG

    'START_Admin_Acct'         => 'Your Administrator Account',
    'START_Admin_Acct_Message' => <<'START_ACCT_MSG',
Create an administrator account for this installation of Big Medium. (You'll
have the opportunity later to create additional accounts if you like,
including additional administrator accounts).
START_ACCT_MSG

####BigMed::Web::App:SiteConfig

    'SITECONFIG_LABEL_Prefs'         => 'Preferences',
    'SITECONFIG_LABEL_Display Prefs' => 'Display Preferences',
    'SITECONFIG_Site Settings'       => 'Site Properties',
    'SITECONFIG_DESC_Doc limit' =>
      'The maximum file size cannot exceed the systemwide limit of [_1]',
    'SITECONFIG_LABEL_File Upload Limit' => 'Upload Limit',

    'SITECONFIG_Section Properties' => '"%BM[_1]%" Section Properties',

    'SITECONFIG_LABEL_Section Active' => 'Power Switch',
    'SITECONFIG_Section Active Checkbox' =>
      q{Make section's content available on the public site},

    'SITECONFIG_LABEL_Identifiers' => 'Identifiers',
    'SITECONFIG_DESC_Section Name' => 'Name in site navigation',
    'SITECONFIG_DESC_Page Title'   => q{Headline on section's front page},
    'SITECONFIG_DESC_Slug Name' =>
      q{Section's unique identifier and the name of its content directory},

    'SITECONFIG_LABEL_Alternate URL' => 'Alternate URL',
    'SITECONFIG_HELP_Alternate URL' =>
      q{You can make Big Medium point links for this section to an }
      . q{alternate address (your forum, blog, or link-directory software, }
      . q{for example) by entering the URL in the field below.},
    'SITECONFIG_DESC_Section_Alias' =>
      q{External URL to use instead of the normal section page. }
      . q{Leave blank for normal operation.},

    'SECFLAG_html_nohome' => q{Suppress homepage links to section content},
    'SECFLAG_html_nonav'  => q{Suppress section link in navigation},
    'SECFLAG_html_noparent' =>
      q{Suppress links to section content from parent section pages},
    'SECFLAG_js_disable_feed'  => q{No news gadget for section},
    'SECFLAG_rss_disable_feed' => q{No standalone RSS feed for section},

    'SITECONFIG_Section Properties Saved' =>
      q{The section properties for the "%BM[_1]%" section have been saved }
      . q{and will take effect on the public site after you }
      . q{%BM<a href="[_2]">%rebuild all pages%BM</a>.%},

    'SITECONFIG_Image Sizes'           => 'Image Formats',
    'SITECONFIG_IMG_MSG_Image Formats' => 'These settings let you add '
      . 'additional image sizes and specify the scaling method to use '
      . 'when Big Medium automatically sizes new images. '
      . '%BM[_1]% Big Medium offers three methods of image reduction.',
    'SITECONFIG_IMG_Not configured' => '(Sorry, your server is not yet '
      . 'configured to allow Big Medium to automatically resize images '
      . 'for you.)',
    'SITECONFIG_LABEL_Standard sizes' => 'Scaling Methods for Built-In Sizes',
    'SITECONFIG_LABEL_Custom sizes'   => 'Custom Image Formats',
    'SITECONFIG_IMG_New Image'        => 'New Image Format',
    'SITECONFIG_IMG_Add New Image Size' => 'Add New Image Format',
    'SITECONFIG_IMG_squeeze'            => 'Scale to fit',
    'SITECONFIG_IMG_crop'               => 'Crop to fit',
    'SITECONFIG_IMG_squeeze-crop'       => 'Scale and crop',
    'SITECONFIG_IMG_CAP_squeeze' => 'Reduce image to fit into the bounding '
      . 'dimensions, keeping the original proportions.',
    'SITECONFIG_IMG_CAP_crop' => 'Crop image to fit into the bounding '
      . 'dimensions, with little or no size reduction.',
    'SITECONFIG_IMG_CAP_squeeze-crop' => 'Reduce the image to the smallest '
      . 'size that still fills the bounding dimensions, cropping any '
      . 'overflow.',

    'SITECONFIG_IMG_60x60'   => 'Thumbnail',
    'SITECONFIG_IMG_100x100' => 'X-Small',
    'SITECONFIG_IMG_200x200' => 'Small',
    'SITECONFIG_IMG_400x400' => 'Medium',
    'SITECONFIG_IMG_600x600' => 'Large',
    'SITECONFIG_IMG_800x800' => 'X-Large',

    'SITECONFIG_IMG_DESC'   => '[_1] pixels',
    'SITECONFIG_IMG_CUSTOM' => '[_1] x [_2]',
    'SITECONFIG_IMG_CUSTOM_DESC' =>
      '[_1] pixels wide, [_2] pixels high%BM<br />[_3]%',

    'SITECONFIG_IMG_HEAD_Size already exists' => 'Duplicate Image Size',
    'SITECONFIG_IMG_Size already exists' =>
      'That image format size already exists.',

####BigMed::Web::App:CSSEdit

    'CSSEDIT_Edit Styles'                 => 'Edit Styles',
    'CSSEDIT_Highlight'                   => 'Highlight',
    'CSSEDIT_Highlight affected elements' => 'Highlight affected elements',
    'CSSEDIT_Selector Title'              => 'CSS: [_1]',
    'CSSEDIT_Intro'                       => <<'CSSEDIT_INTRO',
This page lets you edit the font, color, spacing and border styles generated
by Big Medium. These controls let you shape the finer style elements of the
page. Preview your style changes in the panel below and click "Save" to apply
your styles to the public site.
%BM<br /><br />%
To edit the big-picture layout styles for your site, you may also find it
useful to %BM<a href="[_1]">%edit templates%BM</a>%, %BM<a href="[_2]">%edit
the theme style sheet%BM</a>% or %BM<a href="[_3]">%select a new theme%BM</a>.
<br /><br />
<a[_4]>%Clear all custom styles%BM</a>%
CSSEDIT_INTRO

    'CSSEDIT_HELP_Selector' => <<'CSSEDIT_HELP_SEL',
The "Style to edit" field determines the portions of the page to edit.
You can highlight that portion of the page by checking the "highlight
affected elements" option. For the CSS-savvy, the CSS selector for
the current style is also displayed in the title of the settings box
below.
%BM<br /><br />%
You don't have to set style settings for each and every available style.
Leaving any setting blank for a particular portion of the page typically
means that it will inherit the styles of the current context. For example,
all portions of the page inherit the font of the "Page body" style unless
they have their own custom font setting. This means that setting the
"Page body" font style also updates the font for all portions of the
page.
%BM<br /><br />%
In general, it's a good strategy to set styles at the most general level
possible. Start with the styles listed under "Default Text & Links"
and then move on to the more specific styles that you want to style
differently than these default styles.
%BM<br /><br />%
If a portion of the page does not behave as you expect, it probably
indicates that your style is being overridden by a specifically targeted
style (either by a more specific style setting in the style editor, or
in the site's theme style sheet).
CSSEDIT_HELP_SEL

    'CSSEDIT_Clear all style-editor styles' =>
      'Clear all style-editor styles',

    'CSSEDIT_HEAD_No published page could be found' =>
      'No published page could be found',
    'CSSEDIT_No published page could be found' =>
      'Sorry, we could not locate a published page for the item selected '
      . 'in the "preview page" field. The style editor can only preview '
      . 'published pages; try rebuilding all pages and then coming back.',

    'CSSEDIT_Preview Page' => 'Preview Page',
    'CSSEDIT_Homepage'     => 'Homepage',
    'CSSEDIT_Main section' => 'Section: %BM[_1]%',
    'CSSEDIT_Detail page'  => 'Detail page: %BM[_1]%',

    'CSS_SELGRP default' => 'Default Text & Links',
    'CSS_SEL body'       => 'Page Body',
    'CSS_SEL a'          => 'Links',
    'CSS_SEL a:visited'  => 'Visited links',
    'CSS_SEL a:hover'    => 'Rollover links',

    'CSS_SELGRP detail'                     => 'Page Content',
    'CSS_SEL h2.bmw_headline'               => 'Page Headline',
    'CSS_SEL h3.bmc_subhead'                => 'Page subheadline',
    'CSS_SEL div.bmw_pageContent'           => 'Primary page content',
    'CSS_SEL div.bmw_byline'                => 'Page byline',
    'CSS_SEL span.bmw_pubdate'              => 'Published time',
    'CSS_SEL span.bmw_modified'             => 'Modified time',
    'CSS_SEL div.bmw_pagetools'             => 'Tool link wrapper',
    'CSS_SEL blockquote.bmc_bigPullquote'   => 'Pullquotes (big)',
    'CSS_SEL blockquote.bmc_smallPullquote' => 'Pullquotes (small)',
    'CSS_SEL div.bmc_document'              => 'Document download wrapper',
    'CSS_SEL div.bmc_image'                 => 'Individual image wrapper',
    'CSS_SEL div.bmw_gallery'               => 'Image gallery wrapper',
    'CSS_SEL div.bmw_gallery h3'            => 'Image gallery heading',
    'CSS_SEL div.bmw_gallery div.bmc_image' =>
      'Individual gallery image wrapper',
    'CSS_SEL div.bmc_caption'    => 'Caption text',
    'CSS_SEL div.bmc_related'    => 'Related links',
    'CSS_SEL div.bmc_related h3' => 'Related links heading',
    'CSS_SEL div.bmc_blurb'      => 'Author "blurb" text',

    'CSS_SELGRP footer'                => 'Page Footer',
    'CSS_SEL div.bmw_footer'           => 'Page footer text',
    'CSS_SEL div.bmw_footer a'         => 'Page footer links',
    'CSS_SEL div.bmw_footer a:visited' => 'Page footer links (visited)',
    'CSS_SEL div.bmw_footer a:hover'   => 'Page footer links (rollover)',

    'CSS_SELGRP navigation'            => 'Navigation',
    'CSS_SEL div.bmw_navigation ul'    => 'Navigation menu',
    'CSS_SEL div.bmw_navigation ul ul' => 'Navigation menu (subsections)',
    'CSS_SEL div.bmw_navigation li'    => 'Navigation menu item',
    'CSS_SEL div.bmw_navigation li.bmn_hover, div.bmw_navigation li:hover' =>
      'Navigation menu item (rollover)',
    'CSS_SEL div.bmw_navigation li.bmn_active' =>
      'Navigation menu item (current section)',
    'CSS_SEL div.bmw_navigation li ul li' =>
      'Navigation menu item (subsection)',
    'CSS_SEL div.bmw_navigation a' => 'Navigation menu link',
    'CSS_SEL div.bmw_navigation a:visited' =>
      'Navigation menu link (visited)',
    'CSS_SEL div.bmw_navigation a:hover' => 'Navigation menu link (rollover)',
    'CSS_SEL h1.bmw_sitelogo'            => 'Site logo/title text',
    'CSS_SEL h1.bmw_sitelogo a'          => 'Site logo/title link',
    'CSS_SEL h1.bmw_sitelogo a:visited'  => 'Site logo/title link (visited)',
    'CSS_SEL h1.bmw_sitelogo a:hover'    => 'Site logo/title link (rollover)',
    'CSS_SEL div.bmw_breadcrumbs'        => 'Breadcrumb text',
    'CSS_SEL div.bmw_breadcrumbs a'      => 'Breadcrumb links',
    'CSS_SEL div.bmw_breadcrumbs a:visited' => 'Breadcrumb links (visited)',
    'CSS_SEL div.bmw_breadcrumbs a:hover'   => 'Breadcrumb links (rollover)',

    'CSS_SELGRP links'                   => 'Link Lists: Default Styles',
    'CSS_SEL div.bmw_link'               => 'Link item',
    'CSS_SEL div.bmw_link a'             => 'Links in link items',
    'CSS_SEL div.bmw_link a:visited'     => 'Links in link items (visited)',
    'CSS_SEL div.bmw_link a:hover'       => 'Links in link items (rollover)',
    'CSS_SEL div.bmw_link a.bma_head'    => 'Headline link',
    'CSS_SEL div.bmw_link a.bma_section' => 'Section link',
    'CSS_SEL div.bmw_link a.bma_commentcount' => 'Comment link',
    'CSS_SEL span.bma_byline'                 => 'Link byline',

    'CSS_SELGRP spotlight' => 'Link Lists: "Spotlight" Styles',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link' => 'Spotlight link item',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link a' =>
      'Links in spotlight link items',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link a:visited' =>
      'Links in spotlight link items (visited)',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link a:hover' =>
      'Links in spotlight link items (rollover)',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link a.bma_head' =>
      'Spotlight headline link',
    'CSS_SEL div.bmw_spotlightLinks div.bmw_link a.bma_section' =>
      'Spotlight section link',
    'CSS_SEL div.bmw_spotlightLinks a.bma_commentcount' =>
      'Spotlight comment link',
    'CSS_SEL div.bmw_spotlightLinks span.bma_byline' =>
      'Spotlight link byline',

    'CSS_SELGRP morelinks' => 'Link Lists: "Morelink" Styles',
    'CSS_SEL div.bmw_moreLinks div.bmw_link' => 'Morelinks link item',
    'CSS_SEL div.bmw_moreLinks div.bmw_link a' =>
      'Links in morelinks link items',
    'CSS_SEL div.bmw_moreLinks div.bmw_link a:visited' =>
      'Links in morelinks link items (visited)',
    'CSS_SEL div.bmw_moreLinks div.bmw_link a:hover' =>
      'Links in morelinks link items (rollover)',
    'CSS_SEL div.bmw_moreLinks div.bmw_link a.bma_head' =>
      'Morelinks headline link',
    'CSS_SEL div.bmw_moreLinks div.bmw_link a.bma_section' =>
      'Morelinks section link',
    'CSS_SEL div.bmw_moreLinks a.bma_commentcount' =>
      'Morelinks comment link',
    'CSS_SEL div.bmw_moreLinks span.bma_byline' => 'Morelinks link byline',

    'CSS_SELGRP latest' => 'Link Lists: "Latest" Styles',
    'CSS_SEL div.bmw_latestLinks div.bmw_link'   => '"Latest" link item',
    'CSS_SEL div.bmw_latestLinks h3.bma_heading' => '"Latest" heading',
    'CSS_SEL div.bmw_latestLinks div.bmw_link a' =>
      'Links in "latest" link items',
    'CSS_SEL div.bmw_latestLinks div.bmw_link a:visited' =>
      'Links in "latest" link items (visited)',
    'CSS_SEL div.bmw_latestLinks div.bmw_link a:hover' =>
      'Links in "latest" link items (rollover)',
    'CSS_SEL div.bmw_latestLinks div.bmw_link a.bma_head' =>
      '"Latest" headline link',
    'CSS_SEL div.bmw_latestLinks div.bmw_link a.bma_section' =>
      '"Latest" section link',
    'CSS_SEL div.bmw_latestLinks a.bma_commentcount' =>
      '"Latest" comment link',
    'CSS_SEL div.bmw_latestLinks span.bma_byline' => '"Latest" link byline',

    'CSS_SELGRP quicktease' => 'Link Lists: "Quicktease" Styles',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link' => 'Quicktease link item',
    'CSS_SEL div.bmw_quickteaseLinks h3.bma_heading' => 'Quicktease heading',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link a' =>
      'Links in quicktease link items',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link a:visited' =>
      'Links in quicktease link items (visited)',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link a:hover' =>
      'Links in quicktease link items (rollover)',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link a.bma_head' =>
      'Quicktease headline link',
    'CSS_SEL div.bmw_quickteaseLinks div.bmw_link a.bma_section' =>
      'Quicktease section link',
    'CSS_SEL div.bmw_quickteaseLinks a.bma_commentcount' =>
      'Quicktease comment link',
    'CSS_SEL div.bmw_quickteaseLinks span.bma_byline' =>
      'Quicktease link byline',

    'CSS_SELGRP news'                          => 'Link Lists: "News" Styles',
    'CSS_SEL div.bmw_newsLinks div.bmw_link'   => 'News link item',
    'CSS_SEL div.bmw_newsLinks div.bmw_link a' => 'Links in news link items',
    'CSS_SEL div.bmw_newsLinks div.bmw_link a:visited' =>
      'Links in news link items (visited)',
    'CSS_SEL div.bmw_newsLinks div.bmw_link a:hover' =>
      'Links in news link items (rollover)',
    'CSS_SEL div.bmw_newsLinks div.bmw_link a.bma_head' =>
      'News headline link',
    'CSS_SEL div.bmw_newsLinks div.bmw_link a.bma_section' =>
      'News section link',
    'CSS_SEL div.bmw_newsLinks a.bma_commentcount' => 'News comment link',
    'CSS_SEL div.bmw_newsLinks span.bma_byline'    => 'News link byline',

    'CSS_SELGRP announcements'           => 'Announcements',
    'CSS_SEL div.bmw_announcements'      => 'Announcement box',
    'CSS_SEL h3.bmw_announce'            => 'Announcement header',
    'CSS_SEL div.bmw_announce'           => 'Announcement text',
    'CSS_SEL div.bmw_announce a'         => 'Announcement links',
    'CSS_SEL div.bmw_announce a:visited' => 'Announcement links (visited)',
    'CSS_SEL div.bmw_announce a:hover'   => 'Announcement links (rollover)',

    'CSS_SELGRP tips'                => 'Tips',
    'CSS_SEL div.bmw_tips'           => 'Tip box',
    'CSS_SEL h3.bmw_tips'            => 'Tip header',
    'CSS_SEL div.bmw_tips_tip'       => 'Tip text',
    'CSS_SEL div.bmw_tips a'         => 'Tip links',
    'CSS_SEL div.bmw_tips a:visited' => 'Tip links (visited)',
    'CSS_SEL div.bmw_tips a:hover'   => 'Tip links (rollover)',

    'CSS_SELGRP search'              => 'Search Form',
    'CSS_SEL form.bmw_search input'  => 'Text field',
    'CSS_SEL form.bmw_search button' => 'Button',

    'CSSGROUP_text'       => 'Text Styles',
    'CSSATTR_font-family' => 'Font',
    'CSSATTR_DESC_Font Family' =>
      'Select your preferred and backup fonts. Set all to "---" to inherit '
      . 'font from the current context.',
    'CSSLABEL_Cross-platform fonts' => 'Cross-platform fonts',
    'CSSLABEL_Windows defaults'     => 'Windows defaults',
    'CSSLABEL_Mac defaults'         => 'Mac defaults',

    'CSSATTR_Font Style'      => 'Font Style',
    'CSSATTR_DESC_Font Style' => 'Gray icon means style is inherited',

    'CSSATTR_line-height'     => 'Line Height',
    'CSSATTR_text-decoration' => 'Text Decoration',
    'CSSATTR_color'           => 'Text Color',
    'CSSATTR_DESC_color'      => 'Click box at right to browse colors',
    'CSSATTR_text-align'      => 'Text Alignment',
    'CSSATTR_font-weight'     => 'Font Weight',
    'CSSATTR_font-size'       => 'Font Size',
    'CSSATTR_font-style'      => 'Font Style',

    'CSSGROUP_background'           => 'Background',
    'CSSATTR_background-repeat'     => 'Background Repeat',
    'CSSATTR_background-image'      => 'Background Image',
    'CSSATTR_DESC_background-image' => 'URL of image file',
    'CSSATTR_background-color'      => 'Background Color',

    'CSSGROUP_box'         => 'Box Styles',
    'CSSATTR_width'        => 'Width',
    'CSSATTR_height'       => 'Height',
    'CSSATTR_border-style' => 'Border Style',
    'CSSATTR_border-width' => 'Border Width',
    'CSSATTR_border-color' => 'Border Color',
    'CSSATTR_padding'      => 'Padding',
    'CSSATTR_margin'       => 'Margin',

    'CSSLABEL_Inherit'    => '(Inherit)',
    'CSSLABEL_None'       => 'None',
    'CSSLABEL_Tiled'      => 'Tiled',
    'CSSLABEL_Horizontal' => 'Horizontal',
    'CSSLABEL_Vertical'   => 'Vertical',
    'CSSLABEL_Solid'      => 'Solid',
    'CSSLABEL_Dashed'     => 'Dashed',
    'CSSLABEL_Dotted'     => 'Dotted',
    'CSSLABEL_Double'     => 'Double',
    'CSSLABEL_Groove'     => 'Groove',
    'CSSLABEL_Inset'      => 'Inset',
    'CSSLABEL_Outset'     => 'Outset',
    'CSSLABEL_Ridge'      => 'Ridge',

    'PROMPT_CSS_inherit'  => '(Inherit font size)',
    'PROMPT_CSS_xx-small' => 'XX-Small',
    'PROMPT_CSS_x-small'  => 'X-Small',
    'PROMPT_CSS_small'    => 'Small',
    'PROMPT_CSS_medium'   => 'Medium',
    'PROMPT_CSS_large'    => 'Large',
    'PROMPT_CSS_x-large'  => 'X-Large',
    'PROMPT_CSS_xx-large' => 'XX-Large',

####BigMed::Web::App:Themes

    'THEMES_Choose a Design Theme' => 'Choose a Design Theme',
    'THEMES_First theme message'   => <<'FIRSTTHEME',
Select a design theme for the look and feel of your site. Never fear, you
won't be locked in. You can choose another theme later, customize this
theme, or create your own design from scratch. For now, choose a theme to get
started.
FIRSTTHEME
    'THEMES_New Theme' => 'New Theme',
    'THEMES_DESC_New Theme' =>
      'Pick a new design theme from the theme library to give your site a '
      . 'new look and feel.',
    'THEMES_Category Edit Menu' => 'New Theme: [_1] Themes',
    'THEMES_theme_intro' =>
      'Select a new design theme for your site. (Choosing a new theme will '
      . 'remove any custom templates or theme style sheets you may have '
      . 'created).',
    'THEME_CAT_custom'           => 'Custom',
    'THEME_CAT_general'          => 'General',
    'THEME_Apply'                => 'Apply',
    'THEME_Details'              => 'Details',
    'THEMES_Theme Info'          => 'Theme Info for "[_1]"',
    'THEME_Description:'         => 'Description:',
    'THEME_Designer:'            => 'Designer:',
    'THEME_Contact:'             => 'Contact:',
    'THEME_Apply this theme'     => 'Apply this theme',
    'THEME_No thanks'            => 'No thanks',
    'THEME_Could not load theme' => 'Could Not Load Theme',
    'THEME_TEXT_Could not load theme' =>
      'Sorry, we were unable to find any details about the requested theme '
      . '"[_1]" in category "[_2]"',
    'THEME_The theme has been applied' =>
      'The "[_1]" theme was applied to the site. The changes will be visible '
      . 'on the public site after you '
      . q{%BM<a href="[_2]">%rebuild the site's pages%BM</a>.%},

    'THEME_Remove Design Theme' => 'Remove Design Theme',
    'THEME_DESC_Remove Design Theme' =>
      'Remove the current theme style sheet, templates and any custom images '
      . 'for the theme.',
    'THEME_About theme removal' => <<'THEME_REMOVE',
%BM<strong>Be careful:</strong>%
Removing the design theme will strip the site of its design elements,
leaving it "naked." This process permanently deletes:
%BM<ul><li>%The site's custom templates%BM</li>
<li>%The site's theme CSS%BM</li>
<li>%Image files related to the theme design (if you're using one of the
themes from the %BM<a href="[_1]">theme library</a>)</li></url>%

%BM<p>%This is useful for advanced webmasters who prefer to create their own
custom templates and CSS from scratch. However, if that's not you, you may
instead prefer to %BM<a href="[_1]">select a new theme</a>, <a href="[_2]">edit
the current templates</a>, or <a href="[_3]">edit the current theme
CSS</a>.</p>%
THEME_REMOVE

    'THEME_Remove the theme' => 'Remove the theme',
    'THEME_Theme was removed' =>
      'The design theme was removed from the site. '
      . 'Parts of this change are already visible on the live site. To '
      . 'complete the change, please rebuild pages. Or if you prefer, you can '
      . 'select a new design from the library below.',

    'THEME_Edit Theme CSS' => 'Edit the Theme Style Sheet',
    'THEME_DESC_Edit Theme CSS' =>
      "Edit the current theme's cascading style sheet.",
    'THEME_Theme Style Sheet'  => 'Style Sheet',
    'THEME_What is theme CSS?' => <<'WHATISTHEME',
The theme style sheet is the primary cascading style sheet (CSS) for the site.
These CSS styles combine with the site's templates to determine the layout and
design of your site. The degree to which this CSS controls the design of the
site depends on the templates that you're using. Big Medium's default
templates rely entirely on this CSS for the layout of the site. Other themes,
including your own custom templates, may require little or no CSS styling for
the layout.%BM<p>%These styles are supplemented by the font and layout
styles that you supply in Big Medium's style editor.%BM</p>%
WHATISTHEME

    'THEME_CSS saved' =>
      'Your changes have been saved and are already active on the live site.',

    'THEMES_Site Configuration Complete' =>
      '%BM<p>%Congratulations! Your site is configured and ready for '
      . 'action.%BM</p><p>%The site is already live (go ahead, '
      . '%BM<a href="[_1]" class="preview">%check it out%BM</a>%). You can '
      . 'start editing right away by clicking any of the section links '
      . 'below, or create a new page by clicking "New Page."',

    'THEME_Theme Title' => 'Theme Title',
    'THEME_Theme Name'  => 'Theme Name',
    'THEME_Theme Slug'  => 'Slug Name',
    'THEME_DESC_Theme Slug' =>
      'Filename for the theme (letters, numbers and hyphens only)',

    'THEME_DESC_Save Theme' => q{Save the current site's templates and }
      . q{styles as a theme that can be applied later to other sites.},

    'THEME_Save to Theme Library' => 'Save Theme in Library',
    'THEME_INTRO_Save to Theme Library' =>
      'You are about to save the theme for "%BM[_1]%" in the theme library. '
      . q{This saves the site's current master templates, theme stylesheet }
      . q{and style settings so that you can apply them later to other }
      . q{sites.},

    'THEME_Theme Summary' => 'Theme Summary (optional)',
    'THEME_Screenshot'    => 'Screenshot Image',
    'THEME_DESC_Screenshot' =>
      'Displayed on theme detail page. Recommended max: 600x400',
    'THEME_Preview' => 'Preview Image',
    'THEME_DESC_Preview' =>
      'Displayed in theme menu. Recommended max: 100x100',
    'THEME_Theme Description'      => 'Theme Description',
    'THEME_DESC_Theme Description' => 'Displayed on theme detail page.',

    'THEME_Image & Asset Directory' => 'Image & Asset Directory (optional)',
    'THEME_Asset directory description' =>
      'If your template design uses images, flash files, javascript or other '
      . 'external files, identify the URL and server path for the '
      . 'directory where those files are stored. For example:%BM<br /><code>'
      . '[_1]</code><br /><br />%The files stored in this '
      . '"asset directory" will be imported and saved with the theme.',
    'THEME_Asset URL'       => 'Asset Directory URL',
    'THEME_Asset Directory' => 'Asset Directory Path',

    'THEME_Author Info'  => 'Designer Info (optional)',
    'THEME_Author Name'  => 'Designer Name',
    'THEME_Author Email' => 'Designer E-Mail',
    'THEME_Author URL'   => 'Designer URL',

    'THEMES_Invalid Slug Name'      => 'Invalid Slug Name',
    'THEMES_TEXT_Invalid Slug Name' => 'Please supply a valid slug name. '
      . '(The slug name cannot contain anything other than letters A-Z, '
      . 'numbers, hyphens and underscores).',
    'THEME_Asset directory does not exist' =>
      'No directory exists at the path you specified.',
    'THEME_Supply both URL and path for asset directory' =>
      'To import your asset directory, please provide both the URL and path '
      . 'for the directory (or leave both blank).',

####Prompt/Parse messages

    'PROMPT_SELECT_All sections' => 'All sections',

    'PROMPT_TIME_Time'                       => 'Time:',
    'PROMPT_TIME_Date'                       => 'Date:',
    'PROMPT_TIME_Time zone is GMT'           => 'Time zone is GMT',
    'PROMPT_DOC_Replace this file'           => 'Replace this file',
    'PROMPT_DOC_Other pages will be updated' => 'Any other pages linking to '
      . 'this document will also point to the new file.',

    'PARSE_ERR_Please provide a value.' => 'Please provide a value.',
    'PARSE_ERR_Missing field'           => q{Missing field '[_1]'},
    'PARSE_ERR_Unknown Character Encoding' =>
      'Unknown character encoding. The text you submitted was not '
      . 'formatted in the UTF-8 Unicode character set, which Big Medium '
      . 'requires to manage sites in all languages.',

    'PARSE_ERR_Could not locate page' =>
      'Could not locate the requested page (id #[_1]).',
    'PARSE_ERR_Please provide both link text and URL' =>
      'Please provide both link text and URL.',
    'PARSE_ERR_dir_path must be absolute' =>
      q{Must be the "absolute" path from the server's root directory. The }
      . q{format should look something like this:%BM<br />%[_1]},

    'PARSE_ERR_dir_path contains illegal characters' =>
      'This path contains characters that are not allowed in Big Medium '
      . 'directories.',

    'PARSE_ERR_Must be a positive integer' => 'Must be a positive integer',
    'PARSE_ERR_Must be number zero or higher' =>
      'Must be a number zero or higher',
    'PARSE_ERR_email' => 'Incorrect format for an e-mail address',

    'PARSE_ERR_dir_url http format' => 'This URL is not properly formatted. '
      . 'It has to start with http:// or https:// and include a correctly '
      . 'formatted domain name or IP address.',

    'PARSE_ERR_Sign must be "+" or "-"' => 'Sign must be "+" or "-"',
    'PARSE_ERR_Hours and minutes must be integers >= 0' =>
      'Hours and minutes must be integers greater than or equal to zero',
    'PARSE_ERR_Hour must be a number from 0 to 23' =>
      'Hour must be a number from 0 to 23',
    'PARSE_ERR_Minute must be a number from 0 to 59' =>
      'Minute must be a number from 0 to 59',

    'PARSE_ERR_Only alphanumerics hyphens underscores' =>
      'May contain only letters, numbers, hyphens and underscores',

    'PARSE_ERR_Unknown filter' => 'Unknown rich text filter "[_1]"',

    'PARSE_ERR_Missing time info' => 'Missing date/time information: [_1]',
    'PARSE_TIME_month'            => 'month',
    'PARSE_TIME_day'              => 'day',
    'PARSE_TIME_year'             => 'year',
    'PARSE_TIME_hour'             => 'hour',
    'PARSE_TIME_minute'           => 'minute',

    'PARSE_File upload too large' =>
      q{The file you submitted is [_1] which exceeds this site's limit of }
      . q{[_2].},
    'PARSE_Could not save file.' => 'Could not save file.',
    'PARSE_Unknown file type' =>
      'The submitted file has no file extension (a file extension, for '
      . 'example, is the ".doc" in filename.doc). Please add the appropriate '
      . 'file extension to your file, and try again.',
    'PARSE_Not an approved file type' =>
      'The submitted document file has a "[_1]" file extension. This is '
      . 'not one of the accepted file types. Please contact your system '
      . 'administrator for more information, or select a different file.',

    'PROMPT_NAVIGATION_Dropdown Menu' => 'Dropdown Menu',
    'PROMPT_NAVIGATION_Toggle Menu'   => 'Toggle Menu',
    'PROMPT_NAVIGATION_No Style'      => 'None: Unstyled List',

    'PROMPT_Kilobytes' => 'Kilobytes',
    'PROMPT_Megabytes' => 'Megabytes',

    'PROMPT_Auto-size images' => 'Auto-size images',
    'PROMPT_Replace image'    => 'Replace this image',
    'PROMPT_File'             => 'File',
    'PROMPT_URL'              => 'URL',
    'PROMPT_Current images'   => 'Current images',

    'PROMPT_SLIDER_Low priority'  => 'Low priority',
    'PROMPT_SLIDER_High priority' => 'High priority',

#### BigMed::Email

    'EMAIL_ERR_HEAD_Could not send mail' => 'Could not send e-mail',
    'EMAIL_ERR_TEXT_Could not open sendmail' =>
      'We ran into the following error when trying to open the '
      . 'sendmail program: [_1]',
    'EMAIL_ERR_TEXT_Could not print sendmail' =>
      'We ran into the following error when trying to send a message '
      . 'to the sendmail program: [_1]',
    'EMAIL_ERR_TEXT_Could not close sendmail' =>
      'We ran into the following error when trying to close a connection '
      . 'to the sendmail program: [_1]',
    'EMAIL_ERR_TEXT_Could not connect to smtp' =>
      'We were unable to connect to the mail server to send your message. '
      . 'This may indicate a configuration problem. Please contact the '
      . 'server administrator to alert him or her to the problem.',
    'EMAIL_ERR_TEXT_smtp rejected address' =>
      'The mail server rejected the "[_1]" address [_2] when we tried to '
      . 'send your message. Error [_3]',
    'EMAIL_ERR_TEXT_smtp rejected data' =>
      'The mail server rejected the e-mail data. ' . 'Error [_1]',
    'EMAIL_ERR_TEXT_Email settings not configured' =>
      q{The site administrator has not yet configured the e-mail settings }
      . q{(sendmail and/or SMTP server info) for this website. },
    'EMAIL_ERR_TEXT_Invalid address' =>
      q{The "[_1]" e-mail address ([_2]) is not a valid e-mail address, and your }
      . q{message could not be sent.},

#### BigMed::App::Web::Email

    'EMAIL_Recipient email'  => "To address",
    'EMAIL_Your email'       => "Your address",
    'EMAIL_Send me a copy'   => "Send me a copy",
    'EMAIL_Personal message' => "Personal message (optional)",

    'EMAIL_Author subject' => 'Feedback from <%sitename%>',
    'EMAIL_Author intro'   => 'This feedback message was sent to you by:',

    'EMAIL_Email This subject' => 'Feedback on your article',
    'EMAIL_Email This intro' =>
      'This page from <%sitename%> was sent to you by:',

    "EMAIL_Sender's message" => "Sender's message",

    'EMAIL_Could not determine author'      => 'Could Not Locate Author',
    'EMAIL_TEXT_Could not determine author' => <<'EMAIL_AUTHOR',
Sorry, this form seems to have a poorly formed web address, and we were not
able to locate the author of this page in order to send your e-mail.
EMAIL_AUTHOR

    'EMAIL_Could not determine page'      => 'Could Not Locate Page',
    'EMAIL_TEXT_Could not determine page' => <<'EMAIL_PAGE',
Sorry, this form seems to have a poorly formed web address, and we were not
able to locate information for the page in order to send your e-mail.
EMAIL_PAGE

    'EMAIL_Author Mismatch' => 'Author Mismatch',
    'EMAIL_TEXT_Author Mismatch' =>
      'Sorry, the requested author does not appear to be the author of the '
      . 'requested page. This may be a problem with the form URL or a '
      . 'configuration problem.',

    'EMAIL_No Author Email'      => 'Author E-Mail Not Available',
    'EMAIL_TEXT_No author email' => 'Sorry, we do not have an e-mail address '
      . 'on record for %BM[_1]%.',

    'EMAIL_Not Public'      => 'Page Not Available',
    'EMAIL_TEXT_Not Public' => 'Sorry, we could not discover a public URL '
      . q'for the requested page and could not send your message.',

#### BigMed::App::Web::Comment

    'COMMENT_Could not determine page'      => 'Could Not Locate Page',
    'COMMENT_TEXT_Could not determine page' => <<'COMMENT_PAGE',
Sorry, this form seems to have a poorly formed web address, and we were not
able to locate information for the page in order to handle your comment.
COMMENT_PAGE

#### BigMed::App::Web::Moderate

    'MODERATE_Edit Menu'                => 'Edit Comments',
    'MODERATE_Moderate Menu'            => 'Review Queued Comments',
    'MODERATE_Spam Menu'                => 'Review Comment Spam',
    'MODERATE_status_ok'                => 'Approved',
    'MODERATE_status_mod'               => 'Review',
    'MODERATE_status_spam'              => 'Spam',
    'MODERATE_page_title'               => 'Page title',
    'MODERATE_contributor'              => 'Contributor',
    'MODERATE_status'                   => 'Status',
    'MODERATE_status_all'               => 'All',
    'MODERATE_sort'                     => 'Sort',
    'MODERATE_earliest'                 => 'Earliest first',
    'MODERATE_latest'                   => 'Latest first',
    'MODERATE_approve'                  => 'Approve',
    'MODERATE_junk'                     => 'Junk',
    'MODERATE_Comment'                  => 'Comment',
    'MODERATE_Page'                     => 'Page',
    'MODERATE_Posted'                   => 'Posted',
    'MODERATE_Status'                   => 'Status',
    'MODERATE_Site'                     => 'Site',
    'MODERATE_Edit'                     => 'Edit',
    'MODERATE_View'                     => 'View',
    'MODERATE_HEAD_Cannot Find Comment' => 'Could Not Locate Comment',
    'MODERATE_Cannot Find Comment' =>
      'Sorry, we could not locate information for the requested comment.',
    'MODERATE_Items approved' =>
      'The selected comments were approved and published to the site.',
    'MODERATE_Items junked' => 'The selected comments were marked as spam.',
    'MODERATE_Edit Comment' => 'Edit Comment',
    'MODERATE_Use Markdown for formatting' => 'Use Markdown for Formatting',
    'MODERATE_Spam removal policy' =>
      'Spam comments are deleted automatically after 15 days.',

#### BigMed::PageAlert

    'PAGEALERT_SUBJ_New Page'      => 'New page (%BM[_1]%): %BM[_2]%',
    'PAGEALERT_INTRO_New Page'     => 'A new page has been added to %BM[_1]%',
    'PAGEALERT_SUBJ_Status Change' => 'Status change (%BM[_1]%): %BM[_2]%',
    'PAGEALERT_INTRO_Status Change' => 'The status of this page has changed:',
    'PAGEALERT_SUBJ_Moderate Comment' =>
      'Comment held for review (%BM[_1]%): %BM"[_2]"%',
    'PAGEALERT_INTRO_Moderate Comment' =>
      'The following comment was submitted but has not yet been added to '
      . 'the site.',
    'PAGEALERT_SUBJ_New Comment' => 'New comment (%BM[_1]%): %BM"[_2]"%',
    'PAGEALERT_INTRO_New Comment' =>
      'The following comment was added to [_1].',

    'PAGEALERT_Owner'             => 'Owner',
    'PAGEALERT_Section(s)'        => 'Section(s)',
    'PAGEALERT_Status'            => 'Status',
    'PAGEALERT_Edit this page'    => 'Edit this page',
    'PAGEALERT_View this page'    => 'View this page',
    'PAGEALERT_Contributor'       => 'Contributor',
    'PAGEALERT_Edit this comment' => 'Edit this comment',
    'PAGEALERT_View this comment' => 'View this comment',
    'PAGEALERT_Review all moderated comments' =>
      'Review all moderated comments',
    'PAGEALERT_Edit prefs' =>
      'This is an automated message. To stop receiving '
      . 'these e-mail alerts, please edit your account preferences:',

#### BigMed::NoBots

    'NOBOTS_Incorrect response' => '%BM[_1]%',
    'NOBOTS_TEXT_Incorrect response' =>
      'You did not supply the expected response to the anti-spam question in '
      . 'the "%BM[_1]%" field. Please try again.',
    'NOBOTS_Timeout' => 'Please Resubmit Your Comment',
    'NOBOTS_TEXT_Timeout' =>
      q{As an anti-spam security measure, this site's forms expire after several minutes, and your form has timed out. Never fear, you can get going again by reviewing and resubmitting your entry.},

#### Driver

    'DRIVER_ERR_HEAD_Data Record Contains a Duplicate Value' =>
      'Data Record Contains a Duplicate Value',
    'DRIVER_ERR_TEXT_Data Record Contains a Duplicate Value' =>
      q{We tried to save a [_1] data record (id [_2]), but that record }
      . q{contains the same "[_3]" value as another record, and those }
      . q{values must be unique. Please try again with a new "[_3]" value.},

    'DRIVER_ERR_One or More Records Could Not Be Deleted' =>
      'One or More Records Could Not Be Deleted',
    'DRIVER_ERR_TEXT_We ran into trouble deleting the following file(s)' =>
      'We ran into trouble deleting the following file(s): [_1]',
    'DRIVER_ERR_Data record could not be removed' =>
      'The [_2] data record (id [_1]) could not be removed (error: [_3]).',

#### Web::CP

    'BM_CP_NAVLABEL_NewPage'     => 'New Page',
    'BM_CP_NAVLABEL_NewArticle'  => 'New Article',
    'BM_CP_NAVLABEL_NewDownload' => 'New Download',
    'BM_CP_NAVLABEL_NewLink'     => 'New Link',
    'BM_CP_NAVLABEL_NewPodcast'  => 'New Podcast',
    'BM_CP_NAVLABEL_NewAnnc'     => 'New Announcement',
    'BM_CP_NAVLABEL_NewTip'      => 'New Tip',

    'BM_CP_NAVLABEL_Edit'          => 'Edit',
    'BM_CP_NAVLABEL_EditPages'     => 'Show All Pages',
    'BM_CP_NAVLABEL_EditArticles'  => 'Edit Articles',
    'BM_CP_NAVLABEL_EditDownloads' => 'Edit Downloads',
    'BM_CP_NAVLABEL_EditLinks'     => 'Edit Links',
    'BM_CP_NAVLABEL_EditPodcasts'  => 'Edit Podcasts',
    'BM_CP_NAVLABEL_EditSections'  => 'Edit Section Pages',
    'BM_CP_NAVLABEL_EditComm'      => 'Edit Comments',
    'BM_CP_NAVLABEL_ModComm'       => 'Review Queued Comments',
    'BM_CP_NAVLABEL_SpamComm'      => 'Review Comment Spam',
    'BM_CP_NAVLABEL_EditTips'      => 'Edit Tips',
    'BM_CP_NAVLABEL_EditAnnc'      => 'Edit Announcements',

    'BM_CP_NAVLABEL_Library'       => 'Libraries',
    'BM_CP_NAVLABEL_LibraryImage'  => 'Image Library',
    'BM_CP_NAVLABEL_LibraryAV'     => 'Audio/Video Library',
    'BM_CP_NAVLABEL_LibraryDoc'    => 'Document Library',
    'BM_CP_NAVLABEL_LibraryPerson' => 'People Library',

    'BM_CP_NAVLABEL_Layout'           => 'Layout',
    'BM_CP_NAVLABEL_RebuildPagesNow'  => 'Rebuild All Pages',
    'BM_CP_NAVLABEL_RebuildPages'     => 'Rebuild Pages...',
    'BM_CP_NAVLABEL_SectionStructure' => 'Section Structure',
    'BM_CP_NAVLABEL_EditTemplates'    => 'Edit Templates',
    'BM_CP_NAVLABEL_NewTheme'         => 'New Theme',
    'BM_CP_NAVLABEL_EditThemeCSS'     => 'Edit Theme Style Sheet',
    'BM_CP_NAVLABEL_SaveTheme'        => 'Save Theme in Library',
    'BM_CP_NAVLABEL_RemoveTheme'      => 'Remove Theme',

    'BM_CP_NAVLABEL_Styles' => 'Styles',

    'BM_CP_NAVLABEL_Accounts'       => 'Accounts',
    'BM_CP_NAVLABEL_MyAccount'      => 'My Account',
    'BM_CP_NAVLABEL_NewAccount'     => 'New Account',
    'BM_CP_NAVLABEL_SearchAccounts' => 'Search Accounts',
    'BM_CP_NAVLABEL_AllAccounts'    => 'Show All Accounts',

    'BM_CP_NAVLABEL_Settings'          => 'Settings',
    'BM_CP_NAVLABEL_HTMLPrefs'         => 'HTML Preferences',
    'BM_CP_NAVLABEL_RSSPrefs'          => 'RSS Feed Preferences',
    'BM_CP_NAVLABEL_JSPrefs'           => 'News Gadget Preferences',
    'BM_CP_NAVLABEL_SectionProperties' => 'Section Properties',
    'BM_CP_NAVLABEL_SiteProperties'    => 'Site Properties',
    'BM_CP_NAVLABEL_SiteImageFormats'  => 'Site Image Formats',
    'BM_CP_NAVLABEL_SiteDir'           => 'Site URLs & Directories',
    'BM_CP_NAVLABEL_NewSite'           => 'New Site',
    'BM_CP_NAVLABEL_CloneSite'         => 'Clone This Site',
    'BM_CP_NAVLABEL_ReviewSites'       => 'Review/Delete Sites',
    'BM_CP_NAVLABEL_ImportV1'          => 'Import Legacy Sites',
    'BM_CP_NAVLABEL_FileUploads'       => 'File Upload Limits',
    'BM_CP_NAVLABEL_Server'            => 'Big Medium Server Info',
    'BM_CP_NAVLABEL_Register'          => 'Register Big Medium',
    'BM_CP_NAVLABEL_Update'            => 'Check for Updates',
    'BM_CP_NAVLABEL_About'             => 'About You',

    'BM_CP_NAVLABEL_Plugins' => 'Plug-ins',
    'BM_CP_NAVLABEL_Help'    => 'Help',

    'BM_CP_Maintenance routine never run' =>
      q{It looks like Big Medium's maintenance script has never been run. }
      . q{Please consult Big Medium's installation instructions for details }
      . q{about setting up the maintenance script.},

    'BM_CP_Maintenance routine not run recently' =>
      q{Big Medium's maintenance script has not been run in the last }
      . q{[quant,_1,day]. It is recommended that you configure your server }
      . q{to run the maintenance script every 15 minutes. Please consult }
      . q{Big Medium's installation instructions for details about setting }
      . q{up the maintenance script.},

####BigMed::Editor

    'EDITOR_Browsing records' => 'Browsing [_1]-[_2] of [quant,_3,item]',
    'EDITOR_No sections'      => 'Please Complete Your Configuration',
    'EDITOR_TEXT_No sections' =>
      q~Before you can add or edit articles to the site, you need to ~
      . q~create one or more content sections. %BM<a href="[_1]">%Click here ~
      . q~to configure the site now.%BM</a>%~,

    'EDITOR_Type Edit Menu' => '[_1] Edit Menu',
    'EDITOR_Edit Title'     => 'Edit [_1]',
    'EDITOR_New Title'      => 'New [_1]',

    'EDITOR_No items to display.' => 'No items to display.',

    'EDITOR_Filter...'     => 'Filter...',
    'EDITOR_w/subsections' => 'w/subsections',
    'EDITOR_Title'         => 'Title',
    'EDITOR_Owner'         => 'Owner',
    'EDITOR_Sections'      => 'Sections',
    'EDITOR_Published'     => 'Published',
    'EDITOR_Modified'      => 'Modified',
    'EDITOR_Priority'      => 'Priority',
    'EDITOR_View'          => 'View',
    'EDITOR_Status'        => 'Status',

    'TITLE_page'         => 'Page',
    'TITLE_article'      => 'Article Page',
    'TITLE_section'      => 'Section Page',
    'TITLE_download'     => 'Document Download',
    'TITLE_podcast'      => 'Podcast',
    'TITLE_link'         => 'Link',
    'TITLE_tip'          => 'Tip',
    'TITLE_announcement' => 'Announcement',
    'TITLE_image'        => 'Image',
    'TITLE_document'     => 'Document',
    'TITLE_av'           => 'Audio/Video Clip',
    'TITLE_person'       => 'Person',

    'TITLE_PL_all'          => 'All',
    'TITLE_PL_page'         => 'Pages',
    'TITLE_PL_article'      => 'Articles',
    'TITLE_PL_section'      => 'Sections',
    'TITLE_PL_download'     => 'Downloads',
    'TITLE_PL_podcast'      => 'Podcasts',
    'TITLE_PL_link'         => 'Links',
    'TITLE_PL_tip'          => 'Tips',
    'TITLE_PL_announcement' => 'Announcements',
    'TITLE_PL_image'        => 'Images',
    'TITLE_PL_document'     => 'Documents',
    'TITLE_PL_av'           => 'Audio/Video Clips',
    'TITLE_PL_person'       => 'People',

    'EDITOR_Version'          => 'Version',
    'EDITOR_Last Modified'    => 'Last Modified',
    'EDITOR_Publication Time' => 'Publication Time',
    'EDITOR_Created'          => 'Created',

    'EDITOR_Section page' => 'Section page',

    'EDITOR_Unknown Content Type' => 'Unknown Content Type',
    'EDITOR_TEXT_Unknown Content Type' =>
      'We did not recognize the content type "[_1]." Please select a '
      . 'different type of content to edit.',
    'EDITOR_Could not save mini because of unknown content type' =>
      'We could not save your changes because we did not recognize '
      . 'the requested content type "[_1]." This appears to be a problem with '
      . 'the configuration of the content management system. Please check '
      . 'with your system administrator.',

    'BM_Add_object' => 'Add [_1]',

    'EDITOR_content type' => 'content type',
    'EDITOR_content id'   => 'primary content id',
    'EDITOR_relation'     => 'data relationship type',
    'EDITOR_mini_type'    => 'related data type',
    'EDITOR_mini_id'      => 'related data id',
    'EDITOR_HEAD_Could Not Resolve Content Info' =>
      'Could Not Resolve Content Info',
    'EDITOR_TEXT_Could Not Resolve Content Info' =>
      'We were unable to detect a [_1] value, which is required to '
      . 'match your submitted content with a Big Medium page or content '
      . 'element.',

    'EDITOR_TEXT_Inadequate section permissions' =>
      'You do not have permission to edit articles in one or more of the '
      . 'selected sections.',

    'EDITOR_TEXT_Inadequate publishing permissions' =>
      'You do not have permission to publish articles to the public site.',

    'EDITOR_About This Page'           => 'About This Page',
    'EDITOR_This will be version'      => 'This will be version [_1].',
    'EDITOR_Scheduled'                 => 'Scheduled [_1]',
    'BM_Unpublished'                   => 'Unpublished',
    'EDITOR_Text History'              => 'Text Edit History',
    'EDITOR_Version #'                 => 'Version [_1]',
    'EDITOR_This is the current text.' => 'This is the currently saved text.',

    'EDITOR_Unknown Content'      => 'Could Not Find the Requested Content',
    'EDITOR_TEXT_Unknown Content' => 'We were unable to find the requested '
      . ' content ([_1] #[_2]) in the database.',

    'EDITOR_Compare Text to Previous' =>
      'Compare Current Text to Previous Version',
    'EDITOR_Revert to the previous text' => 'Revert to the previous text',
    'EDITOR_Changes are shown in green and red' =>
      'Changes made since [_1], are highlighted in %BM<ins>green</ins>% '
      . 'and %BM<del>red</del>%.',

    'EDITOR_No Changes To Display' => 'No Changes To Display',
    'EDITOR_TEXT_No Changes To Display' =>
      'The current text is the same as the requested version.',

    'EDITOR_Preview Available for Pages Only' =>
      'Preview Available for Pages Only',
    'EDITOR_TEXT_Preview Available for Pages Only' =>
      'The preview feature is available only for page content.',

    'EDITOR_Missing Item' => 'Missing Item',
    'EDITOR_Please supply a relationship item' =>
      'Please supply a %BM[_1]% item',

    'EDITOR_TEXT_No permission to delete' =>
      q~You don't have permission to delete "[_1]"~,

    'EDITOR_TEXT_No permission to change status' =>
      q~You don't have permission to change the publication status of "[_1]"~,

    'EDITOR_Cannot Delete Section Page' => 'Cannot Delete Section Page',
    'EDITOR_TEXT_Cannot delete section page' =>
      'Could not delete "[_1]." Section pages may not be deleted from the '
      . 'edit menu. To delete a section, please go to "Layout>Section'
      . 'Structure."',

    'EDITOR_Unrecognized status' => "Don't Know That Status Type",
    'EDITOR_TEXT_Unrecognized status' =>
      'We were not able to handle your request becase we did not '
      . 'recognize the publication status "[_1]"',

    'EDITOR_Status saved, changes made on live site' =>
      'The publication status of the selected item(s) has been updated, '
      . 'and the live site has been updated with any necessary changes.',

    'EDITOR_Items deleted, changes made on live site' =>
      'The selected item(s) have been deleted, and the live site has been '
      . 'updated with any necessary changes.',

    'EDITOR_Target Site(s)'          => 'Target Site(s)',
        'EDITOR_DESC_Target Site(s)' => 'Select the destination site(s). '
      . 'Ctrl-click to select multiple sites '
      . "(⌘-click for Mac).",

    'EDITOR_Copy To Other Sites' => 'Copy to Other Sites',
    'EDITOR_Copying to site'     => 'Copying to site [_1]',

    'EDITOR_Change Section' => 'Change Section',
    'EDITOR_DESC_Change Section' =>
      'Select the new section(s) where you would like the item(s) to appear.',
    'EDITOR_Apply change to...' => 'Apply change to...',

    'EDITOR_Orphan section page' => 'Orphaned Section Page',
    'EDITOR_TEXT_Orphan section page' =>
      'This page does not belong to a valid section (perhaps you deleted the '
      . 'the section, and this page was not deleted as it should be). We have '
      . 'removed the page from the site.',

####BigMed::Content

    'CONTENT_DESC_Section' =>
      'The site section(s) where you would like the content to appear. '
      . 'Ctrl-click to select multiple sections '
      . "(⌘-click for Mac).",
    'CONTENT_pub_status_draft'     => 'Draft',
    'CONTENT_pub_status_edit'      => 'Editing',
    'CONTENT_pub_status_ready'     => 'Ready to publish',
    'CONTENT_pub_status_published' => 'Publish',

    'CONTENT_DESC_Priority' => q~Influences sort order~,

    'CONTENT_Schedule publication time' =>
      'Change status to "published" at a scheduled time',
    'CONTENT_Schedule unpublication time' =>
      'Change status to "draft" at a scheduled time',

    'CONTENT_FS_Content'      => 'Item Content',
    'CONTENT_FS_Media'        => 'Images & Media',
    'CONTENT_FS_Category'     => 'Section/Category',
    'CONTENT_FS_Publish Info' => 'Publishing Info',

    'CONTENT_Priority:'           => 'Priority: [_1].',
    'CONTENT_Page position:'      => 'Page position: [_1].',
    'CONTENT_MEDIA_Not displayed' => 'Currently undisplayed. ',

    'CONTENT_MEDIA_Page Position' => 'Page Position',
    'CONTENT_MEDIA_Priority'      => 'Priority',
    'CONTENT_MEDIA_DESC_Priority' =>
      'Determines display order for items in the same page position',
    'CONTENT_MEDIA_Alignment' => 'Page Alignment',
    'CONTENT_MEDIA_Caption'   => 'Caption',

    'CONTENT_MEDIA_Hotlink_URL' => 'Link URL',

    'CONTENT_MEDIA_Link_position' => 'Include with Links',
    'CONTENT_MEDIA_DESC_Link_position' =>
      'Display media along with any links to this page',

    'CONTENT_Link display:'    => 'Link display: [_1].',
    'CONTENT_MEDIA_LINK_none'  => 'No links',
    'CONTENT_MEDIA_LINK_all'   => 'All links',
    'CONTENT_MEDIA_LINK_spot'  => 'Spotlight links',
    'CONTENT_MEDIA_LINK_links' => 'Non-spotlight links',

    'CONTENT_Unknown Data Relationship' => 'Unknown Data Relationship',
    'CONTENT_TEXT_Unknown Data Relationship' =>
      'Sorry, cannot recognize the "[_1]" data relationship in the context '
      . 'of the [_2] content type.',

    'CONTENT_Not Allowed To Do That' => 'Not Allowed To Do That',
    'CONTENT_TEXT_You do not have permission to edit that content' =>
      'Sorry, but your account does not have permission to edit that '
      . 'content.',

    'CONTENT_Could not find requested item' =>
      'Could Not Find Requested Item',
    'CONTENT_TEXT_Could not edit mini' =>
      'Could not save the change because the requested [_1] content (ID '
      . '#[_2]) could not be found.',

    'CONTENT_No library item selected' => 'Please Select an Item',
    'CONTENT_TEXT_No library item selected' =>
      'Please select an item from the library.',

    'CONTENT_parse_error' => '%BM[_1]: [_2]%',

    'CONTENT_Invalid content ID' => 'Could Not Find Requested Data',
    'CONTENT_TEXT_Invalid content ID' =>
      'We could not complete your request because a requested content '
      . 'element could not be found. The ID ([_1] [_2]) is unknown.',

    'CONTENT_Related object mismatch' => 'Content mismatch',
    'CONTENT_TEXT_Related object mismatch' =>
      'We could not complete your request because that content does not '
      . 'appear to match the page that you are editing. You might need to '
      . 'refresh the edit page in your browser',

    'CONTENT_Content has no sections' => 'Item Not Assigned to Section',
    'CONTENT_TEXT_CONTENT has no sections' =>
      'We could not determine the effective section for this item because it '
      . 'is not assigned to any section of the site.',

    'CONTENT_RELATION_download' => 'download document',

####BigMed::Content::Page

    'PAGE_FS_Content' => 'Page Content',
    'PAGE_DESC_Text'  => 'Main text of the page',

    'PAGE_FS_Authors'        => 'Authors',
    'PAGE_Author blurb'      => 'Author Blurb',
    'PAGE_DESC_Author blurb' => 'Brief bio to appear on this page',

    'PAGE_FS_Pullquotes'     => 'Pullquotes',
    'PAGE_FS_About the Page' => 'About the Page',
    'PAGE_DESC_Description'  => 'Accompanies links to the page',
    'PAGE_DESC_Section' =>
      'The site section(s) where you would like to file the page. '
      . 'Ctrl-click to select multiple sections '
      . "(⌘-click for Mac).",

    'PAGE_FS_Related' => 'Related Links',

    'PAGE_FS_Page Preferences' => 'Page Preferences',
    'PAGE_DESC_Slug' =>
      'A "nickname" that determines the filename of the page',

    'PAGE_FS_For Search Engines' => 'For Search Engines',

    'PAGEFLAG_hideall'        => 'Suppress all links to this page',
    'PAGEFLAG_html_dcomments' => 'Disable comments on this page',
    'PAGEFLAG_html_nohome'    => 'Suppress links to this page from homepage',
    'PAGEFLAG_html_nomain' =>
      'Suppress links to this page from parent section pages',
    'PAGEFLAG_html_nonews' => 'Suppress links to this page in "top news"',
    'PAGEFLAG_html_noqt' => 'Suppress links to this page in section teasers',
    'PAGEFLAG_html_nosec' =>
      'Suppress links to this page on any section page',
    'PAGEFLAG_html_nospothome' =>
      'Never make this page a homepage spotlight article',
    'PAGEFLAG_html_nospotsec' =>
      'Never make this page a section spotlight article',
    'PAGEFLAG_html_znosearch' => 'Tell search engines not to index this page',
    'PAGEFLAG_js_disable_feed' =>
      'Suppress links to this page in news gadgets',
    'PAGEFLAG_rss_disable_feed' =>
      'Suppress links to this page in the RSS news feed',

    'PAGE_Page has no sections' => 'Page Not Assigned to Section',
    'PAGE_TEXT_Page has no sections' =>
      'We could not determine a URL for this page because it is not '
      . 'assigned to any section of the site.',

    'PAGE_Page has no slug name' => 'Page Does Not Have a File Name',
    'PAGE_TEXT_Page has no slug name' =>
      'We could not determine a URL for this page because it does not '
      . 'have a slug name.',

## DOWNLOAD SUBTYPE

    'DOWNLOAD_Title'                => 'Link Title',
    'DOWNLOAD_FS_Download document' => 'The Document',
    'PAGE_FS_About the download'    => 'About the Download',
    'DOWNLOAD_FS_Content'           => "Download's Detail Page",

    'DOWNLOAD_Link Destination' => 'Link Destination',
    'DOWNLOAD_Link to document' => 'Link directly to download',
    'DOWNLOAD_Link to page'     => "Link to download's detail page",

## PODCAST SUBTYPE

    'PODCAST_FS_Podcast'        => 'Podcast',
    'PAGE_FS_About the podcast' => 'About the Podcast',
    'PODCAST_FS_Content'        => 'Podcast Detail Page & Show Notes',

## LINK SUBTYPE

    'LINK_FS_Link'           => 'Link',
    'PAGE_FS_About the link' => 'About the Link',
    'LINK_FS_Content'        => 'Link Detail Page',
    'LINK_Link to page'      => "Link to this link's detail/commentary page",
    'LINK_Link to url'       => "Link directly to the URL",

####BigMed::Library

    'LIBRARY_Allow others to use this item' =>
      'Other editors of this site may use this item',
    'LIBRARY_Allow others to use these items' =>
      'Other editors of this site may use these items',
    'LIBRARY_Display in library for reuse' =>
      'Include in library for later reuse',

    'LIBRARY_ERR_HEAD_No privileges at site' => 'Not Allowed To Go There',
    'LIBRARY_ERR_TEXT_No privileges at site' =>
      q{Sorry, the account "%BM[_1]%" does not have privileges }
      . q{at the requested site.},

    'LIBRARY_image_library'    => 'Image Library',
    'LIBRARY_document_library' => 'Document Library',
    'LIBRARY_person_library'   => 'People Library',
    'LIBRARY_av_library'       => 'Audio/Video Library',

    'LIBEDITOR_Batch Upload'           => 'Batch Upload',
    'LIBEDITOR_Show me'                => 'Show me',
    'LIBEDITOR_Name'                   => 'Name',
    'LIBEDITOR_Sort A-Z'               => 'Sort A-Z',
    'LIBEDITOR_Most recent'            => 'Most recent',
    'LIBEDITOR_Editable only'          => 'Editable only',
    'LIBEDITOR_Show non-library items' => 'Show non-library items',
    'LIBEDITOR_Image & text'           => 'Image & text',
    'LIBEDITOR_Image only'             => 'Image only',
    'LIBEDITOR_Text only'              => 'Text only',

    'LIBEDITOR_Batch Upload'        => 'Batch Upload [_1]',
    'LIBEDITOR_Batch Save'          => 'Saving [_1]',
    'LIBEDITOR_Cannot batch upload' => 'Cannot Batch Upload',
    'LIBEDITOR_TEXT_Cannot batch upload' =>
      '%BM[_1]% are not able to be loaded via "batch upload." '
      . 'Please select another option.',
    'LIBEDITOR_Individual' => 'Individual',
    'LIBEDITOR_Upload num' => '%BM[_1]% #[_2]',
    'LIBEDITOR_About individual' =>
      q{Add as few or as many items as you like, up to a combined size of }
      . q{[_1]. Click "Give me more items" at the bottom of the screen for }
      . q{additional fields.},
    'LIBEDITOR_Give me more items' => 'Give me more items',

    'LIBEDITOR_Extracting files...' => 'Extracting files...',
    'LIBEDITOR_Processing file'     => 'Processing file [_1]/[_2]',

    'LIBEDITOR_Archive'      => 'Zipped',
    'LIBEDITOR_Archive File' => 'Archive File',
    'LIBEDITOR_DESC_Archive File' =>
      'Select the compressed archive file that contains the items to add',
    'LIBEDITOR_About compressed file', <<'ABOUTCOMPR',
You can load a bunch of files in one fell swoop by compressing them into a
single file ([_1] max) and selecting that file in the field below.
%BM<br /><br />
<strong>%Supported compression types: [_2]%BM</strong>%
ABOUTCOMPR
    'LIBEDITOR_Compressed Files' => 'Compressed Files',

    'LIBEDITOR_Item error'     => 'Item #[_1]: %BM[_2]%',
    'LIBEDITOR_Filename error' => 'File "[_1]": %BM[_2]%',
    'LIBEDITOR_Partial save'   => 'You successfully saved [quant,_1,item] '
      . q{(see the list below), but we were unable to save the rest: }
      . q{%BM<br /><br />[_2]%},
    'LIBEDITOR_None saved' =>
      'Could not save your submission: %BM<br /><br />[_1]%',
    'LIBEDITOR_Batch Save Incomplete' => 'Batch Save Incomplete',
    'LIBEDITOR_Saved items to library' =>
      'You added [quant,_1,new item] to the library.',

    'LIBEDITOR_About_this' => 'About This %BM[_1]%',
    'LIBEDITOR_used most recently' =>
      'This item was used most recently in these pages:',
    'LIBEDITOR_not used on any pages' =>
      'This item does not appear in any pages.',

####BigMed::Format

    #HTML FORMATS
    'FORMAT_TITLE_HTML'           => 'HTML',
    'FORMAT_TMPL_HTML_home'       => 'Homepage',
    'FORMAT_TMPL_HTML_page'       => 'Content Page',
    'FORMAT_TMPL_HTML_section'    => 'Section Front Page',
    'FORMAT_TMPL_HTML_tool_print' => 'Print Page',
    'FORMAT_TMPL_HTML_tool_email' => 'E-mail Page',
    'FORMAT_TMPL_HTML_tool_feeds' => 'News Feeds Page',
    'FORMAT_TMPL_HTML_utility'    => 'Utility Page',

    'HTML_TMPL_DESC_home' => q~The homepage template controls the appearance ~
      . q~of the site's homepage, the top-level welcome page for the site.~,
    'HTML_TMPL_DESC_tool_print' => 'This template controls the appearance '
      . q~of printer-friendly pages for detailed content pages.~,
    'HTML_TMPL_DESC_tool_email' => 'This template controls the appearance '
      . q~of the form page that sends article links via e-mail.~,
    'HTML_TMPL_DESC_tool_feeds' => 'This template controls the appearance '
      . q~of the page that offers links to the site's RSS news feeds.~,
    'HTML_TMPL_DESC_print' => 'This template controls the appearance '
      . q~of printer-friendly pages for detailed content pages.~,
    'HTML_TMPL_DESC_utility' => 'This template controls the appearance of '
      . 'miscellaneous utility pages, including search results, tips, tags '
      . 'and "overflow" links',
    'HTML_TMPL_DESC_section' => 'The section front page template controls '
      . q~the appearance of the cover page for each content ~
      . q~section. These pages are typically used as a kind of table of ~
      . q~contents featuring links to pages assigned to the section.~,
    'HTML_TMPL_DESC_page' => 'The content page template controls the '
      . q~appearance of detailed content pages, where your visitors ~
      . q~go to read an item's full text.~,

    #RSS FORMATS
    'FORMAT_TITLE_RSS'     => 'RSS Feed',
    'FORMAT_TMPL_RSS_feed' => 'News Feed',
    'RSS_TMPL_DESC_feed'   => 'This template controls the format of all RSS '
      . 'XML feeds, except for podcasts.',
    'FORMAT_TMPL_RSS_podcast' => 'Podcast',
    'RSS_TMPL_DESC_podcast' =>
      'This template controls the format of the podcast RSS XML feed.',

    #SITEMAP FORMATS
    #RSS FORMATS
    'FORMAT_TITLE_Sitemap'        => 'Sitemap',
    'FORMAT_TMPL_Sitemap_sitemap' => 'Sitemap XML',
    'SITEMAP_TMPL_DESC_sitemap' =>
      'This template controls the format of sitemap XML files, which help '
      . 'search engines index your site.',
    'FORMAT_TMPL_Sitemap_sitemap_index' => 'Sitemap Index XML',
    'SITEMAP_TMPL_DESC_sitemap_index' =>
      'This template controls the format of the sitemap index file, which '
      . q{lists the locations of your site's sitemap XML files for search }
      . 'engines. (Use the <%sitemap%> widget in your HTML templates to '
      . 'include links to this index file on your site.)',

    #JS FORMATS
    'FORMAT_TITLE_JS'       => 'News Gadget',
    'FORMAT_TMPL_JS_jsfeed' => 'News Gadget JS',
    'JS_TMPL_DESC_jsfeed' =>
      'This template controls the format of the JavaScript files powering '
      . 'your news gadget, which allow other sites to display '
      . 'automatically updated links to your latest content.',

####BigMed::Web::Templates

    'TEMPLATE_Template Menu'  => 'Edit [_1] Templates',
    'TEMPLATE_Edit Templates' => 'Edit Templates',
    'TEMPLATE_DESC_Edit Templates' =>
      'Edit and customize the templates that tell Big Medium exactly how to '
      . 'format the various files that make up your website.',

    "TEMPLATES_HELP_TITLE_What's a template?" => "Help! What's a template?",
    "TEMPLATES_HELP_TEXT_What's a template?"  => <<'WHATSA_TEMPLATE',
%BM<p>%Templates tell Big Medium exactly how to format the various files that
make up your website. In combination with the themes and styles that you
select, templates determine your site's final look and feel.%BM</p>%

%BM<p>%HTML templates, for example, control the exact layout of your pages'
HTML markup and tell Big Medium where to place content on the page. When you
edit these templates, you change the layout of the page.%BM</p>%

%BM<p>%Although you'll probably work with the HTML templates most frequently,
Big Medium also allows ubergeeks (er, power users) to edit the templates
that it uses for other file formats, including JavaScript and news-feed
files.%BM</p>%

%BM<p><strong>%Widget Tags%BM</strong><br />%
Templates are peppered judiciously with "widget tags," placeholders that tell
Big Medium to place specific content at that location of the page or file.
The <%title%> widget tag, for example, represents a page title; placing
<%title%> in a HTML template causes Big Medium to plunk down the title
into that location of the page, replacing the widget tag with the title
itself.%BM</p>%

%BM<p>%Consult the Big Medium manual for a complete listing of all of the
available widgets.%BM</p>%
WHATSA_TEMPLATE

    'TEMPLATES_HELP_TITLE_Types of templates' =>
      'Help! Tell me about the types of [_1] templates',
    'TEMPLATES_HELP_x number of templates' =>
      q~There are [_1] types of templates for Big Medium's [_2] files.~,

    'TEMPLATE_Site default template'       => "Site's default template",
    'TEMPLATE_Big Medium default template' => "Big Medium default template",
    'TEMPLATE_Delete master template' =>
      'Click to delete custom template and use Big Medium default '
      . 'template instead',
    'TEMPLATE_Section has one or more custom templates' =>
      'Section has one or more custom templates',
    'TEMPLATE_Delete section template' =>
      q~Click icon to delete section's custom template~,

    "TEMPLATE_Site's Master Templates"  => "Site's Master Templates",
    'TEMPLATE_Status'                   => 'Status',
    'TEMPLATE_Custom Section Templates' => 'Custom Section Templates',
    'TEMPLATES_SOURCE_default'          => 'Big Medium default template',
    'TEMPLATES_SOURCE_site'             => 'Using the site master template',
    'TEMPLATES_SOURCE_custom-site'      => 'Custom template',
    'TEMPLATES_SOURCE_section'          => 'Custom template for this section',
    'TEMPLATES_SOURCE_inherit'          => 'Inherited from [_1]',

    'TEMPLATES_SOURCE_long_text' =>
      '[_1] currently inherits [_2] (shown below). '
      . 'Editing and saving this template will create a new custom '
      . 'template for [_3].',
    'TEMPLATES_SOURCE_This section' => 'This section',
    'TEMPLATES_SOURCE_This site'    => 'This site',
    'TEMPLATES_SOURCE_the default template' =>
      'the default Big Medium template',
    "TEMPLATES_SOURCE_the site's master template" =>
      "the site's master template",
    'TEMPLATES_SOURCE_the parent section' => q~the "[_1]" section's template~,
    'TEMPLATES_SOURCE_the section'        => q~the section~,
    'TEMPLATES_SOURCE_the site'           => q~the site~,

    'TEMPLATES_SOURCE_sys'        => 'Using the site master template',
    'TEMPLATES_SOURCE_custom-sys' => 'Custom template',
    'TEMPLATES_SOURCE_section'    => 'Custom template for this section',
    'TEMPLATES_SOURCE_inherit'    => 'Inherited from [_1]',

    'TEMPLATE_Edit Title'      => '[_1]: [_2] Template',
    'TEMPLATE_Master Template' => 'Master Template',
    'TEMPLATE_template_label'  => '[_1] Template',

    'TEMPLATE_Unknown template format' => 'Unknown Template Format',
    'TEMPLATE_TEXT_Unknown template format' =>
      'We were unable to complete your request because it referred to an '
      . 'unfamiliar template format ("[_1]").',
    'TEMPLATE_Unspecified template' => 'Please Select a Template To Edit',
    'TEMPLATE_TEXT_Unspecified template' =>
      'We were unable to complete your request because no template was '
      . 'selected for editing.',
    'TEMPLATE_Unknown template' => 'Unknown Template',
    'TEMPLATE_TEXT_Unknown template' =>
      'We were unable to complete your request because we were unable '
      . 'to recognize the requested template type ("[_1]") as one '
      . 'that can be customized at the requested level of the site.',
    'TEMPLATE_Unknown Section' => 'Unknown Section',
    'TEMPLATE_TEXT_Unknown Section' =>
      'Sorry, the requested section could not be found for this site.',

    'TEMPLATE_Saved changes, now rebuild' =>
      'Your template changes were saved, and your changes will appear on the '
      . 'live site after you %BM<a href="[_1]">%rebuild %BM[_2]</a>%.',

### PREFS

    'PREFS_DESC_HTMLPrefs' => "A whole slew of preferences for customizing "
      . "the display of your site's HTML pages.",
    'PREFS_DESC_RSSPrefs' =>
      "Configure the format and descriptions of your RSS feeds.",
    'PREFS_DESC_SiteProperties' =>
      q{Edit your site's basic properties: site name, date/time formats, }
      . 'maximum file size, etc.',
    'PREFS_DESC_SiteImageFormats' =>
      q{Add and edit the available image sizes and scaling methods for }
      . q{this site's images.},
    'PREFS_DESC_SiteDir' =>
      'Change the URLs and directories where the site lives.',
    'PREFS_DESC_NewSite'   => 'Add a new site to the system.',
    'PREFS_DESC_CloneSite' => 'Make a copy of this site.',
    'PREFS_DESC_ReviewSites' =>
      'List all installed sites, and review for deletion.',
    'PREFS_DESC_ImportV1'    => 'Import Big Medium 1.x sites and accounts.',
    'PREFS_DESC_FileUploads' => 'Limit the size and type of accepted files.',
    'PREFS_DESC_Server'      => 'General Big Medium server settings.',
    'PREFS_DESC_Register' =>
      'License details for this installation of Big Medium.',
    'PREFS_DESC_About' =>
      'The organization name and e-mail for this installation of Big Medium.',

    'PREFS_Edit Format Prefs' => '[_1] Preferences',
    'PREFS_Go there now'      => 'Go there now',

    'PREFS_Unknown Preference Format' => 'Unknown Preference Format',
    'PREFS_TEXT_Unknown Preference Format' =>
      'Did not recognize the requested preference format "[_1]".',
    'PREFS_Unknown Preference Group' => 'Unknown Preference Group',
    'PREFS_TEXT_Unknown Preference Group' =>
      'The requested preference group "[_1]" does not exist. Looks like '
      . 'a bad URL.',

    'PREFS_Custom section prefs' => 'Custom Preferences for %BM[_1]: [_2]%',

    'PREFS_No prefs to edit in this category' =>
      'No preferences to edit in this category.',

    'PREFS_Preferences saved' =>
      'Your [_1] preferences have been saved %BM[_2]%. The changes will take '
      . 'effect after you %BM<a href="[_3]">rebuild [_4]</a>%.',

    'PREFS_Saved for section' => 'for the "%BM[_1]%" section',
    'PREFS_Saved defaults'    => q{in the site's default settings},
    'PREFS_Build for section' => q{the section's pages},
    'PREFS_Build for site'    => q{all pages},

    'HTMLGROUP_pagefooter' => 'Page Footer',
    'HTMLGROUP_navigation' => 'Navigation',
    'HTMLGROUP_0document'  => 'Document and Page Header',
    'HTMLGROUP_0links'     => 'Links',
    'HTMLGROUP_images'     => 'Images',
    'HTMLGROUP_oneclick'   => 'One-Click Editing',
    'HTMLGROUP_detail'     => 'Detail Pages',
    'HTMLGROUP_email'      => 'E-mail Text',
    'HTMLGROUP_tips_annc'  => 'Tips and Announcements',
    'HTMLGROUP_vcomments'  => 'Visitor Comments',
    'HTMLGROUP_search'     => 'Site Search',
    'HTMLGROUP_spam'       => 'Spam',
    'HTMLGROUP_tags'       => 'Tags',

    'HTMLGROUP_DESC_spam'       => 'Set your anti-spam challenge question.',
    'HTMLGROUP_DESC_pagefooter' => 'Edit page footer text.',
    'HTMLGROUP_DESC_navigation' =>
      'Edit the format of section/category navigation.',
    'HTMLGROUP_DESC_0document' => 'Edit page header contents, including '
      . 'custom HTML/JavaScript, document type, title format, etc.',
    'HTMLGROUP_DESC_0links' =>
      'Edit the number, contents, format and sort order of links on the site.',
    'HTMLGROUP_DESC_images' =>
      'Choose your preferred image sizes and edit gallery settings.',
    'HTMLGROUP_DESC_oneclick' => 'Enable/disable one-click editing.',
    'HTMLGROUP_DESC_detail' => 'Adjust the display of content detail pages.',
    'HTMLGROUP_DESC_email'  => 'Edit the text of e-mail forms and messages.',
    'HTMLGROUP_DESC_search' =>
      'Edit the format of the search form and results',
    'HTMLGROUP_DESC_vcomments' =>
      'Edit the text of comment forms and enable Akismet spam-filtering.',
    'HTMLGROUP_DESC_tips_annc' =>
      'Edit the number and display of tips and announcements.',
    'HTMLGROUP_DESC_tags' => 'Edit the settings for displaying tag pages.',

    'PREFS_General'                   => 'General',
    'PREFS_Widget:'                   => 'Widget: [_1]',
    'PREFS_Customize for this widget' => 'Customize for this widget',

    'PREFS_Section Menu'      => 'Section Properties',
    'PREFS_DESC_Section Menu' => <<'PREFS_SECTIONS',
Click the "Properties" link for the section to edit, or click "Customize
display preferences" to set HTML preferences that are different than the
site's %BM<a href="[_1]">%default HTML preferences%BM</a>%. Custom display
preferences are in turn inherited by a section's subsection.
%BM<br /><br />The <span class="bmcpCustom">gear icon</span>%
indicates a section with custom HTML preferences.
PREFS_SECTIONS

    'PREFS_DESC_Editing default prefs' => '%BM[_1]<br /><br />%'
      . q{You're editing the site's default settings. You can }
      . q{set preferences for individual sections from the }
      . q{%BM<a href="[_2]">%Section Properties menu%BM</a>%.},

    'PREFS_DESC_Customizing home preferences' => '%BM[_1]<br /><br />%'
      . q{%BM<strong>%These are custom settings that apply only to the }
      . q{site's home page%BM</strong>%. Other portions of the site will }
      . q{continue to use %BM<a href="[_2]">%the site's default settings%BM</a>% }
      . q{(or their own custom settings).},

    'PREFS_DESC_Customizing section preferences' => '%BM[_1]<br /><br />%'
      . q{%BM<strong>%These are custom settings that apply only to the }
      . q{"%BM[_3]%" section and its subsections.%BM</strong>% Other sections will }
      . q{continue to use %BM<a href="[_2]">%the site's default settings%BM</a>% }
      . q{(or their own custom settings).},

    'PREFS_Properties'                    => 'Properties',
    'PREFS_Customize display preferences' => 'Customize display preferences',
    'PREFS_Inactive'                      => 'Inactive',
    'PREFS_Aliased'                       => 'Aliased',

    #htmlhead
    'PREFS_html_htmlhead_doctype'   => 'DOCTYPE',
    'PREFS_html_htmlhead_titlepage' => 'Other Page Titles',
    'HTML_pagetitle_desc' =>
      'Select the content elements and punctuation to appear in non-homepage '
      . 'titles.',
    'PREFS_html_htmlhead_titlehome'    => 'Homepage Title',
    'HTML_homepagetitle_desc'          => 'The homepage <title> tag',
    'PREFS_html_htmlhead_titletagline' => 'Title Tagline',
    'HTML_homepagetitletag_desc' =>
      'Text to appear in page title if "site title tagline" is selected as a title element above.',

    'PREFS_html_htmlhead_xtrahtml' => 'Additional HTML to include in header',
    'HTML_htmlhead_xtrahtml_desc' =>
      'HTML to include as-is in the <head> tag of all pages',
    'PREFS_html_htmlhead_lang'  => 'Language',
    'PREFS_html_htmlhead_robot' => 'Search Engine Policy',

    #links
    'PREFS_html_link_sort_order'         => 'Link Sort Order',
    'PREFS_html_link_elements'           => 'Link Elements',
    'PREFS_html_links_bylinelb'          => 'Add Byline Line Break',
    'PREFS_html_links_desclb'            => 'Add Description Line Break',
    'PREFS_html_link_imagepos'           => 'Link Image Display',
    'PREFS_html_link_imagesize'          => 'Link Image Size',
    'PREFS_html_links_exclude_self'      => 'Hide Self Links',
    'PREFS_html_links_includetime'       => 'Include Time',
    'PREFS_html_links_leader'            => 'Link Leader',
    'PREFS_html_links_includerelated'    => 'Include Related Links',
    'PREFS_html_links_moreicon'          => '"More" Link Icon',
    'PREFS_html_links_textbyline'        => 'Byline Text',
    'PREFS_html_links_textmore'          => '"More" Text',
    'PREFS_html_links_textnavnext'       => '"Next" Text',
    'PREFS_html_links_textnavprev'       => '"Previous" Text',
    'PREFS_html_links_textrelated'       => 'Related Links Text',
    'PREFS_html_links_textsection'       => 'Section Text',
    'PREFS_html_links_window'            => 'New Windows',
    'PREFS_html_links_window_intdomains' => 'Internal Links',
    'PREFS_html_overflow_maxpages'       => 'Limit Overflow Pages',
    'PREFS_html_overflow_numdisplay'     => 'Overflow Links Per Page',
    'PREFS_html_latest_textheading'      => '"Latest" Text Heading',
    'PREFS_html_links_numdisplay'        => 'Number of Links',
    'PREFS_html_news_section'            => 'News Section',
    'PREFS_html_quicktease_hideonhome'   => 'Hide Homepage Links',
    'PREFS_html_quicktease_hideonmain'   => 'Hide Main Section Links',
    'PREFS_html_quicktease_textheading'  => 'Quicktease Heading',
    'PREFS_html_spotlight_needimage'     => 'Require Image',

    'PREFS_html_latest_elements'        => 'Link Elements',
    'PREFS_html_latest_numdisplay'      => 'Number of Links',
    'PREFS_html_latest_includerelated'  => 'Include Related Links',
    'PREFS_html_latest_imagepos'        => 'Link Image Display',
    'PREFS_html_latest_imagesize'       => 'Link Image Size',
    'PREFS_html_latest_sort_order'      => 'Link Sort Order',
    'PREFS_html_quicktease_homeheading' => 'Homepage heading',
    'PREFS_html_latest_homeheading'     => 'Homepage heading',
    'PREFS_LINKS_homeheading' =>
      'Include heading with homepage and slug="@all" links',

    'PREFS_html_morelinks_elements'       => 'Link Elements',
    'PREFS_html_morelinks_numdisplay'     => 'Number of Links',
    'PREFS_html_morelinks_includerelated' => 'Include Related Links',
    'PREFS_html_morelinks_imagepos'       => 'Link Image Display',
    'PREFS_html_morelinks_imagesize'      => 'Link Image Size',

    'PREFS_html_news_elements'       => 'Link Elements',
    'PREFS_html_news_numdisplay'     => 'Number of Links',
    'PREFS_html_news_includerelated' => 'Include Related Links',
    'PREFS_html_news_imagepos'       => 'Link Image Display',
    'PREFS_html_news_imagesize'      => 'Link Image Size',
    'PREFS_html_news_sort_order'     => 'Link Sort Order',

    'PREFS_html_quicktease_elements'       => 'Link Elements',
    'PREFS_html_quicktease_numdisplay'     => 'Number of Links',
    'PREFS_html_quicktease_includerelated' => 'Include Related Links',
    'PREFS_html_quicktease_imagepos'       => 'Link Image Display',
    'PREFS_html_quicktease_imagesize'      => 'Link Image Size',
    'PREFS_html_quicktease_sort_order'     => 'Link Sort Order',

    'PREFS_html_sections_elements'       => 'Link Elements',
    'PREFS_html_sections_numdisplay'     => 'Number of Links',
    'PREFS_html_sections_includerelated' => 'Include Related Links',
    'PREFS_html_sections_imagepos'       => 'Link Image Display',
    'PREFS_html_sections_imagesize'      => 'Link Image Size',

    'PREFS_html_spotlight_elements'       => 'Link Elements',
    'PREFS_html_spotlight_numdisplay'     => 'Number of Links',
    'PREFS_html_spotlight_includerelated' => 'Include Related Links',
    'PREFS_html_spotlight_imagepos'       => 'Link Image Display',
    'PREFS_html_spotlight_imagesize'      => 'Link Image Size',

    'PREFS_html_taglinks_elements'       => 'Link Elements',
    'PREFS_html_taglinks_includerelated' => 'Include Related Links',
    'PREFS_html_taglinks_imagepos'       => 'Link Image Display',
    'PREFS_html_taglinks_imagesize'      => 'Link Image Size',
    'PREFS_html_taglinks_sort_order'     => 'Link Sort Order',

    #sort
    'SORT_priority'   => 'Highest Priority',
    'SORT_pub_time'   => 'Most Recently Published',
    'SORT_mod_time'   => 'Most Recently Edited',
    'SORT_chron_time' => 'First published',
    'SORT_alphatitle' => 'Alphabetical by Title',
    'SORT_DESC_default sort order' =>
      'Default sort order for links. First field determines primary sort '
      . 'order; second and third are used for tie-breakers.',

    #link elements
    'LINK_ELEM_DESC_default elements' =>
      'Select and organize the default content elements for all link '
      . 'widgets. (You may set custom content elements for individual link '
      . 'widgets below).',
    'LINK_ELEM_head'      => 'Headline (linked)',
    'LINK_ELEM_unhead'    => 'Headline (unlinked)',
    'LINK_ELEM_desc'      => 'Description text',
    'LINK_ELEM_full'      => 'Full page text',
    'LINK_ELEM_date'      => 'Publication date',
    'LINK_ELEM_mod'       => 'Modification date',
    'LINK_ELEM_more'      => '"More" link to page',
    'LINK_ELEM_imore'     => '"More" icon link to page',
    'LINK_ELEM_byline'    => 'Author byline',
    'LINK_ELEM_sec'       => 'Section/Category (linked)',
    'LINK_ELEM_unsec'     => 'Section/Category (unlinked)',
    'LINK_ELEM_comments'  => 'Comment count (linked)',
    'LINK_ELEM_space'     => '-Space-',
    'LINK_ELEM_linebreak' => '-Line break-',
    'LINK_ELEM_emdash'    => '%BM&mdash;%',

    'LINKS_DESC_links_bylinelb' =>
      q{Add extra line break when there's a byline},
    'LINK_LB_None'          => 'No extra line breaks',
    'LINK_LB_Before byline' => 'Before byline',
    'LINK_LB_After byline'  => 'After byline',
    'LINK_LB_Both byline'   => 'Both before and after byline',

    'LINKS_DESC_links_desclb' =>
      q{Add extra line break when there's a description},
    'LINK_LB_Before desc' => 'Before description',
    'LINK_LB_After desc'  => 'After description',
    'LINK_LB_Both desc'   => 'Both before and after description',

    #thumbnail
    'LINK_THUMB_left'      => 'Align left',
    'LINK_THUMB_right'     => 'Align right',
    'LINK_THUMB_above'     => 'Above link text',
    'LINK_THUMB_none'      => 'Do not include image',
    'PREFS_IMAGE_60x60'    => 'Thumbnail (60x60 max)',
    'PREFS_IMAGE_100x100'  => 'X-small (100x100 max)',
    'PREFS_IMAGE_200x200'  => 'Small (200x200 max)',
    'PREFS_IMAGE_400x400'  => 'Medium (400x400 max)',
    'PREFS_IMAGE_600x600'  => 'Large (600x600 max)',
    'PREFS_IMAGE_800x800'  => 'X-large (800x800 max)',
    'PREFS_IMAGE_ORIGINAL' => 'Original source image',
    'PREFS_IMAGE_orig'     => 'Original source image',

    'LINK_DESC_exclude_self' =>
      'Hide any links to the same page being viewed',
    'LINK_DESC_include_related' => 'Include related links with link text',
    'LINK_DESC_include_time' => 'Include time with publication date in links',
    'LINKS_DESC_textbyline'  => '<%author%> is a placeholder for the author '
      . 'name. Formatting: **bold** and _italic_',
    'LINKS_DESC_textsection' =>
      '<%section%> is a placeholder for the section name. '
      . 'Formatting: **bold** and _italic_',
    'LINKS_DESC_open links in new window' => 'Open links in a new window',
    'LINKS_DESC_internal_domains' =>
      'Never open a new window for URLs starting with... (one per line)',
    'LINKS_DESC_overflow_numdisplay' =>
      'Number of links to display on each overflow page',
    'LINKS_DESC_overflow_maxpages' =>
      'Additional link pages are generated when there are too many links '
      . 'to fit on a section page. Choose the maximum number of overflow '
      . 'pages to build for each section.',
    'LINKS_OFLOW_MAX_0'         => 'No overflow pages',
    'LINKS_OFLOW_MAX_1'         => 'One page',
    'LINKS_OFLOW_MAX_2'         => 'Two pages',
    'LINKS_OFLOW_MAX_3'         => 'Three pages',
    'LINKS_OFLOW_MAX_4'         => 'Four pages',
    'LINKS_OFLOW_MAX_5'         => 'Five pages',
    'LINKS_OFLOW_MAX_10'        => 'Ten pages',
    'LINKS_OFLOW_MAX_Unlimited' => 'Unlimited, as many as it takes',

    'NEWS_DESC_news_section' =>
      'The section of the site from which news links should be displayed',
    'QUICKTEASE_DESC_hideonhome' =>
      'Exclude links that are already displayed on the home page',
    'QUICKTEASE_DESC_hideonmain' =>
      q~Exclude links that are already displayed on the section's main ~
      . 'section page',
    'SPOTLIGHT_DESC_needimage' =>
      'Only pages with a spotlight image may appear in the spotlight',

    #detail pages
    'PREFS_html_authorlink_textauthorlink' => 'Link Text',
    'PREFS_DESC_authorlink_textauthorlink' =>
      '<%author%> is a placeholder for author name. '
      . 'Formatting: **bold** and _italic_',
    'PREFS_html_tools_emailicon'     => 'E-Mail Icon',
    'PREFS_html_tools_emailtext'     => 'Link Text',
    'PREFS_html_headline_subhead'    => 'Subhead',
    'PREFS_html_tools_printicon'     => 'Print Icon',
    'PREFS_html_tools_printtext'     => 'Link Text',
    'PREFS_html_pubdate_includetime' => 'Include Time',
    'PREFS_PUBDATE_DESC_includetime' => 'Also applies to <%modified%>',
    'PREFS_html_pubdate_textpubdate' => '"Published" Text',
    'PREFS_html_related_textheading' => 'Text Heading',
    'PREFS_PUBDATE_includetime'      => 'Include time with publication date',
    'PREFS_PUBDATE_DESC_textpubdate' =>
      '<%date%> is a place-holder for the timestamp. '
      . 'Formatting: **bold** and _italic_',
    'PREFS_html_modified_notpublished' => 'Publication day',
    'PREFS_MODIFIED_notpublished' =>
      q{Don't display if same day as <%pubdate%>},
    'PREFS_html_modified_textmodified' => '"Updated" text',
    'PREFS_PUBDATE_DESC_textmodified' =>
      '<%date%> is a place-holder for the timestamp. '
      . 'Formatting: **bold** and _italic_',

    #content
    'PREFS_CONTENT_DESC_subhead' =>
      'Include page description as subhead below main headline',
    'PREFS_html_content_objalign'  => 'Media Alignment',
    'HTML_CONTENT_objalign_left'   => 'Align left',
    'HTML_CONTENT_objalign_center' => 'Center',
    'HTML_CONTENT_objalign_right'  => 'Align right',
    'PREFS_CONTENT_DESC_objalign' =>
      'Default alignment of images, pullquotes, etc.',
    'PREFS_html_content_addtags'       => 'Show Tags',
    'PREFS_CONTENT_DESC_addtags'       => q{Append page tags to end of text.},
    'PREFS_html_content_oneclick_edit' => '"Edit Page" Text',
    'PREFS_CONTENT_DESC_oneclick_edit' => 'Text of one-click editing links',
    'PREFS_html_content_oneclick_new'  => '"New Page" Text',
    'PREFS_CONTENT_DESC_oneclick_new'  => 'Text of one-click editing links',
    'PREFS_html_content_oneclick_hide' => '"Hide Edit Links" Text',
    'PREFS_CONTENT_DESC_oneclick_hide' =>
      'Text for hiding one-click editing links',

    #byline
    'PREFS_html_byline_linkto'       => 'Link Destination',
    'PREFS_html_byline_textbyline'   => 'Byline Text',
    'PREFS_html_byline_titlecompany' => 'Title/Company',
    'BYLINE_E-mail Address'          => 'E-mail address',
    'BYLINE_E-Mail Form'             => 'E-mail form',
    "BYLINE_Author's website"        => "Author's website",
    'BYLINE_No Link'                 => 'No link',
    'BYLINE_Include title and company in byline' =>
      'Include title and company in byline',

    #mail prefs
    'PREFS_html_emailform_formfrom'          => '"From" Field Label',
    'PREFS_html_emailform_formmsg'           => '"Message" Field Label',
    'PREFS_html_emailform_formsendcopy'      => '"Send Copy" Field Label',
    'PREFS_html_emailform_formto'            => '"To" Field Label',
    'PREFS_html_emailform_introsend'         => 'E-Mail Page Intro Text',
    'PREFS_html_emailform_introtoauthor'     => 'E-Mail Author Intro Text',
    'PREFS_html_emailform_privacy'           => 'Privacy Notice',
    'PREFS_html_emailform_sent'              => 'Confirmation Text',
    'PREFS_html_emailform_sentreturn'        => '"Return to Page" Text',
    'PREFS_html_emailform_textintroauthor'   => 'Author Text Intro',
    'PREFS_html_emailform_textsubjectauthor' => 'Author Subject',

    'PREFS_html_emailform_textintro' => 'E-mail Intro',
    'PREFS_EMAILFORM_DESC_textintro' =>
      'Introductory text in e-mails sent via the "E-Mail This Page" form',
    'PREFS_EMAILFORM_DESC_textintroauthor' =>
      'Introductory text in e-mails sent via the "E-Mail the Author" form',

    'PREFS_html_emailform_textsendermsg' => "Sender's Message Caption",
    'PREFS_EMAILFORM_DESC_textsendermsg' =>
      "Intro to the sender's message in the e-mail",

    'PREFS_html_emailform_textsubject' => 'E-mail Subject',
    'PREFS_EMAILFORM_DESC_textsubject' =>
      '<%sitename%> is a place-holder for the name of your site',

    #image prefs
    'PREFS_html_image_size'       => 'Page Image Size',
    'PREFS_IMAGE_DESC_image_size' => 'Size of images on content/detail pages',

    'PREFS_html_annc_image_size'       => 'Announcement Image Size',
    'PREFS_IMAGE_DESC_annc_image_size' => 'Size of images in announcements',

    'PREFS_html_tip_image_size'       => 'Tip Image Size',
    'PREFS_IMAGE_DESC_tip_image_size' => 'Size of images in tips',

    'PREFS_html_image_magnify' => 'Enlarge images',
    'PREFS_IMAGE_OPT_enable_mag' =>
      'Enlarge article images when visitors click them',
    'PREFS_IMAGE_DESC_enable_mag' =>
      'For images embedded in content only; does not apply to <%gallery%> or '
      . '<%images%>',

    'PREFS_html_image_magnifysize' => 'Enlarged Image Size',
    'PREFS_IMAGE_DESC_image_magnifysize' =>
      'Size to display when enlarging image',

    'PREFS_html_image_textmagnify' => '"Enlarge Image" Text',

    'PREFS_html_gallery_caption' => 'Image Captions',
    'PREFS_GALLERY_DESC_caption' =>
      'Include photo captions below gallery preview images',

    'PREFS_html_gallery_textheading' => 'Heading Text',

    'PREFS_html_gallery_imagesize' => 'Image Size',
    'PREFS_IMAGE_DESC_gallery_imagesize' =>
      'Preview size of gallery images on content/detail pages',

    'PREFS_html_gallery_direction' => 'Orientation',
    'PREFS_GALLERY_Horizontal'     => 'Horizontal',
    'PREFS_GALLERY_Vertical'       => 'Vertical',

    #navigation
    'PREFS_html_breadcrumbs_full'        => 'Full Breadcrumbs',
    'PREFS_html_breadcrumbs_lc'          => 'Capitalization',
    'PREFS_html_breadcrumbs_separator'   => 'Breadcrumb Separator',
    'PREFS_html_navigation_depth'        => 'Main Navigation Depth',
    'PREFS_html_navigation_direction'    => 'Default Orientation',
    'PREFS_html_navigation_includehome'  => 'Include Homepage',
    'PREFS_html_pulldown_textjumpto'     => '"Jump To" Text',
    'PREFS_html_subnavigation_depth'     => 'Subnavigation Depth',
    'PREFS_html_subnavigation_direction' => 'Default Orientation',

    'PREFS_BREADCRUMBS_&gt;' => '%BM&gt;%',
    'PREFS_BREADCRUMBS_DESC_full' =>
      'Include content/detail page title in breadcrumbs',
    'PREFS_BREADCRUMBS_DESC_lc' => 'Make breadcrumbs all-lowercase',

    'PREFS_NAVIGATION_1' => 'Main sections only',
    'PREFS_NAVIGATION_2' => 'Main sections and one level of subsections',
    'PREFS_NAVIGATION_3' => 'Main sections and two levels of subsections',
    'PREFS_NAVIGATION_4' => 'Main sections and three levels of subsections',
    'PREFS_NAVIGATION_DESC_depth' =>
      'Depth of subsections to display in main section navigation',
    'PREFS_NAVIGATION_vertical'   => 'Vertical',
    'PREFS_NAVIGATION_horizontal' => 'Horizontal',
    'PREFS_NAVIGATION_DESC_includehome' =>
      'Include homepage link in main navigation',
    'PREFS_html_navigation_hnavstyle' => 'Horizontal Style',
    'PREFS_html_navigation_vnavstyle' => 'Vertical Style',

    'PREFS_SUBNAVIGATION_1' => 'Immediate subsections of the current section',
    'PREFS_SUBNAVIGATION_2' =>
      'Immediate subsections and one additional level',
    'PREFS_SUBNAVIGATION_3' =>
      'Immediate subsections and two additional levels',
    'PREFS_SUBNAVIGATION_4' =>
      'Immediate subsections and three additional levels',
    'PREFS_SUBNAVIGATION_DESC_depth' =>
      'Depth of subsections to display in subsection navigation',
    'PREFS_html_subnavigation_hsubstyle' => 'Horizontal Style',
    'PREFS_html_subnavigation_vsubstyle' => 'Vertical Style',

    #page footer
    'PREFS_html_footer_aboutline' => 'Footer Text',

    #tips and announcements
    'PREFS_html_micro_show_subsection' => 'Show inherited content',
    'PREFS_TIPANNC_OPT_show_sub'       => 'Display announcements and tips '
      . 'assigned to subsections of current section.',
    'PREFS_html_annc_sort_order' => 'Sort Order',
    'PREFS_html_tip_sort_order'  => 'Sort Order',
    'PREFS_html_tip_pagetitle'   => 'Title of Summary Page',
    'PREFS_html_tip_linktext'    => '"All tips" Link Text',
    'PREFS_html_tip_numdisplay'  => 'Number to Display',
    'PREFS_html_tip_randomize'   => 'Tip Rotation',
    'PREFS_TIPS_Display top tips' =>
      'Display the top tip(s) from the sort order',
    'PREFS_TIPS_Display random' => 'Display one random tip',
    'HTML_tipsort_desc'         => 'For "Display the top tip(s)" option',
    'HTML_tipnumdisplay_desc'   => 'For "Display the top tip(s)" option',
    'HTML_tippagetitle_desc' =>
      'Headline of page listing all tips. Formatting: **bold** and _italic_',
    'HTML_tiplinktext_desc' =>
      '<%section%> is a place-holder for the section name. '
      . 'Formatting: **bold** and _italic_',

    #antispam
    'PREFS_antispam_caption' => 'Challenge Caption',
    'PREFS_ANTISPAM_DESC_caption' =>
      'Explanation for the anti-spam question',
    'PREFS_antispam_challenge' => 'Challenge Question',
    'PREFS_ANTISPAM_DESC_challenge' =>
      'Simple question with only one obvious answer',
    'PREFS_antispam_response'      => 'Response',
    'PREFS_ANTISPAM_DESC_response' =>
      'Answer to the question above (not case-sensitive)',

    #comments
    'PREFS_html_comments_enabled'        => 'Power Switch',
    'PREFS_OPTION_html_comments_enabled' => 'Enable visitor comments',
    'PREFS_html_comments_mod'            => 'Moderate Comments',
    'PREFS_OPTION_html_comments_mod' =>
      'Hold all comments for review before adding to the site',
    'PREFS_html_comments_akismet' => 'Akismet',
    'PREFS_html_comments_errmod'  => 'Akismet Server Trouble',
    'PREFS_OPTION_akismet_enabled' =>
      'Enable spam filtering via the Akismet web service',
    'PREFS_OPTION_akismet_errmod' =>
      'In case of network problems, hold comments for moderator review',
    'PREFS_html_comments_disabled' => '"No Comments" Text',
    'PREFS_html_comments_heading'  => 'Comment heading',
    'PREFS_html_comments_number'   => 'Number caption',
    'PREFS_DESC_html_comments_number' =>
      'Appears with comment heading above comments. <%number%> is a '
      . 'place-holder for the number of comments. Formatting: **bold** and '
      . '_italic_',
    'PREFS_html_commentcount_number' => 'Comment count',
    'PREFS_DESC_html_commentcount_number' =>
      'Appears in page links and <%commentcount%> widget. <%number%> is a '
      . 'place-holder for the number of comments. Formatting: **bold** and '
      . '_italic_',
    'PREFS_html_comments_link'         => 'Add comment link',
    'PREFS_html_comments_form_heading' => 'Form heading',
    'PREFS_html_comments_form_caption' => 'Form caption',
    'PREFS_html_comments_name'         => 'Name label',
    'PREFS_html_comments_email'        => 'E-mail label',
    'PREFS_html_comments_url'          => 'URL label',
    'PREFS_html_comments_comment'      => 'Comment label',
    'PREFS_html_comments_format'       => 'Format instructions',
    'PREFS_html_comments_remember'     => 'Remember label',
    'PREFS_html_comments_submit'       => 'Submit button',
    'PREFS_html_comments_preview'      => 'Preview button',
    'PREFS_html_comments_modtitle'     => 'Held for Review: Heading',
    'PREFS_html_comments_modtext'      => 'Held for Review: Text',

    #Search preferences
    'PREFS_html_search_searchtext' => '"Search" text',
    'PREFS_html_search_button'     => 'Search button text',
    'PREFS_html_search_title'      => 'Title of results page',
    'PREFS_html_search_intro'      => 'Results caption',
    'PREFS_DESC_html_search_intro' =>
      '<%start%>, <%end%>, <%total%> and <%query%> are placeholders. '
      . 'Formatting: **bold** and _Italic_',
    'PREFS_html_search_noresults' => '"No results" text',
    'PREFS_html_search_previous'  => '"Previous" text',
    'PREFS_html_search_next'      => '"Next" text',

    #Tag preferences
    'PREFS_html_tag_headline' => 'Main Tag Headline',
    'PREFS_TAG_DESC_tag_headline' =>
      'Headline of page displaying links to all tags',
    'PREFS_html_tag_intro'          => 'Intro Text',
    'PREFS_TAG_DESC_tag_intro'      => 'Introduction to the main tags page',
    'PREFS_html_tag_indiv_headline' => 'Headline of Individual Tag Pages',
    'PREFS_TAG_DESC_tag_indiv_headline' =>
      '<%tag%> is a placeholder for the tag name',
    'PREFS_html_tag_numdisplay' => 'Number of Links',
    'PREFS_TAG_DESC_tag_numdisplay' =>
      'Number of page links displayed on each tag category page',
    'PREFS_html_tags_tagtext' => 'Tag Label',
    'PREFS_TAGS_DESC_tagtext' => q{Label for pages' tag lists},

    #RSS preferences
    'RSSGROUP_rss_feeds' => 'RSS Feeds',
    'RSSGROUP_DESC_rss_feeds' =>
      'Enable feeds, edit descriptive text and set the number of feed items.',
    'PREFS_rss_display_num'      => 'Number of Items',
    'PREFS_rss_sort_order'       => 'Sort Order',
    'PREFS_rss_enable_feed'      => 'Enable RSS Feeds',
    'PREFS_rss_include_sections' => 'Include Section Pages',
    'PREFS_rss_enable_podcast'   => 'Include Podcast',
    'PREFS_rss_feed_linktext'    => 'News Feed Link Text',
    'PREFS_rss_feed_title'       => 'News Feed Page Title',
    'PREFS_rss_full_text'        => 'Full-Text Feeds',
    'PREFS_rss_fullfeed'         => 'Name of Sitewide Feed',
    'PREFS_rss_intro'            => 'News Feed Intro Text',
    'PREFS_rss_podcast'          => 'Name of Podcast Feed',
    'PREFS_rss_section_title'    => 'Section-Specific Feeds Heading',
    'RSS_enablefeed_checkbox'    => 'Enable RSS feeds for the site',
    'RSS_enablepodcast_checkbox' =>
      "Include a podcast feed among the site's feeds",
    'RSS_fulltext_checkbox' => "Include full page text for all feed items",
    'RSS_DESC_displaynum'   => 'Max number of items in each feed',
    'RSS_DESC_linktext'     => 'For links to the news feed page',
    'RSS_includesections_checkbox' =>
      'Allow homepage and section pages to be included in feeds',

    #JS preferences
    'JSGROUP_js_feeds'      => 'News Gadgets',
    'JSGROUP_DESC_js_feeds' => '"News gadgets" allow other sites to '
      . 'display automatically updated links to your latest content.',
    'PREFS_js_enable_feed' => 'Enable News Gadgets',
    'JS_enablefeed_checkbox' =>
      'Give visitors web gadgets to display your links on other sites',
    'PREFS_js_numdisplay' => 'Max Number of Links',
    'JS_numdisplay_desc' => 'Limits the number of links displayed in gadgets',
    'PREFS_js_sort_order'   => 'Sort Order',
    'PREFS_js_allow_images' => 'Enable Images',
    'JS_allowimages_checkbox' =>
      'Allow news gadgets to display images if available',
    'PREFS_js_image_size'      => 'Link Image Size',
    'PREFS_js_newsgadget_text' => 'Link Text',
    'PREFS_JS_DESC_newsgadget_text' =>
      '<%newsgadget%> link to the gadget-builder page',
    'PREFS_js_feedbuilder_head'       => 'Gadget Builder Heading',
    'PREFS_js_feedbuilder_intro'      => 'Gadget Builder Intro',
    'PREFS_js_feedbuilder_step1'      => 'Step 1 Heading',
    'PREFS_js_feedbuilder_step2'      => 'Step 2 Heading',
    'PREFS_js_feedbuilder_step3'      => 'Step 3 Heading',
    'PREFS_js_feedbuilder_step4'      => 'Step 4 Heading',
    'PREFS_js_feedbuilder_step4_desc' => 'Step 4 Subhead',

    'PREFS_js_feed_label'        => 'Feed Form Label',
    'PREFS_JS_DESC_feed_label'   => 'The "feed to display" field',
    'PREFS_js_number_label'      => 'Number Form Label',
    'PREFS_JS_DESC_number_label' => 'The "number of links" field',
    'PREFS_js_desc_label'        => 'Description Form Label',
    'PREFS_JS_DESC_desc_label'   => 'The "show description" field',
    'PREFS_js_image_label'       => 'Image Form Label',
    'PREFS_JS_DESC_image_label'  => 'The "show images" field',
    'PREFS_js_window_label'      => 'New Window Form Label',
    'PREFS_JS_DESC_window_label' => 'The "open links in new window" field',
    'PREFS_js_build_button'      => '"Build Links" button',

### HTML FORMAT

    'HTML_HTML 4.01 Transitional'             => 'HTML 4.01 Transitional',
    'HTML_HTML 4.01 Strict'                   => 'HTML 4.01 Strict',
    'HTML_XHTML 1.0 Transitional'             => 'XHTML 1.0 Transitional',
    'HTML_XHTML 1.0 Strict'                   => 'XHTML 1.0 Strict',
    'HTML_None'                               => 'None',
    'page_title_format Site name'             => 'Site name',
    'page_title_format Page title/headline'   => 'Page title/headline',
    'page_title_format Page description'      => 'Page description',
    'page_title_format Page meta description' => 'Page meta description',
    'page_title_format Site title tagline'    => 'Site title tagline',
    'page_title_format Page keywords'         => 'Page keywords',
    'page_title_format Space'                 => 'Space',
    'page_title_format :'                     => ' : ',
    'page_title_format ::'                    => ' :: ',
    'page_title_format |'                     => '| ',
    'page_title_format -'                     => ' -',
    'page_title_format ('                     => ' ( ',
    'page_title_format )'                     => ' )',
    'page_title_format [',                    => ' ~[',
    'page_title_format ]'                     => ' ~]',
    'HTML_Abkhazian'                          => 'Abkhazian',
    'HTML_Afan (Oromo)'                       => 'Afan (Oromo)',
    'HTML_Afar'                               => 'Afar',
    'HTML_Afrikaans'                          => 'Afrikaans',
    'HTML_Albanian'                           => 'Albanian',
    'HTML_Amharic'                            => 'Amharic',
    'HTML_Arabic'                             => 'Arabic',
    'HTML_Armenian'                           => 'Armenian',
    'HTML_Assamese'                           => 'Assamese',
    'HTML_Aymara'                             => 'Aymara',
    'HTML_Azerbaijani'                        => 'Azerbaijani',
    'HTML_Bashkir'                            => 'Bashkir',
    'HTML_Basque'                             => 'Basque',
    'HTML_Bengali'                            => 'Bengali',
    'HTML_Bhutani'                            => 'Bhutani',
    'HTML_Bihari'                             => 'Bihari',
    'HTML_Bislama'                            => 'Bislama',
    'HTML_Breton'                             => 'Breton',
    'HTML_Bulgarian'                          => 'Bulgarian',
    'HTML_Burmese'                            => 'Burmese',
    'HTML_Byelorussian'                       => 'Byelorussian',
    'HTML_Cambodian'                          => 'Cambodian',
    'HTML_Catalan'                            => 'Catalan',
    'HTML_Chinese'                            => 'Chinese',
    'HTML_Corsican'                           => 'Corsican',
    'HTML_Croatian'                           => 'Croatian',
    'HTML_Czech'                              => 'Czech',
    'HTML_Danish'                             => 'Danish',
    'HTML_Dutch'                              => 'Dutch',
    'HTML_English'                            => 'English',
    'HTML_Esperanto'                          => 'Esperanto',
    'HTML_Estonian'                           => 'Estonian',
    'HTML_Faroese'                            => 'Faroese',
    'HTML_Fiji'                               => 'Fiji',
    'HTML_Finnish'                            => 'Finnish',
    'HTML_French'                             => 'French',
    'HTML_Frisian'                            => 'Frisian',
    'HTML_Galician'                           => 'Galician',
    'HTML_Georgian'                           => 'Georgian',
    'HTML_German'                             => 'German',
    'HTML_Greek'                              => 'Greek',
    'HTML_Greenlandic'                        => 'Greenlandic',
    'HTML_Guarani'                            => 'Guarani',
    'HTML_Gujarati'                           => 'Gujarati',
    'HTML_Hausa'                              => 'Hausa',
    'HTML_Hebrew'                             => 'Hebrew',
    'HTML_Hindi'                              => 'Hindi',
    'HTML_Hungarian'                          => 'Hungarian',
    'HTML_Icelandic'                          => 'Icelandic',
    'HTML_Indonesian'                         => 'Indonesian',
    'HTML_Interlingua'                        => 'Interlingua',
    'HTML_Interlingue'                        => 'Interlingue',
    'HTML_Inuktitut'                          => 'Inuktitut',
    'HTML_Inupiak'                            => 'Inupiak',
    'HTML_Irish'                              => 'Irish',
    'HTML_Italian'                            => 'Italian',
    'HTML_Japanese'                           => 'Japanese',
    'HTML_Javanese'                           => 'Javanese',
    'HTML_Kannada'                            => 'Kannada',
    'HTML_Kashmiri'                           => 'Kashmiri',
    'HTML_Kazakh'                             => 'Kazakh',
    'HTML_Kinyarwanda'                        => 'Kinyarwanda',
    'HTML_Kirghiz'                            => 'Kirghiz',
    'HTML_Kurundi'                            => 'Kurundi',
    'HTML_Korean'                             => 'Korean',
    'HTML_Kurdish'                            => 'Kurdish',
    'HTML_Laothian'                           => 'Laothian',
    'HTML_Latin'                              => 'Latin',
    'HTML_Latvian'                            => 'Latvian',
    'HTML_Lingala'                            => 'Lingala',
    'HTML_Lithuanian'                         => 'Lithuanian',
    'HTML_Macedonian'                         => 'Macedonian',
    'HTML_Malagasy'                           => 'Malagasy',
    'HTML_Malay'                              => 'Malay',
    'HTML_Malayalam'                          => 'Malayalam',
    'HTML_Maltese'                            => 'Maltese',
    'HTML_Maori'                              => 'Maori',
    'HTML_Marathi'                            => 'Marathi',
    'HTML_Moldavian'                          => 'Moldavian',
    'HTML_Mongolian'                          => 'Mongolian',
    'HTML_Nauru'                              => 'Nauru',
    'HTML_Nepali'                             => 'Nepali',
    'HTML_Norwegian'                          => 'Norwegian',
    'HTML_Occitan'                            => 'Occitan',
    'HTML_Oriya'                              => 'Oriya',
    'HTML_Pashto'                             => 'Pashto',
    'HTML_Farsi'                              => 'Farsi',
    'HTML_Polish'                             => 'Polish',
    'HTML_Portuguese'                         => 'Portuguese',
    'HTML_Punjabi'                            => 'Punjabi',
    'HTML_Quechua'                            => 'Quechua',
    'HTML_Rhaeto-Romance'                     => 'Rhaeto-Romance',
    'HTML_Romanian'                           => 'Romanian',
    'HTML_Russian'                            => 'Russian',
    'HTML_Samoan'                             => 'Samoan',
    'HTML_Sangho'                             => 'Sangho',
    'HTML_Sanskrit'                           => 'Sanskrit',
    'HTML_Scots Gaelic'                       => 'Scots Gaelic',
    'HTML_Serbian'                            => 'Serbian',
    'HTML_Serbo-Croatian'                     => 'Serbo-Croatian',
    'HTML_Sesotho'                            => 'Sesotho',
    'HTML_Setswana'                           => 'Setswana',
    'HTML_Shona'                              => 'Shona',
    'HTML_Sindhi'                             => 'Sindhi',
    'HTML_Singhalese'                         => 'Singhalese',
    'HTML_Siswati'                            => 'Siswati',
    'HTML_Slovak'                             => 'Slovak',
    'HTML_Slovenian'                          => 'Slovenian',
    'HTML_Somali'                             => 'Somali',
    'HTML_Spanish'                            => 'Spanish',
    'HTML_Sundanese'                          => 'Sundanese',
    'HTML_Swahili'                            => 'Swahili',
    'HTML_Swedish'                            => 'Swedish',
    'HTML_Tagalog'                            => 'Tagalog',
    'HTML_Tajik'                              => 'Tajik',
    'HTML_Tamil'                              => 'Tamil',
    'HTML_Tatar'                              => 'Tatar',
    'HTML_Telugu'                             => 'Telugu',
    'HTML_Thai'                               => 'Thai',
    'HTML_Tibetan'                            => 'Tibetan',
    'HTML_Tigrinya'                           => 'Tigrinya',
    'HTML_Tonga'                              => 'Tonga',
    'HTML_Tsonga'                             => 'Tsonga',
    'HTML_Turkish'                            => 'Turkish',
    'HTML_Turkmen'                            => 'Turkmen',
    'HTML_Twi'                                => 'Twi',
    'HTML_Uigur'                              => 'Uigur',
    'HTML_Ukrainian'                          => 'Ukrainian',
    'HTML_Urdu'                               => 'Urdu',
    'HTML_Uzbek'                              => 'Uzbek',
    'HTML_Vietnamese'                         => 'Vietnamese',
    'HTML_Volapuk'                            => 'Volapuk',
    'HTML_Welsh'                              => 'Welsh',
    'HTML_Wolof'                              => 'Wolof',
    'HTML_Xhosa'                              => 'Xhosa',
    'HTML_Yiddish'                            => 'Yiddish',
    'HTML_Yoruba'                             => 'Yoruba',
    'HTML_Zhuang'                             => 'Zhuang',
    'HTML_Zulu'                               => 'Zulu',
    'HTML_Allow search engines'    => 'Allow search engines to index pages',
    'HTML_Disallow search engines' => 'Never allow search engines to index',

### SITE
    'SITE_Unknown section' => 'Unknown Section',
    'SITE_TEXT_Unknown section' =>
      'Sorry, we could not build a URL for the requested page because we '
      . 'could not find data for section #[_1]',

    'SITE_Unknown page' => 'Unknown Page',
    'SITE_TEXT_Unknown page' =>
      'Sorry, we could not build a URL for the requested page because we '
      . 'could not find data for page #[_1]',

    'SITE_HEAD_Could_not_save_pref' => 'Could not save preference setting',
    'SITE_Could_not_save_pref'      => <<'SITE_NO_SAVE_PREF',
We could not save a section-specific preference because the requested section
(id [_1]) is unknown to the [_2] site. This may indicate data corruption.
Please contact the website administrator ([_3]) to report this problem.
SITE_NO_SAVE_PREF

### REVIEW
    'REVIEW_Review Sites'      => 'Review Sites',
    'REVIEW_Name'              => 'Site Name',
    'REVIEW_Created'           => 'Created',
    'REVIEW_Edit site'         => 'Edit site',
    'REVIEW_Currently editing' => 'Currently editing',
    'REVIEW_What happens when I delete a site?' =>
      'What happens when I delete a site?',
    'REVIEW_Instructions' =>
      'All sites in the system are listed below. %BM<strong class="alert">%To '
      . 'permanently delete a site%BM</strong>%, check the box beside the '
      . 'site name and click delete.',
    'REVIEW_TEXT_What happens when I delete a site?' => <<'DELETE_SITE',
When you delete a site, all of the site's data (including content, images,
documents and other media) is removed from the Big Medium system, and all Big Medium-generated files are removed from the public site, too.
%BM<br /><br /><strong>%Important!%BM</strong>%
All of the Big Medium section slug directories in the site's page directory
will be deleted. If you keep any non-Big-Medium files inside these
directories that you would like to save, you must move them out of those
directories before deleting the site, or they will be permanently deleted
along with the Big Medium files.
%BM<br /><br />%
The site's homepage directory and the page directory are not deleted,
only the Big Medium files and directories inside of them.
DELETE_SITE

### IMPORTER
    'IMPORT_LABEL_Data Directory'    => 'Location of v1 data',
    'IMPORT_LABEL_v1 moxiedata path' => 'Data directory',
    'IMPORT_DESC_v1 moxiedata path' =>
      'Path to the v1.x moxiedata directory to import',
    'IMPORT_HEAD_Import Data from Big Medium 1.x' =>
      'Import Sites and Accounts',
    'IMPORT_Intro' =>
      'To import sites and user accounts from a version 1.x installation of '
      . 'Big Medium on this server, please provide the directory path to the '
      . q{old moxiedata directory.},
    'IMPORT_HEAD_No Data To Import' => 'No Data To Import',
    'IMPORT_DESC_No Data To Import' =>
      'That directory either contains no v1.x data to import, '
      . 'or it has permission restrictions that do not allow Big Medium to '
      . 'access it.',

    'IMPORT_LABEL_Sites'    => 'Sites',
    'IMPORT_Sites To Build' => 'Sites To Build',
    'IMPORT_All sites'      => 'All sites',
    'IMPORT_Selected sites' => 'Selected sites',

    'IMPORT_HEAD_Import Preferences'    => 'Import Preferences',
    'IMPORT_LABEL_Duplicate User Names' => 'Duplicate User Names',
    'IMPORT_LABEL_Merge Accounts'       => 'Merge Accounts?',
    'IMPORT_LABEL_Merge Explanation' =>
      'What would you like to do if the importer finds user accounts with '
      . 'names that are already taken in this installation? The importer can '
      . 'merge the v1 and v2 accounts, or create a new account under a new '
      . 'name.',
    'IMPORT_LABEL_Apply v1 privileges to v2 accounts' =>
      'Apply v1 privileges to v2 accounts of the same name',

    'IMPORT_LABEL_HTML Directories' => 'Directories',
    'IMPORT_LABEL_HTML Explanation' =>
      q{The importer can create your imported sites in different }
      . q{directories than the originals, allowing you to review your }
      . q{imported sites before replacing the originals.},
    'IMPORT_LABEL_Create New Directory?' => 'New Directories?',
    'IMPORT_LABEL_Build sites in new directories' =>
      'Build all imported sites in new directories (recommended)',

    'IMPORT_Importing Data...' => 'Importing Data...',

####ARCHIVE

    'ARCHIVE_Cannot Extract'          => 'Cannot Extract Archive File',
    'ARCHIVE_Archive file not found'  => 'No such archive file at [_1]',
    'ARCHIVE_Cannot Compress'         => 'Cannot Compress Requested File',
    'ARCHIVE_Original file not found' => 'No such original file at [_1]',
    'ARCHIVE_Unknown archive type' =>
      q{This archive type is not supported. Please use one of these file }
      . q{types instead: [_1]},
    'ARCHIVE_Cannot access working directory' =>
      q{Cannot access working directory [_1]: [_2]},

####RICH TEXT FILTERS

    'Markdown' => 'Markdown',
    'RichText' => 'Rich Text',
    'RawHTML'  => 'Raw HTML',

    'Choose Editor:' => 'Choose Editor:',

    'MARKDOWN_cheatsheet'      => 'Markdown cheatsheet',
    'MARKDOWN_TEXT_cheatsheet' => 'Syntax help goes here',
    'RichText_IE_linebreaks' =>
      '* Type Enter for new paragraph; Shift-Enter for new line.',

####MINICONTENT

    'MINICONTENT_Preview text contains form' => 'Because this text contains '
      . 'a web form or script, it is not available for preview.',

####PULLQUOTES

    'RELATION_pullquote' => 'Pullquotes',

    'MINICONTENT_at paragraph'     => 'at paragraph #[_1]',
    'MINICONTENT_position gallery' => 'Image gallery',
    'MINICONTENT_position above'   => 'above text',
    'MINICONTENT_position below'   => 'below text',
    'MINICONTENT_position other'   => '(other position)',
    'MINICONTENT_position hidden'  => '(do not display)',
    'MINICONTENT_align left'       => 'Align left',
    'MINICONTENT_align center'     => 'Center',
    'MINICONTENT_align right'      => 'Align right',
    'MINICONTENT_align default'    => 'Default alignment',

####MEDIA
    'MEDIA_Cannot Import Media File' => 'Cannot Import Media File',
    'MEDIA_The original file is missing' =>
      'Sorry, we were unable to import a media file into your site because '
      . 'the original file is missing. We expected to find the file here, '
      . q{but it's gone: %BM<code>%[_1]%BM</code>%.},

####DOCUMENT

    'DOCUMENT_Document File' => 'Document File',
    'DOCUMENT_Title'         => 'Title',

####AUDIO/VIDEO

    'AV_Media File' => 'Media File',
    'AV_Unsupported file format' =>
      q~We don't recognize the file extension "[_1]" as an audio/video file. ~
      . 'Big Medium works only with audio/video files of the following '
      . 'types: [_2]',

####IMAGE

    'IMAGE_original' => 'Original',
    'IMAGE_orig'     => 'Original',
    'IMAGE_thumb'    => 'Thumbnail',
    'IMAGE_xsmall'   => 'X-small',
    'IMAGE_small'    => 'Small',
    'IMAGE_medium'   => 'Medium',
    'IMAGE_large'    => 'Large',
    'IMAGE_xlarge'   => 'X-large',

    'IMAGE_Could not process image.' => 'Could not process image.',

    'IMAGE_No image driver'          => 'No Image Driver',
        'IMAGE_TEXT_No image driver' => 'We could not complete the requested '
      . 'image transformation because the web server does not appear to have '
      . 'a supported image driver installed.',

    'IMAGE_Unsupported file format' => 'Unsupported File Format',
    'IMAGE_TEXT_Unsupported file format' =>
      'We did not recognize the image file extension "[_1]" and could '
      . 'not perform the requested image transformation on the file. Big '
      . 'Medium can work only with images of the following file types: [_2]',

    'IMG_Image Parsing Error'      => 'Image Processing Error',
    'IMG_TEXT_Image Parsing Error' => 'We could not perform the requested '
      . 'image transformation on the file: [_1]',

    'IMAGE_Could not find original image file' => 'Missing Image File',
    'IMAGE_TEXT_Could not find original image file' =>
      'We could not perform the requested image transformation because the '
      . 'original image file was not found at the expected location: [_1]',

    'BUILD_All Pages'     => 'All Pages',
    'BUILD_Front Pages'   => 'Front Pages',
    'BUILD_What To Build' => 'What To Build',
    'BUILD_Rebuild Pages' => 'Rebuild Pages',
    'BUILD_DESC_Rebuild Pages' =>
      'Generate a fresh version of the site, incorporating any recent '
      . 'changes in your templates, section structure or design theme.',
    'BUILD_Section'    => 'Section',
    'BUILD_build_help' => <<'BUILD_HELP',
Rebuilding pages refreshes the pages of your public site.
You should rebuild pages after changing templates, editing display
preferences or changing themes. You can rebuild pages for the entire site
or from specific sections; you can also limit the build process to the
homepage or section front pages.
%BM<br /><br />%You need to rebuild pages only after making changes to the site's
structural or design settings; when you're simply editing pages,
Big Medium automagically keeps up with your changes and updates all of the
necessary files in the background.
BUILD_HELP

    'BUILD_all_pages'                   => 'all pages',
    'BUILD_build homepage'              => 'the homepage',
    'BUILD_front pages for entire site' => 'all section front pages',
    'BUILD_for the section' => 'all pages for the "%BM[_1]%" section',
    'BUILD_front pages for the section' =>
      'section front pages for the "%BM[_1]%" section',

    'BUILDER_Building section' => 'Building "%BM[_1]%": ([_2] pages)',
    'BUILDER_Building tags'    => 'Building tags: "%BM[_1]%"',

####TAG

    'RELATION_tag' => 'Tags',
    'tag_DESC' => 'Informal content categories. Separate tags with commas.',

    'TAG_Tags must have at least one non-space char' => 'Empty Tag',
    'TAG_TEXT_Tags must have at least one non-space char' =>
      'Tag names must have at least one non-space character.',

####PERSON

    'person:first_name'   => 'First Name',
    'person:last_name'    => 'Last Name',
    'person:email'        => 'E-Mail',
    'person:url'          => 'Web Address',
    'person:title'        => 'Title/Position',
    'person:company'      => 'Company',
    'person:home_phone'   => 'Home Phone',
    'person:work_phone'   => 'Work Phone',
    'person:mobile_phone' => 'Mobile Phone',
    'person:fax'          => 'Fax',
    'person:home_address' => 'Home Address',
    'person:home_city'    => 'City (Home)',
    'person:home_state'   => 'State (Home)',
    'person:home_zip'     => 'Postal Code (Home)',
    'person:work_address' => 'Work Address',
    'person:work_city'    => 'City (Work)',
    'person:work_state'   => 'State (Work)',
    'person:work_zip'     => 'Postal Code (Work)',
    'person:text'         => 'Personal Statement',
    'person:summary'      => 'Quick Description',

### URL

    'URL_Currently unpublished' => 'Currently unpublished',

### MAINTENANCE

    'MAINT_Maintenance complete' => 'Maintenance complete, thank you!',
    'MAINT_Error preamble' =>
      'During its regular maintenance routine, Big Medium encountered the '
      . 'following message and could not complete its tasks:',

### UPDATE

    'UPDATE_HEAD_Temporarily_unavailable' => 'Temporarily Unavailable',
    'UPDATE_Temporarily_unavailable' =>
      'The requested service is temporarily unavailable while we upgrade our '
      . 'software. Thank you for your patience.',

    'UPDATE_HEAD_System Update Already Underway' =>
      'System Update Already Underway',
    'UPDATE_System Update Already Underway' =>
      'Thank you for your update request. The system update is already '
      . 'underway and will be completed shortly. Please try back again in '
      . 'a few minutes. Thank you for your patience.',

    'UPDATER_HEAD_Update Complete' => 'Update Complete',
    'UPDATER_Update Complete' =>
      'Your installation of Big Medium has been updated to version [_1]. '
      . '%BM<a href="[_2]">%Please sign in to continue using this new '
      . 'version%BM</a>%.',

    'UPDATER_HEAD_Updating to Version' => 'Updating to Version [_1]',
    'UPDATE_Updating site assets'      => 'Site [_1]: Updating site assets',
    'UPDATE_Updating site images'      => 'Site [_1]: Updating images',
    'UPDATE_Updating site image num of num' =>
      'Site [_1]: Updating image [_2] of [_3]',
    'UPDATE_Rebuilding pages' => 'Site [_1]: Rebuilding pages',
    'UPDATE_Building section' =>
      'Site [_1]: Rebuilding pages ("%BM[_2]%," [_3] pages)',

    'UPDATE_Making preference fixes' =>
      'Site [_1]: Making preference adjustments',
    'UPDATE_Updating style sheet' => 'Site [_1]: Updating style sheets',

    'UPDATE_Reindexing image library for site' =>
      'Reindexing image library for "%BM[_1]%"',

    'UPDATE_Reindexing document library for site' =>
      'Reindexing document library for "%BM[_1]%"',

    'UPDATE_Reindexing av library for site' =>
      'Reindexing audio/video library for "%BM[_1]%"',

    'UPDATE_Reindexing person library for site' =>
      'Reindexing people library for "%BM[_1]%"',

    'UPDATE_Initializing version info' =>
      'Site [_1]: Initializing version info for page [_2]',

    'UPDATE_Cleaning up orphans' => 'Site [_1]: Cleaning up library orphans',

    'UPDATE_Correcting invalid publication time' =>
      'Site [_1]: Correcting invalid publication time for page [_2]',

    'UPDATE_Removing search-index orphans' =>
      'Site [_1]: Cleaning up search-index orphans',

    'UPDATE_Renaming dot directory' => 'Site [_1]: Renaming [_2] directory',

### STATUS

    'STATUS_Starting...' => 'Starting...',

### SEARCH

    'SEARCH_Updating search index' =>
      'Site %BM[_1]%: (Indexing [_2]/[_3] pages, [_4] words)',

    'SEARCH_Unknown site'      => 'Unknown site',
    'SEARCH_TEXT_Unknown site' => <<'COMMENT_PAGE',
Sorry, this form seems to have a poorly formed web address, and we were not
able to understand which site you want to search. Please resubmit your search.
COMMENT_PAGE

    'SEARCH_No search terms' => 'No search terms',
    'SEARCH_TEXT_No search terms' =>
      'Please provide the text you would like to find.',

    'SEARCH_No results'        => 'No results found',
        'SEARCH_TEXT_No query' => q{Can you give us a bit more detail? }
      . q{We exclude numbers and certain common words from our search index; }
      . q{unfortunately, after removing those terms from your search, we }
      . q{don't have anything left to work with. Please provide more }
      . q{descriptive terms in your search.},

### IMPORTV1
    'IMPORTV1_HEAD_Import Already Underway' => 'Import Already Underway',
    'IMPORTV1_Import Already Underway' =>
      'Thank you for your import request. Another import is already '
      . 'underway and will be completed shortly. Please try back again in '
      . 'a few minutes. Thank you for your patience.',

    'IMPORTV1_HEAD_Could not read site settings' =>
      'Could Not Read Site Settings',
    'IMPORTV!_TEXT_Could not read site settings' =>
      'Encountered an error trying to read site settings for ID [_1]. '
      . 'This may indicate that Big Medium does not have permission to '
      . 'read necessary files in the v1 moxiedata directory.',

    'IMPORTV1_Importing accounts' => 'Importing accounts',
    'IMPORTV1_Preferences'        => 'Site: %BM[_1]% (Preferences)',
    'IMPORTV1_Site assets'        => 'Site: %BM[_1]% (Base assets)',
    'IMPORTV1_Privileges'         => 'Site: %BM[_1]% (Account privileges)',
    'IMPORTV1_Sections'           => 'Site: %BM[_1]% (Section %BM[_2]%)',
    'IMPORTV1_Templates'          => 'Site: %BM[_1]% (Templates)',
    'IMPORTV1_Styles'             => 'Site: %BM[_1]% (Styles)',
    'IMPORTV1_Styles'             => 'Site: %BM[_1]% (Styles)',
    'IMPORTV1_Pages'              => 'Site: %BM[_1]% (Page [_2])',
    'IMPORTV1_Tips'               => 'Site: %BM[_1]% (Tips)',
    'IMPORTV1_Announcements'      => 'Site: %BM[_1]% (Announcements)',
    'IMPORTV1_Building'           => 'Site: %BM[_1]% (Building pages)',
    'IMPORTV1_Building section' =>
      'Site: %BM[_1]% (Building "%BM[_2]%," [_3] pages)',

####LABELS

    'page'                  => 'page',
    'page:id'               => 'Page ID',
    'page:subtype'          => 'Page type',
    'page:content'          => 'Page Text',
    'page:sections'         => 'Section/Category',
    'page:title'            => 'Page Title',
    'page:description'      => 'Page Description',
    'page:slug'             => 'Slug Name',
    'page:flags'            => 'Display Preferences',
    'page:meta_description' => 'Description Meta Tag',
    'page:meta_keywords'    => 'Keywords Meta Tag',
    'page:pub_status'       => 'Status',
    'page:priority'         => 'Priority',
    'page:owner'            => 'Owner',
    'page:auto_pub_time'    => 'Auto-Publish',
    'page:auto_unpub_time'  => 'Auto-Unpublish',

    'announcement'                 => 'announcement',
    'announcement:title'           => 'Title',
    'announcement:content'         => 'Announcement Text',
    'announcement:sections'        => 'Section/Category',
    'announcement:pub_status'      => 'Status',
    'announcement:priority'        => 'Priority',
    'announcement:owner'           => 'Owner',
    'announcement:auto_pub_time'   => 'Auto-Publish',
    'announcement:auto_unpub_time' => 'Auto-Unpublish',

    'tip'                 => 'tip',
    'tip:title'           => 'Title',
    'tip:content'         => 'Tip Text',
    'tip:sections'        => 'Section/Category',
    'tip:pub_status'      => 'Status',
    'tip:priority'        => 'Priority',
    'tip:owner'           => 'Owner',
    'tip:auto_pub_time'   => 'Auto-Publish',
    'tip:auto_unpub_time' => 'Auto-Unpublish',

    'pullquote'          => 'pullquote',
    'pullquote:text'     => 'Pullquote text',
    'pullquote:position' => 'Pullquote position',
    'pullquote:align'    => 'Pullquote alignment',
    'pullquote:size'     => 'Pullquote size',

    'user'          => 'user account',
    'user:id'       => 'ID',
    'user:name'     => 'User Name',
    'user:password' => 'Password',
    'user:email'    => 'E-Mail',
    'user:level'    => 'Privilege Level',

    'url'         => 'link',
    'url:new_win' => 'New Window',
    'url:text'    => 'Link Text',
    'url:url'     => 'Link URL',

    'exturl'         => 'link',
    'exturl:new_win' => 'New Window',
    'exturl:text'    => 'Link Text',
    'exturl:url'     => 'Link URL',
    'exturl:link_to' => 'Link Destination',

    'site'               => 'site',
    'site:id'            => 'ID',
    'site:name'          => 'Website Name',
    'site:homepage_url'  => 'Homepage Directory URL',
    'site:html_url'      => 'Page Directory URL',
    'site:homepage_dir'  => 'Homepage Directory Path',
    'site:html_dir'      => 'Page Directory Path',
    'site:time_offset'   => 'Time Zone Offset',
    'site:time_format'   => 'Time Format',
    'site:date_format'   => 'Date Format',
    'site:flags'         => 'Display Preferences',
    'site:site_doclimit' => 'Maximum File Size',

    'section'        => 'section',
    'section:id'     => 'ID',
    'section:name'   => 'Section Name',
    'section:slug'   => 'Section Slug',
    'section:alias'  => 'Alias URL',
    'section:active' => 'Power Switch',
    'section:flags'  => 'Content Preferences',

    'style:selector' => 'Style to edit',

    'media'      => 'media',
    'av'         => 'audio/video',
    'person'     => 'person',
    'tag'        => 'tag',
    'image'      => 'image',
    'image:urls' => 'urls',
    'document'   => 'document',

    'image:title'   => 'Title',
    'image:formats' => 'Image',

    'image:shared'    => 'Share',
    'image:in_lib'    => 'Library',
    'document:shared' => 'Share',
    'document:in_lib' => 'Library',
    'av:shared'       => 'Share',
    'av:in_lib'       => 'Library',
    'person:shared'   => 'Share',
    'person:in_lib'   => 'Library',

    'comment:commenter' => 'Contributor',
    'comment:content'   => 'Comment',
    'comment:email'     => 'E-Mail',
    'comment:url'       => 'URL',
    'comment:status'    => 'Status',

####Time
    'Today'     => 'Today',
    'Yesterday' => 'Yesterday',
    'Tomorrow'  => 'Tomorrow',
    'Jan'       => 'Jan',
    'Feb'       => 'Feb',
    'Mar'       => 'Mar',
    'Apr'       => 'Apr',
    'May'       => 'May',
    'Jun'       => 'Jun',
    'Jul'       => 'Jul',
    'Aug'       => 'Aug',
    'Sep'       => 'Sep',
    'Oct'       => 'Oct',
    'Nov'       => 'Nov',
    'Dec'       => 'Dec',
    'January'   => 'January',
    'February'  => 'February',
    'March'     => 'March',
    'April'     => 'April',
    'May'       => 'May',
    'June'      => 'June',
    'July'      => 'July',
    'August'    => 'August',
    'September' => 'September',
    'October'   => 'October',
    'November'  => 'November',
    'December'  => 'December',
    'Sun'       => 'Sun',
    'Mon'       => 'Mon',
    'Tue'       => 'Tue',
    'Wed'       => 'Wed',
    'Thu'       => 'Thu',
    'Fri'       => 'Fri',
    'Sat'       => 'Sat',
    'Sunday'    => 'Sunday',
    'Monday'    => 'Monday',
    'Tuesday'   => 'Tuesday',
    'Wednesday' => 'Wednesday',
    'Thursday'  => 'Thursday',
    'Friday'    => 'Friday',
    'Saturday'  => 'Saturday',

    ######################## Don't worry about lines below, for testing only
    'Hello, Starshine!'         => 'The Earth Says Hello!',
    'Quotes: Hello, Starshine!' => 'The Earth & <Moon> Say, "Hello!"',
    'Protected: Hello, Starshine!' =>
      'The Earth %BM&% %BM<%Moon%BM>% Say, %BM"%Hello!%BM"%',

);

1;

__END__

