# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: CS.pm 3043 2008-03-31 14:00:38Z josh $

package BigMed::Search::Stopwords::CS;
use strict;
use warnings;
use utf8;

my @STOPWORDS = qw(
    aby     aj      ale   ani    asi   az
    bez     bude    budem budes  by    byl
    byla    byli    bylo  byt    ci    clanek
    clanku  clanky  co    coz    cz    dalsi
    design  dnes    do    email  ho    jak
    jako    je      jeho  jej    jeji  jejich
    jen     jeste   ji    jine   jiz   jsem
    jses    jsme    jsou  jste   kam   kde
    kdo     kdyz    ke    ktera  ktere kteri
    kterou  ktery   ma    mate   mezi  mi
    mit     muj     muze  na     nad   nam
    napiste nas     nasi  ne     nebo  nejsou
    neni    nez     nic   nove   novy  od
    pak     po      pod   podle  pokud pouze
    prave   pred    pres  pri    pro   proc
    proto   protoze prvni pta    re    si
    strana  sve     svych svym   svymi ta
    tak     take    takze tato   tedy  tema
    ten     tento   teto  tim    timto tipy
    to      tohle   toho  tohoto tom   tomto
    tomuto  tu      tuto  ty     tyto  uz
    vam     vas     vase  ve     vice  vsak
    za      zda     zde   ze     zpet  zpravy
);

my %STOPWORDS;
@STOPWORDS{@STOPWORDS} = 1 x @STOPWORDS;
sub hashref { return {%STOPWORDS} }

1;
__END__


=head1 NAME

BigMed::Search::Stopwords::CS - Czech stopword support

=head1 DESCRIPTION

This module is used internally by BigMed::Search::Stopwords.

=head1 AUTHOR & COPYRIGHTS

This module and all Big Medium modules are copyright Josh Clark
and Global Moxie. All rights reserved.

Use of this module and the Big Medium content
management system are governed by Global Moxie's software licenses
and may not be used outside of the terms and conditions outlined
there.

For more information, visit the Global Moxie website at
L<http://globalmoxie.com/>.

Big Medium and Global Moxie are service marks of Global Moxie
and Josh Clark. All rights reserved.

=cut

