# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: DA.pm 3043 2008-03-31 14:00:38Z josh $

package BigMed::Search::Stopwords::DA;
use strict;
use warnings;
use utf8;

my @STOPWORDS = (
    "og",         "jeg",          "det",         "at",
    "en",         "den",          "til",         "er",
    "som",        "p\xc3\xa5",    "de",          "med",
    "han",        "af",           "for",         "ikke",
    "der",        "var",          "mig",         "sig",
    "men",        "et",           "har",         "om",
    "vi",         "min",          "havde",       "ham",
    "hun",        "nu",           "over",        "da",
    "fra",        "du",           "ud",          "sin",
    "dem",        "os",           "op",          "man",
    "hans",       "hvor",         "eller",       "hvad",
    "skal",       "selv",         "her",         "alle",
    "vil",        "blev",         "kunne",       "ind",
    "n\xc3\xa5r", "v\xc3\xa6re",  "dog",         "noget",
    "ville",      "jo",           "deres",       "efter",
    "ned",        "skulle",       "denne",       "end",
    "dette",      "mit",          "ogs\xc3\xa5", "under",
    "have",       "dig",          "anden",       "hende",
    "mine",       "alt",          "meget",       "sit",
    "sine",       "vor",          "mod",         "disse",
    "hvis",       "din",          "nogle",       "hos",
    "blive",      "mange",        "ad",          "bliver",
    "hendes",     "v\xc3\xa6ret", "thi",         "jer",
    "s\xc3\xa5dan"
);

#mark utf8 entries as such
if ( $] > 5.007 ) {
    local $SIG{'__DIE__'}; #custom SIG causes trouble loading Encode
    require Encode;
    foreach my $w (@STOPWORDS) {
        $w = Encode::decode('utf8', $w);
    }
}

my %STOPWORDS;
@STOPWORDS{@STOPWORDS} = (1) x @STOPWORDS;
sub hashref { return {%STOPWORDS} }

1;
__END__


=head1 NAME

BigMed::Search::Stopwords::DA - Danish stopword support

=head1 DESCRIPTION

This module is used internally by BigMed::Search::Stopwords.

=head1 AUTHOR & COPYRIGHTS

This module and all Big Medium modules are copyright Josh Clark
and Global Moxie. All rights reserved.

Use of this module and the Big Medium content
management system are governed by Global Moxie's software licenses
and may not be used outside of the terms and conditions outlined
there.

For more information, visit the Global Moxie website at
L<http://globalmoxie.com/>.

Big Medium and Global Moxie are service marks of Global Moxie
and Josh Clark. All rights reserved.

=cut

