# Copyright 2002-2008 Josh Clark and Global Moxie, LLC. This code cannot be
# redistributed without permission from globalmoxie.com.  For more
# information, consult your Big Medium license.
#
# $Id: EN.pm 3043 2008-03-31 14:00:38Z josh $

package BigMed::Search::Stopwords::EN;
use strict;
use warnings;
use utf8;

my @STOPWORDS = qw(
    about   above    after      again
    against all      am         an
    and     any      are        aren
    as      at       be         because
    been    before   being      below
    between both     but        by
    can     cannot   could      couldn
    did     didn     do         does
    doesn   doing    don        down
    during  each     few        for
    from    further  had        hadn
    has     hasn     have       haven
    having  he       her        here
    hers    herself  him        himself
    his     how      if         in
    into    is       isn        it
    its     itself   let        ll
    me      more     most       mustn
    my      myself   no         nor
    not     of       off        on
    once    only     or         other
    ought   our      ours       ourselves
    out     over     own        re
    same    shan     she        should
    shouldn so       some       such
    than    that     the        their
    theirs  them     themselves then
    there   these    they       this
    those   through  to         too
    under   until    up         ve
    very    was      wasn       we
    were    weren    what       when
    where   which    while      who
    whom    why      with       won
    would   wouldn   you        your
    yours   yourself yourselves
);

my %STOPWORDS;
@STOPWORDS{@STOPWORDS} = 1 x @STOPWORDS;
sub hashref { return {%STOPWORDS} }

1;
__END__

=head1 NAME

BigMed::Search::Stopwords::EN - English stopword support

=head1 DESCRIPTION

This module is used internally by BigMed::Search::Stopwords.

=head1 AUTHOR & COPYRIGHTS

This module and all Big Medium modules are copyright Josh Clark
and Global Moxie. All rights reserved.

Use of this module and the Big Medium content
management system are governed by Global Moxie's software licenses
and may not be used outside of the terms and conditions outlined
there.

For more information, visit the Global Moxie website at
L<http://globalmoxie.com/>.

Big Medium and Global Moxie are service marks of Global Moxie
and Josh Clark. All rights reserved.

=cut

